2004-05-31  Crispin Flowerday  <gnome@flowerday.cx>

	* utils/gul-gui-option.c: Remove some commented out
	code that uses '//' to mark the comment.

2004-05-31  Crispin Flowerday  <gnome@flowerday.cx>

	* NEWS: 
	* configure.in: 1.3.15 "Lots of changes under the hood"
	
2004-05-31  Crispin Flowerday  <gnome@flowerday.cx>

	* Makefile.am: The documentation makefile doesn't seem
	to do "distclean" quite correctly, so ignore the leftover files

2004-05-31  Philip Langdale  <philipl@mail.utexas.edu>

	* src/pdm-dialog.c: Stop leaking the size group
	for the dialog's buttons. Add the remove-and-block
	button to the size group so all remove buttons are
	now the same size. Yes, I changed my mind about this :-)

2004-05-30  Crispin Flowerday  <gnome@flowerday.cx>

	* bookmarks/bookmarks-util.c
	* bookmarks/bookmarks-util.h: Remove the helper
	function to overlay the alias mark.

	* bookmarks/Makefile.am
	* bookmarks/bookmarks.c
	R bookmarks/bookmarks-default-icon-provider.h
	R bookmarks/bookmarks-default-icon-provider.c
	* bookmarks/bookmarks-icon-provider.c
	* bookmarks/bookmarks-icon-provider.h: Convert the 
	"GbIconProvider" interface into a class, moving the
	default icon provider implementation into this class.
	Also move the alias icon cache into the class

	* src/galeon-bookmarks-icon-provider.c
	* src/galeon-bookmarks-icon-provider.h
	* src/galeon-shell.c: Convert to use the new
	base class, rather than the icon provider interface.

2004-05-30  Crispin Flowerday  <gnome@flowerday.cx>

	* utils/pixbuf-cache.h
	* utils/pixbuf-cache.c
	R ui/galeon-default-open.png
	R ui/galeon-folder-open.png
	* ui/Makefile.am: Remove some unused icons.
	
2004-05-29  Philip Langdale  <philipl@mail.utexas.edu>

	* bookmarks/bookmarks-single-editor.c
	* ui/bookmarks-editor.glade: Port the bookmark editor
	to GtkComboBoxEntry. I think this is the last one.

2004-05-29  Philip Langdale  <philipl@mail.utexas.edu>

	* bookmarks/bookmarks-smart-site-tb-widget.c: Port
	smart bookmark history widget to GtkComboBoxEntry.

2004-05-29  Philip Langdale  <philipl@mail.utexas.edu>

	* mozilla/GaleonWrapper.h: Added headers that are
	no longer implicitly pulled in by mozilla. Seems to
	be harmless to include them all the time.

2004-05-29  Philip Langdale  <philipl@mail.utexas.edu>

	* src/galeon-prefs-dialog.c
	* ui/prefs-dialog.glade: Made the much delayed switch of
	the font dropdowns from GtkComboBoxEntry to GtkComboBox.
	As you cannot edit the text, you shouldn't use the Entry
	widget. As always, the widgets are utterly broken in list
	mode and menu mode is completely useless for more items
	than fit on a screen. As such, usability remains horribly
	impared compared to when we used GtkCombo. *sigh*

2004-05-29  Crispin Flowerday  <gnome@flowerday.cx>

	* configure.in: 
	* mozilla/GtkNSSKeyPairDialogs.cpp: Add an extra function 
	following a mozilla API change.

2004-05-23  Crispin Flowerday  <gnome@flowerday.cx>

	* ui/galeon.glade: Add the missing sidebar history options
	that glade seems to eat for breakfast.

2004-05-23  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/HeaderSniffer.cpp: A string marked for translation
	is not a literal string ....

2004-05-23  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/mozilla-embed-persist.cpp: Don't abort the save
	if we don't get the pageDescriptor, its not the end of the world,
	as mozilla doesn't even use it when saving. Also fix a theoretical
	ref count leak.

2004-05-23  Crispin Flowerday  <gnome@flowerday.cx>

	* utils/gul-gui.c: Complain if the filename is NULL when
	confirming whether we should overwrite the file.

	* mozilla/ContentHandler.cpp
	* mozilla/HeaderSniffer.cpp: Don't crash if gtk returns
	NULL for the entered filename.

2004-05-22  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/ContentHandler.cpp: Don't silently overwrite files
	show the confimation dialog. Fixes bug #123468

2004-05-22  Crispin Flowerday  <gnome@flowerday.cx>

	* ui/bookmarks-editor.glade
	* bookmarks/bookmarks-single-editor.c
	* bookmarks/bookmarks-single-editor.h: Use a GnomePixmapEntry
	widget, rather than a GnomeIconEntry widget, this makes it easier
	to clear the toolbar icon.

2004-05-22  Crispin Flowerday  <gnome@flowerday.cx>

	* embed/galeon-embed-persist.c: Hmm, how did the handler
	property get in there twice.

2004-05-22  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/mozilla-embed.cpp: Add debug logs in the constructor
	* embed/galeon-embed.c: Remove an unused private structure.

2004-05-22  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/mozilla-embed-persist.h
	* mozilla/mozilla-embed-persist.cpp
	* embed/galeon-embed-persist.h
	* embed/galeon-embed-persist.c: Clean up the embed
	persist classes, to use the new gtk 2.4 private data
	API, and make lots of functions not virtual. Also
	rearrange the code to avoid forward declarations.

2004-05-22  Crispin Flowerday  <gnome@flowerday.cx>

	A mozilla/HeaderSniffer.cpp
	A mozilla/HeaderSniffer.h
	* mozilla/Makefile.am: Add a class loosely based on
	implementations in epiphany and mozilla to sniff the headers 
	when downloading files. This helps us get a more appropriate
	filename

	* mozilla/GaleonWrapper.h: Make the nsIWebBrowser object
	public

	* embed/galeon-embed-persist.c
	* embed/galeon-embed-persist.h
	* mozilla/mozilla-embed-persist.cpp: Use the HeaderSniffer
	class to work out the filename to use when downloading files.
	Also use the correct mozilla API's so pages aren't re-downloaded.
	Fixes bug #127194

	* mozilla/ContentHandler.cpp
	* mozilla/ProgressListener.cpp
	* mozilla/ProgressListener.h: Add a helper to initiate
	a download, and a helper to create a filename for automatic
	downloading.

	* embed/galeon-embed-utils.c
	* embed/galeon-embed-utils.h
	* src/galeon-popup.c
	* src/galeon-tab.c
	* src/page-info-dialog.c
	* src/window-commands.c
	* embed/galeon-embed-popup.c: Port callers to new persist API

2004-05-22  Crispin Flowerday  <gnome@flowerday.cx>

	* libegg/toolbareditor/egg-toolbar-editor.c: Set the drag icon on
	realize, otherwise the current icon theme isn't used, and it falls
	back to the default theme.

2004-05-21  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/mozilla-embed.cpp: Don't support going up for
	chrome:// urls, mozilla performs some munging on them, which
	means creating the list of parent urls causes an infinite
	loop.

2004-05-21  Crispin Flowerday  <gnome@flowerday.cx>

	* configure.in: Add detection for mozilla 1.8a1 and 1.8a2

2004-05-19  Crispin Flowerday  <gnome@flowerday.cx>

	* embed/galeon-embed-popup.c
	* embed/galeon-embed-persist.c
	* embed/galeon-embed-helper-list.c
	* src/galeon-favicon-cache.c
	* src/galeon-popup.c: Simplify the EmbedPersist object ref
	counting, so that callers don't hold onto a reference, even
	if they are waiting for a signal. This fixes a potential
	crash when aborting a download, and a memory leak when
	opening a file with another application.

2004-05-18  Crispin Flowerday  <gnome@flowerday.cx>

	* libegg/egg-toolbar-editor.c: Fix a memory leak

2004-05-16  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-tab-menu.c: Don't set an empty accelerator
	for tabs, use NULL instead.

2004-05-16  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/mozilla-embed-persist.cpp: Unref the embed
	object, stops an object leak.

2004-05-16  Crispin Flowerday  <gnome@flowerday.cx>

	* bookmarks/bookmarks-gtk-menu-item.c: 
	* src/statusbar.c
	* utils/gul-notebook.c: Fix dodgy tooltip ref counting that
	caused crashes when using server mode.

2004-05-13  Crispin Flowerday  <gnome@flowerday.cx>

	* src/history-dialog.c: Fix incorrect usage of
	GValue's, which caused dnd from the history dialog not
	to work, and fixes some memory leaks

2004-05-13  Crispin Flowerday  <gnome@flowerday.cx>

	* src/statusbar.c: Set the popup window alert's
	parent window.

2004-05-11  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* utils/gul-notebook.c: Remove old workaround, bug #109213 has been
	fixed since.

2004-05-09  Philip Langdale  <philipl@mail.utexas.edu>

	* mozilla/ProgressListener.cpp: Use the NS_INTERFACE_MAP
	macros to handle the XPCOM boilerplate code rather than
	NS_IMPL_ISUPPORTS. This is necessary when ambiguous
	base classes are present. (nsITransfer)

2004-05-09  Crispin Flowerday  <gnome@flowerday.cx>

	* tests/popups.html
	* src/galeon-tab.c: Block all signals (except the
	new_window signal) when destroying a tab. This 
	avoids spurious signals (such as title signals),
	which can cause crashes. Fixes bug #138529

2004-05-09  Crispin Flowerday  <gnome@flowerday.cx>

	* tests/popups.html: Add some more popup tests.

2004-05-09  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* mozilla/ContentHandler.cpp: hide the right widget, not one that
	doesn't exist

2004-05-09  Crispin Flowerday  <gnome@flowerday.cx>

	* src/page-info-dialog.c: Add a context menu to the
	images and links tabs, so that the urls can be copied,
	and opened in new windows or tabs.

2004-05-07  Crispin Flowerday  <gnome@flowerday.cx>

	* configure.in: Increase 1.7rc2, 1.7, 1.8a and trunk snapshot
	levels.
	
	* mozilla/BaseProtocolContentHandler.cpp
	* mozilla/ContentHandler.cpp
	* mozilla/FilePicker.cpp
	* mozilla/GaleonWrapper.cpp
	* mozilla/ProgressListener.cpp: Fix MOZILLA_SNAPSHOT levels since
	the nsIDownload changes landed in the 1.7 branch.
	

2004-05-07  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* mozilla/ContentHandler.cpp
	* mozilla/ContentHandler.h: use nsCString internally regardless of
	mozilla API, reduces the number of extra #ifdefs

2004-05-06  Crispin Flowerday  <gnome@flowerday.cx>

	* configure.in: Go back to requiring libgnomeui 2.0.5
	* bookmarks/bookmarks-import-druid.c
	* bookmarks/bookmarks-export-druid.c: Only turn on the new file
	chooser in the gnome_file_entry widgets if the widget has the
	relevant property. This allows us to work properly with new
	versions of libgnomeui, yet still work with older versions.

2004-05-06  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/GaleonWrapper.cpp: *sigh* yet another mozilla
	API change.

2004-05-06  Crispin Flowerday  <gnome@flowerday.cx>

	* configure.in: Add 1.4.2, 1.7rc1, 1.7rc2, and 1.7 as
	supported versions.

2004-05-05  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/ContentHandler.cpp: Fix for different mozilla
	API in moz 1.8a

2004-05-05  Mikael Magnusson  <mangosoft@comhem.se>

	* ui/galeon.glade
	* src/page-info-dialog.c: Add a "Save Image" button to the
	Images page of the Page Info dialog. Fixes bug #141040

2004-05-05  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* mozilla/ContentHandler.cpp
	* ui/galeon.glade: Split mime ask dialog in two, one for when there
	are helper applications available and another one for when there's
	not.  Show the file name in the dialog.  Fixes bug #139841

2004-05-05  Crispin Flowerday  <gnome@flowerday.cx>

	* embed/downloader-view.c: Fix a crash when using the "Stop"
	button, The DownloadDetails object takes care of 
	removing itself from the view when the "cancel" signal
	is emitted on it.

2004-05-05  Crispin Flowerday  <gnome@flowerday.cx>

	* configure.in: Up libgnomeui to 2.6.0
	* bookmarks/bookmarks-import-druid.c
	* bookmarks/bookmarks-export-druid.c: Set the "use_filechooser"
	property on the gnome_file_chooser's.

2004-05-05  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* mozilla/CookiePromptService.cpp
	* mozilla/GtkNSSClientAuthDialogs.cpp
	* mozilla/GtkNSSDialogs.cpp
	* mozilla/MozillaPrivate.cpp: #include "nsString.h" -- seems to be
	required with mozilla 1.7, doesn't hurt with other versions

2004-05-04  Crispin Flowerday  <gnome@flowerday.cx>

	* src/page-info-dialog.c: Mark a string for translation.
	Fixes bug #141778

2004-05-02  Philip Langdale  <philipl@mail.utexas.edu>

	* src/pdm-dialog.c
	* ui/galeon.glade: Forget to set the sensitivity on the
	remove & block button.

2004-05-02  Philip Langdale  <philipl@mail.utexas.edu>

	* NEWS
	* embed/galeon-embed-shell.c
	* embed/galeon-embed-shell.h
	* gtkhtml/gtkhtml-embed-shell.c
	* mozilla/mozilla-embed-shell.cpp
	* src/pdm-dialog.c
	* ui/galeon.glade: Add a "Remove and Block" button to the
	cookie page of the personal data manager. This removes cookies
	and adds their originating site to the cookie blacklist at
	the same time. Also moved the remove button to be below the
	list in each of the pages. This is a better use of the space.

2004-05-01  Philip Langdale  <philipl@mail.utexas.edu>

	* ui/Makefile.am: Crispin forgot to update the Makefile
	to account for the two icons disappearing.

2004-05-01  Crispin Flowerday  <gnome@flowerday.cx>

	* src/statusbar.c
	* utils/pixbuf-cache.c
	* utils/pixbuf-cache.h
	R ui/galeon-offline.png
	R ui/galeon-online.png: Use the icon theme icons for the
	online / offline images in the statusbar. Thanks to chpe
	for pointing out that these are in the icon theme.

2004-05-01  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/EventContext.cpp: Ensure that the context menu
	for <a name="foo">...</a> blocks of text shows. 
	Fixes bug #138585

2004-05-01  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-action-refresh.c: Don't attach to the
	"button_press" event to capture shift clicks, check for
	shift clicks in the click event handler.

2004-04-27  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/galeon-window.c: Make F10 open the menu even if the menubar
	isn't visible, like in fullscreen mode or popup windows.   And
	keybinding related hacks just keep piling up...

2004-04-27  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-css-menu.c: Use a separate merge_id for the
	"Styles" submenu item. This means that when the menu is 
	torn off, it doesn't dissappear when re-building the menu.

2004-04-27  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/ContentHandler.cpp: Use GetInterface rather than
	QueryInterface to get the parent for the MIMEAskAction
	dialog.

2004-04-27  Crispin Flowerday  <gnome@flowerday.cx>

	* src/ppview-toolbar.c: Oops, lets ensure that all the
	parts from my patch are checked in.

2004-04-27  Crispin Flowerday  <gnome@flowerday.cx>

	* ui/galeon-egg-ui.xml
	* src/galeon-window.c
	* src/ppview-toolbar.h
	* src/ppview-toolbar.c: Add a "Print" button to the print preview
	toolbar, it just brings up the dialog for the moment, in the 
	future it may be possible to print directly. Fixes bug #137383.

2004-04-27  Crispin Flowerday  <gnome@flowerday.cx>

	* src/ppview-toolbar.c: Ensure that the print preview toolbar
	always acts on the same embed.

2004-04-27  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-window.c: Don't attach a callback to the 
	delete_event signal, overload it.

	* src/ppview-toolbar.c: If the WM close button is clicked,
	when we are in print preview mode, just exit the mode rather
	than closing the window. Lets see how this feels.
	Fixes bug #121298

2004-04-25  Crispin Flowerday  <gnome@flowerday.cx>

	* utils/galeon-dialog.c: Ensure that the signals, and gconf
	connections are correctly initialised when the dialog is running
	in embedded mode.

2004-04-25  Crispin Flowerday  <gnome@flowerday.cx>

	* ui/galeon.glade: Don't allow re-ordering of the TreeViews in
	the page info dialog

2004-04-25  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* ui/bookmarks.glade
	* ui/galeon.glade
	* ui/prefs-dialog.glade: Change GtkDialog type_hints to DIALOG, makes
	dialogs center properly with metacity again.

2004-04-24  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* bookmarks/bookmarks-gtk-menu-item.c: Show full title (if truncated
	for menu) and notes as bookmark tooltips.  Fixes bug #122801

2004-04-24  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/galeon-action-navigation.c: include page title in back/fwd
	button tooltips

2004-04-24  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* utils/gul-notebook.c: add "Close this tab" tooltip to tab close
	buttons

2004-04-24  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/statusbar.c
	* utils/gul-notebook.c: turn GtkTooltips into class variables

2004-04-24  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* embed/downloader-view.c
	* embed/downloader-view.h
	* mozilla/ProgressListener.cpp: encapsulate status changes in separate
	functions

2004-04-24  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* embed/downloader-view.c
	* embed/downloader-view.h: make set_size_total independently callable

	* mozilla/ProgressListener.cpp
	* mozilla/ProgressListener.h: try harder to figure out the total file
	size

2004-04-24  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* mozilla/ProgressListener.cpp: Handle HTTP 404s and such as errors;
	the download as bytes might be succeed, but instead of the content
	we'd be downloading an error document.

2004-04-24  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* mozilla/ProgressListener.cpp
	* mozilla/ProgressListener.h: distinguish "completed" from "cancelled"
	and work around mozilla bug 152224

2004-04-24  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* embed/galeon-embed-persist.c
	* embed/galeon-embed-persist.h
	* embed/galeon-embed-popup.c
	* src/galeon-popup.c: add "cancelled" signal

	* embed/downloader-view.c
	* embed/downloader-view.h: add cancelled state
	* mozilla/ProgressListener.cpp: rename "remove" signal to "cancel"

2004-04-24  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* embed/downloader-view.c
	* mozilla/ProgressListener.cpp: don't optimistically assume new state,
	wait for message from backend

2004-04-24  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* embed/downloader-view.c
	* embed/downloader-view.h
	* mozilla/ProgressListener.cpp
	* mozilla/ProgressListener.h: clean up the downloader API, sanitize
	units and parameter types

2004-04-24  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/mozilla-notifiers.cpp: Use gconf_entry_unref() instead
	of gconf_entry_free()
	
	* src/galeon-main.c: Use glade_init() instead of glade_gnome_init()
	
	* utils/eel-gconf-extensions.c: Remove the gconf_is_initialised()
	block of code, its deprecated
	
	* configure.in: Add a load more _DISABLE_DEPRECATED defines in 
	maintainer mode, and up the gconf requirement, to get the 
	gconf_entry_unref() call.

2004-04-24  Crispin Flowerday  <gnome@flowerday.cx>

	* utils/galeon-dialog.c
	* utils/gul-prefs-utils.c
	* utils/gul-prefs-utils.h: Remove the GnomeColorPicker
	code, its deprecated, and we don't use it anymore.

2004-04-23  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-css-menu.c
	* src/galeon-encoding-menu.c
	* src/galeon-popup.c
	* src/galeon-recent-history-menu.c
	* src/galeon-tab-menu.c
	* src/galeon-window-menu.c
	* src/galeon-window.c
	* src/ppview-toolbar.c: Set the translation domain on the
	action groups, this ensures that the text is translated.
	Fixes bug #140920

2004-04-23  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-recent-history-menu.c 
	* ui/galeon-egg-ui.xml: The separator doesn't need to be manually
	created, it can live in the xml defintion, , they are "smart" in
	gtk 2.4, and won't appear at the end of a menu.
	
2004-04-23  Philip Langdale  <philipl@mail.utexas.edu>

	* mozilla/ProgressListener.cpp: *ahem* Removed dubious
	'debugging' ouput... :-)

2004-04-23  Tommi Komulainen  <tommi.komulainen@iki.fi>

	*  embed/downloader-view.c
	*  embed/downloader-view.h
	*  mozilla/ProgressListener.cpp: Move signals to the download object.
	Fixes bug #127637

2004-04-23  Tommi Komulainen  <tommi.komulainen@iki.fi>

	*  embed/downloader-view.c
	*  embed/downloader-view.h
	*  mozilla/ProgressListener.cpp
	*  mozilla/ProgressListener.h: separate download from the view

2004-04-23  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* mozilla/ContentHandler.cpp
	* mozilla/ContentHandler.h
	* mozilla/GaleonWrapper.cpp
	* mozilla/GaleonWrapper.h
	* mozilla/ProgressListener.cpp
	* mozilla/ProgressListener.h
	* mozilla/mozilla-embed-persist.cpp: remove redundant code, member
	variables, parameters and includes

2004-04-22  Philip Langdale  <philipl@mail.utexas.edu>

	* mozilla/FilePicker.cpp: Yay, more mozilla compilation
        ifdefs!

2004-04-22  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* mozilla/mozilla-embed.cpp(shistory_get_nth): Fix logic error, update
	the right variable when is_relative is set.

2004-04-21  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-favicon-action.c: Really hide the
	default favicon image in the recent history menu.

2004-04-21  Crispin Flowerday  <gnome@flowerday.cx>

	* embed/galeon-embed-shell.c
	* embed/galeon-embed-shell.h
	* mozilla/mozilla-embed-shell.cpp: Remove the 
	galeon_embed_shell_show_file_picker function call.

	* utils/Makefile.am
	* utils/gul-file-chooser.c
	* utils/gul-file-chooser.h: Add a simple wrapper class
	around the GtkFileChooser, that handles preserving the
	current directory (copied from epiphany)

	* src/window-commands.c: File -> Open
	* embed/galeon-embed-utils.c: File -> Save
	* mozilla/ContentHandler.cpp: Unhandled mimtype save
	* mozilla/FilePicker.h: Form Open / javascript
	* mozilla/FilePicker.cpp

	Convert all the uses of the old file selector to the
	new GtkFileChooser

2004-04-21  Philip Langdale  <philipl@mail.utexas.edu>

	* mozilla/ProgressListener.h: Fix compilation with mozilla
	older than 1.8a. whoops.

2004-04-19  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* NEWS
	* galeon.schemas.in
	* src/galeon-window.c
	* src/statusbar.c
	* src/statusbar.h
	* ui/galeon-egg-ui.xml
	A ui/galeon-offline.png
	A ui/galeon-online.png
	* ui/Makefile.am
	* utils/pixbuf-cache.c
	* utils/pixbuf-cache.h
	* utils/prefs-strings.h: Restore offline mode.  Use the galeon 1.2
	compatible GConf key, add an item in the File menu and a button in
	the statusbar.

2004-04-18  Philip Langdale  <philipl@mail.utexas.edu>

	* configure.in
	* mozilla/BaseProtocolContentHandler.cpp
	* mozilla/ContentHandler.cpp
	* mozilla/ContentHandler.h
	* mozilla/ProgressListener.cpp
	* mozilla/ProgressListener.h: Sometimes I cynically
	wonder if API changes are the key mozilla metric for
	progress...

2004-04-16  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-action-spinner.c: Use the GALEON_HOMEPAGE_URL
	define from galeon-config.h for the url (rather than having
	a separate define). Thanks to Mikachu for spotting this.

2004-04-16  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-tab-menu.c: Use the proper API for setting the
	keyboard accelerators on the menu items, this allows them
	to be deleted if the user wishes.

2004-04-16  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-action-spinner.c: Force the spinner to be at
	the right hand side of the screen. It will automatically expand
	if there aren't any other tool items that have the expand flag
	set.

2004-04-15  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-window.c: Don't send Ctrl+Enter events to the 
	embed twice, it causes multiple tabs to be opened.

2004-04-13  Philip Langdale  <philipl@mail.utexas.edu>

	* src/galeon-language-editor.c
	* src/galeon-prefs-dialog.c
	* ui/prefs-dialog.glade
	* utils/gul-gui-option.c: Workaround the annoying GtkComboBox bugs
	in a more robust manner. Thankfully the two bugs overlap: If
	a GtkComboBox is realised when it has no rows, you get a warning.
	If you try and populate a GtkComboBox with a sorting model before
	it is realised, you get a warning. Ain't that great?
	The work-around is to have dummy data in the ComboBox, realise it
	and then populate it properly.

2004-04-12  Crispin Flowerday  <gnome@flowerday.cx>

	* ui/prefs-dialog.glade: Remove a bogus "\n" from being translated

2004-04-12  Crispin Flowerday  <gnome@flowerday.cx>

	* libegg/dock/Makefile.am
	* libegg/Makefile.am: Fix compilation of the eggmarshaler.{c,h}
	files, so that they are compiled before the libegg/dock/ directory
	is compiled. Also ensure they work when using a separate build
	directory

2004-01-11  Philip Langdale  <philipl@mail.utexas.edu>

	* src/galeon-prefs-dialog.c
	* ui/prefs-dialog.glade: Update use of GtkCombo to
	GtkComboBoxEntry. This is short term. As we don't want
	or allow typing into the entry, we should use GtkComboBox
	but that requires a decent amount of reworking which should
	be done as a separate step.

2004-01-08  Philip Langdale  <philipl@mail.utexas.edu>

	* mozilla/ContentHandler.cpp
	* mozilla/GtkNSSClientAuthDialogs.cpp
	* src/galeon-language-editor.c
	* src/galeon-language-editor.h
	* src/galeon-prefs-dialog.c
	* src/history-dialog.c
	* ui/bookmarks.glade
	* ui/galeon.glade
	* ui/prefs-dialog.glade
	* utils/galeon-dialog.c
	* utils/gul-gui-option.c
	* utils/gul-gui-option.h
	* utils/gul-prefs-utils.c
	* utils/gul-prefs-utils.h: Upgrade all GtkOptionMenus to
	GtkComboBoxes. You'll notice a bunch of warnings in the
	charset prefs and language editor. This is GtkComboBox
	being stupid; it's actually harmless as far as I can tell.

2004-04-01  Crispin Flowerday  <gnome@flowerday.cx>

	* libegg/egg-editable-toolbar.c: Add a missing line, that somehow
	got dropped in the epiphany -> galeon sync.

2004-04-01  Crispin Flowerday  <gnome@flowerday.cx>

	* configure.in: Up libxml requirement to 2.6.6 (there are xmlwriter
	bugs before that)
	
	* embed/global-history.c
	* src/galeon-favicon-cache.c: Use the XmlTextWriter API for
	writing out the history and favicon cache.

2004-04-01  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-window.c
	* src/galeon-action-spinner.c
	* src/galeon-action-zoom.c
	* src/galeon-popup.c
	* src/galeon-window.c
	* bookmarks/bookmarks-context-menu.c
	* utils/pixbuf-cache.c
	* utils/pixbuf-cache.h: Use some stock icons from the 
	gnome icon theme, rather than using our own ones.
	
	* ui/Makefile.am
	R ui/galeon-fullscreen.png
	R ui/galeon-send-link.png
	R ui/galeon-viewsource.png
	R ui/galeon-zoom.png: Remove these unneeded images.

2004-03-30  Crispin Flowerday  <gnome@flowerday.cx>

	* bookmarks/bookmarks-add-dialog.c
	* bookmarks/bookmarks-alias-placeholder-tb-widget.c
	* bookmarks/bookmarks-context-menu-several.c
	* bookmarks/bookmarks-context-menu.c
	* bookmarks/bookmarks-editor-dockable.c
	* bookmarks/bookmarks-editor.c
	* bookmarks/bookmarks-epiphany.c
	* bookmarks/bookmarks-export-druid-konqueror.c
	* bookmarks/bookmarks-export-druid-mozilla.c
	* bookmarks/bookmarks-export-druid-netscape.c
	* bookmarks/bookmarks-export-druid.c
	* bookmarks/bookmarks-gtk-menu-item.c
	* bookmarks/bookmarks-gtk-menu.c
	* bookmarks/bookmarks-gtk-toolbar-set.c
	* bookmarks/bookmarks-gtk-toolbar.c
	* bookmarks/bookmarks-import-druid-epiphany.c
	* bookmarks/bookmarks-import-druid-konqueror.c
	* bookmarks/bookmarks-import-druid-mozilla.c
	* bookmarks/bookmarks-import-druid-netscape.c
	* bookmarks/bookmarks-import-druid.c
	* bookmarks/bookmarks-mozilla.c
	* bookmarks/bookmarks-netscape-mozilla.c
	* bookmarks/bookmarks-netscape.c
	* bookmarks/bookmarks-single-editor-small.c
	* bookmarks/bookmarks-single-editor.c
	* bookmarks/bookmarks-smart-site-tb-widget.c
	* bookmarks/bookmarks-tb-widget.c
	* bookmarks/bookmarks-tree-view.c
	* bookmarks/xbel.c
	* embed/cookie-info.c
	* embed/downloader-view.c
	* embed/galeon-embed-event.c
	* embed/galeon-embed-helper-list.c
	* embed/galeon-embed-persist.c
	* embed/galeon-embed-popup.c
	* embed/galeon-embed-utils.c
	* embed/galeon-encodings.c
	* embed/global-history.c
	* embed/js-console.c
	* libegg/eggintl.h
	* mozilla/ContentHandler.cpp
	* mozilla/CookiePromptService.cpp
	* mozilla/ExternalProtocolService.cpp
	* mozilla/FilePicker.cpp
	* mozilla/GtkNSSClientAuthDialogs.cpp
	* mozilla/GtkNSSDialogs.cpp
	* mozilla/GtkNSSKeyPairDialogs.cpp
	* mozilla/JSConsoleListener.cpp
	* mozilla/MyportalProtocolHandler.cpp
	* mozilla/ProgressListener.cpp
	* mozilla/mozilla-cookie.cpp
	* mozilla/mozilla-embed-shell.cpp
	* mozilla/mozilla-embed.cpp
	* mozilla/mozilla-encodings.c
	* mozilla/mozilla-i18n.c
	* mozilla/mozilla-notifiers.cpp
	* src/galeon-action-favicon.c
	* src/galeon-action-go.c
	* src/galeon-action-home.c
	* src/galeon-action-location.c
	* src/galeon-action-navigation.c
	* src/galeon-action-new.c
	* src/galeon-action-refresh.c
	* src/galeon-action-spinner.c
	* src/galeon-action-stop.c
	* src/galeon-action-zoom.c
	* src/galeon-action.c
	* src/galeon-css-menu.c
	* src/galeon-encoding-dialog.c
	* src/galeon-encoding-menu.c
	* src/galeon-favicon-action.c
	* src/galeon-language-editor.c
	* src/galeon-popup.c
	* src/galeon-prefs-dialog.c
	* src/galeon-recent-history-menu.c
	* src/galeon-shell.c
	* src/galeon-tab-menu.c
	* src/galeon-tab.c
	* src/galeon-window-menu.c
	* src/galeon-window.c
	* src/history-dialog.c
	* src/page-info-dialog.c
	* src/pdm-dialog.c
	* src/ppview-toolbar.c
	* src/session.c
	* src/statusbar.c
	* src/window-commands.c
	* utils/eel-gconf-extensions.c
	* utils/galeon-autocompletion-window.c
	* utils/gul-download.c
	* utils/gul-general.c
	* utils/gul-gui-option.c
	* utils/gul-gui.c
	* utils/gul-notebook.c
	* utils/gul-string.c
	* utils/gul-toolbutton.c
	* utils/location-entry.c: Use the new glib/g18n.h header
	for the gettext macros.
	
2004-03-30  Crispin Flowerday  <gnome@flowerday.cx>

	* bookmarks/bookmarks-gtk-toolbar.c: Add the magic sliding
	feedback to the bookmarks toolbar for DND. Also update the
	bookmark toolbar immediately when bookmarks change, there is
	no real need for the timeout.

	* bookmarks/bookmarks-folder-tb-widget.c: 
	* bookmarks/bookmarks-smart-site-tb-widget.c: Set the drag
	destination to be the child of the toolbar button, this makes
	it easier to drag urls to the places between already existing
	toolbar items.

2004-03-29  Philip Langdale  <philipl@mail.utexas.edu>

	* embed/galeon-embed-utils.c
	* embed/galeon-embed-utils.h
	* embed/galeon-embed.h
	* mozilla/mozilla-embed.cpp
	* src/galeon-css-menu.c: Implement support for user-stylesheets.
	It reads *.css from ~/.galeon/stylesheets/ and puts them in a
	separate section in the View->Style menu. The selected user
	style is applied on top of the separately selected page style.

2004-03-29  Crispin Flowerday  <gnome@flowerday.cx>

	* configure.in: Up glade requirement to 2.3.1 (for GtkExpander
	support)
	
	* utils/Makefile.am
	R utils/disclosure-widget.h
	R utils/disclosure-widget.c: Remove the disclosure widget

	* utils/galeon-dialog.c
	* utils/gul-prefs-utils.c
	* utils/gul-prefs-utils.h: Make GaleonDialog understand the
	GtkExpander widget

	* utils/gul-state.c: Preserve state for the GtkExpander
	
	* mozilla/ContentHandler.cpp
	* mozilla/CookiePromptService.cpp
	* mozilla/GtkNSSClientAuthDialogs.cpp: Use the GtkExpander
	rather than the CddbDisclosure widget.

2004-03-29  Crispin Flowerday  <gnome@flowerday.cx>

	R src/galeon-toggle-action.c
	R src/galeon-toggle-action.h: Remove our implementation of
	a toggle action, it isn't needed anymore.

2004-03-29  Crispin Flowerday  <gnome@flowerday.cx>

	* utils/Makefile.am
	R utils/eel-input-event-box.c
	R utils/eel-input-event-box.h: Remove the EelEventBox

	* utils/gul-notebook.c
	* src/statusbar.c
	* src/galeon-action-favicon.c: Use the gtk event box in its
	"no visible window" mode.

2004-03-29  Crispin Flowerday  <gnome@flowerday.cx>

	A ui/hand-open.png: Add missing file.

2004-03-29  Crispin Flowerday  <gnome@flowerday.cx>

	* libegg/Makefile.am
	R libegg/eggtreemodelfilter.h
	R libegg/eggtreemodelfilter.c: Remove the egg version of the
	tree filter.

	* src/pdm-dialog.c: Use the gtk version of the tree filter.

2004-03-29  Crispin Flowerday  <gnome@flowerday.cx>

	* libegg/Makefile.am
	R libegg/egg-action-group.c
	R libegg/egg-action-group.h
	R libegg/egg-action.c
	R libegg/egg-action.h
	R libegg/egg-menu-merge.c
	R libegg/egg-menu-merge.h
	R libegg/egg-menu.h
	R libegg/egg-radio-action.c
	R libegg/egg-radio-action.h
	R libegg/egg-toggle-action.c
	R libegg/egg-toggle-action.h
	R libegg/eggradiotoolbutton.c
	R libegg/eggradiotoolbutton.h
	R libegg/eggseparatortoolitem.c
	R libegg/eggseparatortoolitem.h
	R libegg/eggtoggletoolbutton.c
	R libegg/eggtoggletoolbutton.h
	R libegg/eggtoolbar.c
	R libegg/eggtoolbar.h
	R libegg/eggtoolbutton.c
	R libegg/eggtoolbutton.h
	R libegg/eggtoolitem.c
	R libegg/eggtoolitem.h
	R libegg/eggtreemultidnd.c
	R libegg/eggtreemultidnd.h
	R libegg/prop-editor.h: Remove all the libegg implementations
	of the GtkAction stuff.

	* libegg/egg-toolbar-editor.c
	* libegg/egg-toolbar-editor.h
	* libegg/egg-toolbars-model.c
	* libegg/egg-toolbars-model.h
	* libegg/egg-editable-toolbar.c
	* libegg/egg-editable-toolbar.h: Sync implementations with
	epiphany, with a few changes so that they work properly.

	* libegg/dock/egg-dock.c: Minor API change
	
	* src/Makefile.am
	R src/galeon-action-group.c
	R src/galeon-action-group.h
	R src/galeon-radio-action.c
	R src/galeon-radio-action.h
	R src/galeon-tearoff-action.c
	R src/galeon-tearoff-action.h: Remove some unneeded helper
	actions and functions

	* src/galeon-recent-history-menu.c
	* src/galeon-tab-menu.c
	* src/galeon-window-menu.c
	* src/galeon-css-menu.c
	* src/galeon-encoding-menu.c: Port to gtk 2.4, and use the
	new gtk_ui_manager_add_ui API.

	* src/galeon-action-favicon.c
	* src/galeon-action-favicon.h
	* src/galeon-action-go.c
	* src/galeon-action-go.h
	* src/galeon-action-home.c
	* src/galeon-action-home.h
	* src/galeon-action-location.c
	* src/galeon-action-location.h
	* src/galeon-action-navigation.c
	* src/galeon-action-navigation.h
	* src/galeon-action-new.c
	* src/galeon-action-new.h
	* src/galeon-action-refresh.c
	* src/galeon-action-refresh.h
	* src/galeon-action-spinner.c
	* src/galeon-action-spinner.h
	* src/galeon-action-stop.c
	* src/galeon-action-stop.h
	* src/galeon-action-zoom.c
	* src/galeon-action-zoom.h
	* src/galeon-action.c
	* src/galeon-action.h
	* src/galeon-encoding-dialog.c
	* src/galeon-favicon-action.c
	* src/galeon-favicon-action.h
	* src/galeon-popup.c
	* src/galeon-popup.h
	* src/galeon-tab.c
	* src/galeon-window.c
	* src/galeon-window.h
	* src/page-info-dialog.c
	* src/pdm-dialog.c
	* src/popup-commands.c
	* src/popup-commands.h
	* src/ppview-toolbar.c
	* src/ppview-toolbar.h
	* src/window-commands.c
	* src/window-commands.h
	* ui/Makefile.am
	* ui/galeon-egg-ui.xml
	* utils/gul-toolbutton.c
	* utils/gul-toolbutton.h: Port from EggMenuMerge to GtkUIManager and
	friends. 

2004-03-22  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* bookmarks/bookmarks.c: Add parentheses to assignments similar to
	's = (GbSite *) b = b->alias' to fix precedence (read: to shut up gcc
	warning: use of cast expressions as lvalues is deprecated)

2004-03-21  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* libegg/Makefile.am
	R libegg/eggmarshalers.c
	R libegg/eggmarshalers.h
	* utils/Makefile.am: Remove generated files from CVS and tarballs to
	avoid introducing bogus dependencies to the builder.  Build libegg
	before libegg/dock to get marshaller files available in time for the
	latter.

2004-03-20  Philip Langdale  <philipl@mail.utexas.edu>

	NEWS:
	configure.in: 1.3.14 released. Yay.

2004-03-20  Philip Langdale  <philipl@mail.utexas.edu>

	* bookmarks/bookmark-gtk-menu-item.c: Fix middle clicking on an
	interactive smartbookmark to close the menu so you can interact
	with the dialog.

2004-03-18  Crispin Flowerday  <gnome@flowerday.cx>

	* ui/bookmarks.glade: Don't add a handler to the "close" signal
	of the dialog, GaleonDialog handles that for us.

2004-03-18  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-window.c: Fix a crash when dragging a URL to the
	empty part of the tab bar.

2004-03-17  Crispin Flowerday  <gnome@flowerday.cx>

	* utils/disclosure-widget.c: Clear the expand_id flag when
	the timeout callback returns false.

2004-03-16  Crispin Flowerday  <gnome@flowerday.cx>

	* libegg/egg-toolbars-model.c: Fix the logic check for
	removeable toolbars (& rather than &&)

2004-03-16  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/SideBar.cpp: Dont use free'd memory when loading
	a 0 byte sidebars.xml file.

	* libegg/egg-toolbars-model.c
	* libegg/egg-toolbars-model.h: Check that the toolbars.xml file
	can be loaded (e.g. if it was 0 bytes)
	
	* src/galeon-shell.c: If we can't load the users toolbars.xml
	file, load the default toolbar layout. Fixes bug #137387

2004-03-16  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-tab.c: If the parent window is set to NULL, then
	mark the tab as not active.

2004-03-15  Crispin Flowerday  <gnome@flowerday.cx>

	* ui/galeon-egg-ui-toolbar.xml
	* src/galeon-window.c: Add a "Find" toolbar button.

2004-03-14  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/ContentHandler.cpp: It seems mozilla now requires 
	absolute paths to filenames, so give it one.
	
	* mozilla/ProgressListener.cpp: Add a really dirty hack to stop
	mozilla launching the helper application, as we handle it
	ourselves.

2004-03-10  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-window.c: Comment out a couple of broken lines of
	code that caused a crash when clearing the history.

2004-03-09  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/ProgressListener.cpp: Ensure that the ProgressListener
	object is still alive for the lifetime of the Abort call

2004-03-07  Crispin Flowerday  <gnome@flowerday.cx>

	* embed/galeon-embed-popup.c
	* src/galeon-popup.c: Don't alter the background options
	when setting an image as the background. Fixes bug #136383

2004-03-06  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/mozilla-embed.cpp: Popup the context menu when using
	the context menu key. Fixes bug #71079 (for moz 1.7b and later)

2004-03-06  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/ContentHandler.cpp: Use GetInterface rather than 
	QueryInterface to get the parent window for the file selector.
	Fixes bug #112378

2004-03-06  Crispin Flowerday  <gnome@flowerday.cx>

	* configure.in: 
	* mozilla/GlobalHistory.cpp: *sigh*, another mozilla API
	change.

2004-03-05  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-tab.c: Fix a crash when javascript closes a
	tab, and the user clicks "Cancel" in the unsubmitted changes
	dialog, galeon equivalent of bug #135976

2004-03-05  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-favicon-action.c: Ensure that we don't show
	the default favicon image inside the "Go" menu.

2004-03-05  Crispin Flowerday  <gnome@flowerday.cx>

	* bookmarks/xbel.c: Restore the entity encoding to preserve
	bookmark compatability, I haven't put the functions back in
	the gul-* files as they are only needed for backwards
	compatability hacks in this one place.

2004-03-04  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/MyportalProtocolHandler.cpp: Use gnome-vfs to 
	escape a string. We should really tidy up the myportal code
	it doesn't escape nearly enough stuff.

	* utils/gul-bonobo-extensions.c
	* utils/gul-bonobo-extensions.h
	* utils/gul-string.c
	* utils/gul-string.h: Remove lots of unneeded helper functions,
	and associated cruft, mostly bonobo stuff.

2004-03-04  Crispin Flowerday  <gnome@flowerday.cx>

	* bookmarks/xbel.c
	* utils/gul-general.c
	* utils/gul-general.h
	* utils/gul-string.c
	* utils/gul-string.h: Remove a couple of functions that were left
	over from when galeon used libxml1, which apparantly didn't encode
	entities properly.

2004-03-03  Crispin Flowerday  <gnome@flowerday.cx>

	* bookmarks/bookmarks-netscape-mozilla.c: Import smart
	bookmarks from mozilla, correctly parse notes from
	netscape4, and export bookmarks correctly escaped
	Fixes bug #136069, bug #125904 and bug #74692

	Also attempt to import netscape 4 aliases, the support
	is not quite all there yet (the merge converts them to
	real bookmarks) - bug #125584

2004-03-02  Crispin Flowerday  <gnome@flowerday.cx>

	* utils/pref-strings.h
	* embed/galeon-embed-utils.h
	* embed/galeon-embed-utils.c: Simplify the arguments to the
	helper functions for saving pages / images etc.

	* embed/galeon-embed-helper-list.c
	* embed/galeon-embed-popup.c
	* src/galeon-popup.c
	* src/galeon-tab.c
	* src/window-commands.c: Port callers

	* utils/gul-gui.c: Convert from filename encoding to UTF-8 for
	display

	* mozilla/FilePicker.cpp: Convert the home directory to UTF-8 
	correctly. Save the directory correctly in gconf.
	
	* mozilla/mozilla-embed-persist.cpp
	* mozilla/ContentHandler.cpp: Get the filename / system encoding
	sorted out, so that files are saved correctly into directories
	that aren't plain ascii, and the download path is saved correctly
	
	Fixes bug #62424, bug #77802 and bug #120930
	
2004-02-27  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-tab.c: Only apply the modifier flags if the link was
	clicked using the middle button (rather than Ctrl+Left_Click) and
	don't download and open a link using Ctrl+Shift+Left_Click.  Fixes
	bug #135638

2004-02-26  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/mozilla-encodings.c: Rename a few new strings to what
	Galeon used to use, to avoid unnecessary work for translators.

	* embed/galeon-encodings.c: Use N_() rather than _() to mark the
	string for translation.
	

2004-02-25  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/mozilla-encodings.c: Add some not-often used encodings to
	our list.

	* embed/galeon-encodings.c
	* src/galeon-encoding-menu.c: Automatically add actions for unknown
	encodings.

2004-02-24  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/ProgressListener.cpp: Don't call |delete| on the
	GProgressListener class, now that the mozilla bug is fixed, this
	causes a nasty crash (it still leaks though). Fixes bug #135162

2004-02-24  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-tab.c
	* src/galeon-tab.h: Remove a hack that worked around tab lifetime
	problems. I don't believe that it is needed any more. Also remove
	the "open_uri" callback, it wasn't fired anyway, and remove a 
	couple of functions that aren't needed.
	
	* src/window-commands.c: Use the "galeon_window_remove_tab"
	function when closing a tab

	* src/galeon-tab-menu.c: Use the 'window' variable in the
	GaleonTabMenu object.

	* src/galeon-window.h: Remove an unused enum

2004-02-23  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-tab.c: Fix a potential segfault when closing
	a tab. Possibly the cause of bug #132381

2004-02-23  Crispin Flowerday  <gnome@flowerday.cx>

	* embed/global-history.c: Hand-roll a xml escape routine to correctly
	encode the strings for the history file. We only need this workaround
	because libxml2 is broken, and we can't use the g_markup function as the
	input is not necessarily UTF-8.

2004-02-23  Crispin Flowerday  <gnome@flowerday.cx>

	* configure.in: Turn on debug mode, when maintainer mode is enabled.

2004-02-23  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-tab.c
	* src/galeon-tab.h: Make the GaleonTab object a GtkBin containing
	the GaleonEmbed itself. This helps clarify the lifetime between
	the embed and tab. The notebook now contains GaleonTab objects,
	as opposed to the GaleonEmbed objects it previously held. Fixes
	bug #135108.
	
	* src/galeon-shell.c
	* src/galeon-tab-menu.c
	* src/galeon-window.c
	* src/session.c
	* src/window-commands.c: Fix everyone who needs to know about the
	new GaleonTab/GaleonEmbed layout. 

	* tests/popups.html
	* tests/pp2.html
	* tests/pp3.html
	* tests/pp4.html: Add some more popup tests.
	
2004-02-22  Adam Weinberger  <adamw@FreeBSD.org>

	* configure.in: Added "en_CA" to ALL_LINGUAS.

2004-02-22  Crispin Flowerday  <gnome@flowerday.cx>

	* utils/eel-gconf-extensions.c: Remove an old, broken, check for
	the gconf schema being installed correctly
	
	* src/galeon-shell.c: Add a new check to ensure the schema is
	correctly installed.

2004-02-22  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/mozilla-embed.cpp: Ensure the url is non-null before we
	do a strcmp on it.

2004-02-22  Crispin Flowerday  <gnome@flowerday.cx>

	* utils/gul-string.c: Use the glib functions to convert
	a date to a string, and use %x which should do the 'correct'
	thing for all locales.

2004-02-22  Crispin Flowerday  <gnome@flowerday.cx>

	* bookmarks/bookmarks-clipboard.c
	* bookmarks/bookmarks-context-menu-several.c
	* bookmarks/bookmarks-context-menu.c
	* bookmarks/bookmarks-default-icon-provider.c
	* bookmarks/bookmarks-editor-dockable.c
	* bookmarks/bookmarks-editor.c
	* bookmarks/bookmarks-epiphany.c
	* bookmarks/bookmarks-folder-tb-widget.c
	* bookmarks/bookmarks-gtk-menu-item.c
	* bookmarks/bookmarks-gtk-menu.c
	* bookmarks/bookmarks-gtk-toolbar-set.c
	* bookmarks/bookmarks-gtk-toolbar.c
	* bookmarks/bookmarks-import-druid-konqueror.c
	* bookmarks/bookmarks-single-editor.c
	* bookmarks/bookmarks-tb-widget.c
	* bookmarks/bookmarks-tree-model.c
	* bookmarks/bookmarks-tree-view.c
	* bookmarks/bookmarks.c
	* bookmarks/bookmarks.h
	* bookmarks/xbel.c
	* embed/global-history.c
	* embed/print-dialog.h
	* libegg/egg-menu-merge.c
	* mozilla/mozilla-embed.cpp
	* src/galeon-action-favicon.c
	* src/galeon-action-go.c
	* src/galeon-action-home.c
	* src/galeon-action-location.c
	* src/galeon-action-navigation.c
	* src/galeon-action-new.c
	* src/galeon-action-refresh.c
	* src/galeon-action-spinner.c
	* src/galeon-action-stop.c
	* src/galeon-action-zoom.c
	* src/galeon-action.c
	* src/galeon-bookmarks-icon-provider.c
	* src/galeon-css-menu.c
	* src/galeon-embed-autoscroller.c
	* src/galeon-embed-manual-scroller.c
	* src/galeon-encoding-menu.c
	* src/galeon-favicon-action.c
	* src/galeon-favicon-action.h
	* src/galeon-nautilus-view.c
	* src/galeon-recent-history-menu.c
	* src/galeon-shell.c
	* src/galeon-tab-menu.c
	* src/galeon-tab-menu.h
	* src/galeon-tab.c
	* src/galeon-window-menu.c
	* src/galeon-window.c
	* src/history-dialog.c
	* src/session.c
	* src/window-commands.c
	* src/window-recent-history.c
	* utils/galeon-autocompletion-window.c
	* utils/galeon-autocompletion.c
	* utils/gul-download.c
	* utils/gul-filesystem-autocompletion.c
	* utils/gul-general.c
	* utils/gul-gestures.c
	* utils/gul-prefs-utils.c
	* utils/gul-toolbutton.c
	* utils/location-entry.c: Replace all the random DEBUG_* #ifdefs with
	the new LOG() function, use the *_PROFILE support where we do timings, and
	fix all C comments to use '/* .. */' rather than '//'. Fixes bug #103034

2004-02-22  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/GaleonWrapper.cpp
	* mozilla/EventContext.cpp
	* mozilla/Makefile.am
	R mozilla/nsUnicharUtils.cpp
	R mozilla/nsUnicharUtils.h: Use EqualsIgnoreCase() to do case
	insensitive compares of mozilla strings with ASCII strings.

2004-02-22  Philip Langdale  <philipl@mail.utexas.edu>

	* configure.in: Added 1.7b to list

2004-02-21  Crispin Flowerday  <gnome@flowerday.cx>

	A utils/galeon-debug.h
	A utils/galeon-debug.c
	* utils/Makefile.am
	* src/galeon-main.c
	* configure.in: Copy the epiphany debuging code (some small changes
	to limit header pollution), only enabled when configured with
	--enable-debug.

2004-02-20  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-main.c
	* utils/gul-state.c
	* utils/gul-state.h: Sync the state every 5 minutes, rather than
	every time something changes.
	
	* mozilla/CookiePromptService.cpp
	* src/galeon-prefs-dialog.c
	* utils/galeon-sidebar.c: Don't explictly save the state.
	Fixes bug #134522

2004-02-20  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/FilePicker.cpp: Fix encoding conversions when
	remembering the last-upload directory. Thanks to chpe for
	spotting this.

2004-02-20  Crispin Flowerday  <gnome@flowerday.cx>

	* libegg/egg-editable-toolbar.c: Fix the logic when making
	the "Remove Toolbar" menu item sensitive, it was trying
	to do a bit-wise AND with '&&'.

2004-02-20  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/EventContext.cpp: 'resource' urls can open in new
	tabs as well.

2004-02-20  Crispin Flowerday  <gnome@flowerday.cx>

	* bookmarks/bookmarks.c: After we have successfully saved the
	bookmarks, reset the "needs_saving" flag to FALSE

2004-02-20  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/FilePicker.cpp
	* utils/prefs-strings.h: Remember the last upload directory.
	Fixes bug #79319

2004-02-20  Crispin Flowerday  <gnome@flowerday.cx>

	* utils/gul-general.c
	* utils/gul-general.h: Create a low-disk safe xml file saving
	helper function.

	* libegg/egg-toolbars-model.c: Fix low-disk saving logic.
	
	* src/session.c
	* src/galeon-favicon-cache.c
	* mozilla/SideBar.cpp: Use the new helper function. 
	Finally fixes bug #57844

2004-02-19  Philip Langdale  <philipl@mail.utexas.edu>

	* configure.in
	* mozilla/mozilla-embed-shell.cpp
	* mozilla/nsUnicharUtils.cpp
	* mozilla/nsUnicharUtils.h: Updates to cope with the
	latest string changes in mozilla. Also added the Makefile.am
	for the spanish docs to configure.in

2004-02-16  Crispin Flowerday  <gnome@flowerday.cx>

	* NEWS
	* configure.in: 1.3.13 "Lets try that again"

2004-02-16  Crispin Flowerday  <gnome@flowerday.cx>

	* utils/gul-general.c
	* utils/gul-general.h
	* embed/global-history.c: Ensure history saving fails gracefully
	when the disk is full. Finishes the fix for bug #134197

2004-02-16  Crispin Flowerday  <gnome@flowerday.cx>

	* embed/global-history.c: Make history loading more robust when
	given broken history files. This also works around bug 134477
	in libxml2 by using g_markup_escape_text to encode characters in
	the final xml file.

2004-02-16  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-action-home.c: Escape the URL that is passed into the
	dialog box when dragging a new home page to the button. Otherwise
	pango gets confused if there are '&' chars in the text

2004-02-15  Hein Roehrig <bugzilla-gnome@hein.roehrig.name>

	* src/galeon-favicon-cache.c: Only save the favicon cache if it
	has changed.

2004-02-14  Crispin Flowerday  <gnome@flowerday.cx>

	* utils/gul-filesystem-autocompletion.c: Only attempt to use
	gnome-vfs to autocomplete files, rather than things like http://
	(which cause PROPFIND requests to servers). Fixes bug #125005

2004-02-14  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/GlobalHistory.cpp
	* mozilla/MozRegisterComponents.cpp: Ensure compilation still
	works with versions of mozilla other than 1.7a

2004-02-14  Crispin Flowerday  <gnome@flowerday.cx>

	* README.ExtraPrefs: Changing the number of days to store the
	history is actually supported.

2004-02-12  Crispin Flowerday  <gnome@flowerday.cx>

	* ui/galeon-egg-ui.xml
	* src/popup-commands.c
	* src/galeon-popup.c: Ensure that the "View Source" context menu item
	works from the sidebar.

2004-02-12  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/SideBar.cpp: Ensure that popups from a sidebar 
	actually work. Fixes bug #94277

2004-02-11  Philip Langdale  <philipl@mail.utexas.edu>

	* mozilla/GaleonWrapper.cpp
	* mozilla/GlobalHistory.cpp
	* mozilla/GlobalHistory.h
	* mozilla/MozRegisterComponents.cpp: API Changes. You know the drill.

2004-02-10  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/mozilla-embed.cpp: Ensure that when cloning a page the
	url bar reflects the page being loaded.

2004-02-10  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-window.c: Set the default button correctly in the
	"Enter args for the smart site" dialog.

2004-02-09  Crispin Flowerday  <gnome@flowerday.cx>

	* bookmarks/bookmarks-gtk-toolbar.c: Show separators in the bookmark
	toolbar. Fixes bug #133911 (and because we now show all the items
	in a bookmark folder, fixes bug #133909 as well).

2004-02-09  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-window.c: Kill the selection-received signal on the
	main GaleonWindow, the tabs look after pasting now.

2004-02-09  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-tab.c: Really fix pasting of UTF8 characters, even
	from applications that don't support UTF8. See bug #133633

2004-02-07  Philip Langdale  <philipl@mail.utexas.edu>

	* src/galeon-window.c: Only respond to a popup_menu
	event on the notebook if the notebook is actually the
	focused widget. If not, it can respond when the mozilla
	embed is focused. Stupid gtk2 focus model.

2004-02-07  Philip Langdale  <philipl@mail.utexas.edu>

	* src/pdm-dialog.c: Clear cookie info fields when the
	selected cookie is removed.

2004-02-07  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/EventContext.cpp
	* mozilla/EventContext.h
	* src/popup-commands.c: When bookmarking a link, use the link text
	if the link doesn't have a "title" attribute. Thanks to chpe for
	pointing out that we didn't already do this.

2004-02-07  Crispin Flowerday  <gnome@flowerday.cx>

	* Makefile.am: Use GCONF_SCHEMA_FILE_DIR for the gconf schema,
	makes the --with-gconf-schema-file-dir configure option work

2004-02-07  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-tab.c: When pasting a URL, request a UTF8 string, this
	fixes pasting of IDN domain names. Fixes bug #133633

2004-02-07  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-window-menu.c: Set the "move tab to other window" menu
	to be not sensitive, when there aren't any other windows to use.

2004-02-07  Crispin Flowerday  <gnome@flowerday.cx>

	* src/migrate.c: Migrate the old toolbar style gconf key to the new
	one.

2004-02-07  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-window.c: Use g_ascii_strcasecmp rather than g_strcasecmp,
	as the latter is deprecated. Also, fix a memory leak, and ensure the
	function doesn't emit warnings when the gconf key is unset.

2004-02-07  Crispin Flowerday  <gnome@flowerday.cx>

	* bookmarks/bookmarks-gtk-menu-item.c: Call the parent's style_set
	function in our overloaded function.

2004-02-04  Philip Langdale  <philipl@mail.utexas.edu>

	* mozilla/GaleonWrapper.cpp: API Change. Yet again.

2004-02-04  Philip Langdale  <philipl@mail.utexas.edu>

	* src/galeon-window.c: Update the sensitivity of  "Close Other Tabs" along
	with the other Tab actions.

2004-02-04  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-window.c: Add back the accelerators for Ctrl+KP_Plus,
	Ctrl+KP_Subtract, and Ctrl+s. Fixes bug #132462

2004-02-04  Philip Langdale  <philipl@mail.utexas.edu>

	* README.ExtraPrefs
	* galeon.schemas.in
	* libegg/egg-editable-toolbar.c
	* libegg/egg-toolbars-model.h
	* src/galeon-window.c
	* utils/prefs-strings.h: Re-implemented the ability to override
	the system toolbar style. See README.ExtraPrefs for the details.

2004-02-02  Crispin Flowerday  <gnome@flowerday.cx>

	* libegg/eggtreemodelfilter.c: Backport patch from bug 132615 to fix
	a use of memory after a free.

2004-02-02  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/mozilla-embed.cpp: Only fake the loading url if mozilla
	returns "about:blank" as the current page url.

2004-02-02  Crispin Flowerday  <gnome@flowerday.cx>

	* bookmarks/bookmarks-gtk-menu-item.c: Add a hack suggested by Owen
	to fix the colours on the bookmark menu. Fixes bug #111560

2004-02-02  Philip Langdale  <philipl@mail.utexas.edu>

	* mozilla/MozRegisterComponents.cpp
	* mozilla/SideBarProxy.cpp: Make SideBar work again.

2004-02-02  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-window.c: Check that there really is a focused widget
	before passing key press events to it. Fixes bug #133157

2004-02-01  Philip Langdale  <philipl@mail.utexas.edu>

	* src/galeon-window.c
	* src/window-commands.c
	* src/window-commands.h
	* ui/galeon-egg-ui.xml
	* utils/gul-notebook.c: Replaced our redundant tab
	popup menu with a useful one. Has a subset of the
	main tab menu (clone/detach/close/close others).
	And, as you might guess, added "Close Other Tabs" item
	to main menu too. Fixes #118376.

2004-02-01  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/mozilla-embed-shell.cpp: Avoid a gobject warning
	when running galeon -q.

2004-02-01  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-favicon.c: Use the more normal style of the 
	set_property calling a function rather than vice-versa.

	* src/Makefile.am
	A src/galeon-favicon-action.c
	A src/galeon-favicon-action.h: Add an action that puts the
	favicon for the url (provided as a property) in the menu item.

	* src/galeon-recent-history-menu.c: Use the GaleonFaviconAction
	so that we get favicons in the menu.

2004-02-01  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-window.c
	* src/galeon-css-menu.c: Fix a crash when closing the last tab in
	a window, that uses the javascript onunload function to open a 
	dialog box.

2004-02-01  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-action-navigation.c: Add favicons into the back,
	forward and up menu items.

2004-02-01  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/mozilla-embed.cpp: Use g_signal_connect_object to avoid
	the need to disconnect the signals.

2004-02-01  Crispin Flowerday  <gnome@flowerday.cx>

	* embed/galeon-embed-popup.c
	* src/galeon-popup.c
	* src/galeon-action-navigation.c
	* utils/gul-string.c
	* utils/gul-string.h: Remove gul_string_escape_uline_accel, it does
	exactly the same thing as gul_string_double_underscores.
	
2004-02-01  Crispin Flowerday  <gnome@flowerday.cx>

	* utils/gul-string.c
	* utils/gul-string.h: Remove gul_string_is_prefix, g_str_has_prefix works
	perfectly well.

2004-01-31  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/mozilla-embed.cpp: Add a workaround for the "dissappearing
	url" problem. This problem is caused by mozilla's slightly broken
	behaviour whereby it loads "about:blank" while actually loading
	a different page. We now basically ignore these loads, and remember
	the url that is actually being loaded. Fixes bug #73428 and 
	bug #120952

2004-01-31  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-window.c: Fix the emacs key binding hack to only 
	occur when the gtk key theme is "Emacs". Also only shortcircuit
	Ctrl+letter key presses.

2004-01-31  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-tab-menu.c: Improve the tab menu w.r.t accelerators
	any changes to this menu will work properly across sessions. The
	manu creation isn't perfect, but gtk 2.4 will help that when it has
	non-broken radio actions.

2004-01-31  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-main.c: Ensure that the accelerators are saved if
	the user has changed them.

2004-01-31  Philip Langdale  <philipl@mail.utexas.edu>

	* src/pdm-dialog.c: After many days of banging my head against
	this broken model code, here are some changes that make the
	situation a little better. You can no happily delete the whole
	set of cookies/perms/whatevers without getting weird NULL entries
	and other instabilities. There are however still cases where if
	you delete particular subsets in one go, things will get out
	of sync. The work continues.

2004-01-31  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/ContentHandler.cpp: Fix the ContentHandler dtor, it was
	trying to g_free a nsCOMPtr<>, and use nsMemory::Free to free
	a string that came from mozilla.

2004-01-29  Crispin Flowerday  <gnome@flowerday.cx>

	* utils/gul-string.c: Ensure that we don't chop off parts of a utf-8
	character when shortening strings.

2004-01-28  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-window.c: Revert the name change for the Back/Forward/Up
	actions that have the menu, so that in the toolbar they are still
	called "Back" etc. This has the problem that it is impossible in
	the toolbar editor to differentiate them. Also fix a few response
	codes from a gtk_dialog.

2004-01-28  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-window.c: If a smart site toolbar button is pressed,
	and there were arguments in the entry, use them.  Thanks to
	Juho Snellman <jsnell@iki.fi> for pointing this out. Also remove
	the separator from the "enter site argument" dialog.

2004-01-28  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-window.c: Yet another try at the emacs key binding
	hack. This seems to work for all the cases I have tried.

2004-01-26  Crispin Flowerday  <gnome@flowerday.cx>
	
	* galeon-action-location.c
	* galeon-action-navigation.c
	* galeon-action-stop.c
	* galeon-action-zoom.c
	* galeon-tab.c: Use g_object_connect_object, it is more robust and
	ensures that there are no dangling signals. This fixes a real bug
	in the zoom-action.

2004-01-26  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-css-menu.c: Use g_object_set_data_full rather than
	using a weak ref.

2004-01-26  Philip Langdale  <philipl@mail.utexas.edu>

	* bookmarks/bookmarks-add-dialog.c: Hrm. Actually delete the disconnect
	call rather than just comment it out...

2004-01-26  Philip Langdale  <philipl@mail.utexas.edu>

	* bookmarks/bookmarks-add-dialog.c: Reactivated default callbacks on
	the bookmark treeview. I had deactivated them when I was planning on
	the dialog being modal. Now you can bring up the context menu on
	a folder and modify it or add new folders etc. Very slick. Thanks ric.

2004-01-26  Philip Langdale  <philipl@mail.utexas.edu>

	* src/pdm-dialog.c: Fixed crashes when deleting blocks of cookies/
	passwords/permissions. However, there is still a bug in that weird
	NULL entires are left in the listview. These don't reflect any problem
	with the underlying datastore and disappear if you close and reopen
	the PDM. However, they can provoke crashes if fiddled with. I'm working
	on sorting this out right now.

2004-01-26  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/GaleonWrapper.h
	* mozilla/GaleonWrapper.cpp: Fix compilation with mozilla 1.4 and
	when mozilla wasn't compile with the security stuff.

2004-01-26  Crispin Flowerday  <gnome@flowerday.cx>

	* configure.in
	* src/galeon-nautilus-view.c: Get the nautilus view compiling with
	the current development versions of libnautilus.

2004-01-25  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-css-menu.c: Checkin a memory leak fix as well, thats
	what comes of developing in 2 trees at the same time.

2004-01-25  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-css-menu.c
	* src/galeon-css-menu.h
	* src/galeon-window.c
	* ui/galeon-egg-ui.xml: Eggify the "Styles" menu, this also adds
	tooltips for menu items. Unfortunatley a hack was needed to get
	the egg radio actions working correctly.

2004-01-25  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-window-menu.c
	* src/galeon-window-menu.h
	* ui/galeon-egg-ui.xml
	* src/galeon-window.c: Eggify the "Move Tab to other window" menu,
	and add the number of tabs in each window to the label.

2004-01-25  Crispin Flowerday  <gnome@flowerday.cx>

	* utils/gul-notebook.c: Emit the "tabs_reordered signal when doing
	tab drag and drop.
	
	* src/galeon-window.c: Update the tab menu sensitivity, to
	disable actions that can't be performed.

2004-01-25  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-recent-history-menu.c: Remember to unref the
	Action.

2004-01-25  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-recent-history-menu.h
	* src/galeon-recent-history-menu.c
	* src/galeon-window.c
	* ui/galeon-egg-ui.xml: Eggify the Recent History Menu.

2004-01-25  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-tab-menu.c: Don't leak the Actions, and use a dummy
	action to keep track of the radio group, rather than trying to
	hack it ourselves, it didn't work when actions were destroyed.

2004-01-25  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-action.c: Use g_signal_connect_object, to ensure the
	signal gets disconnected when the EggAction is destroyed.

2004-01-25  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-tab-menu.c: Fix some memory leaks.

2004-01-24  Philip Langdale  <philipl@mail.utexas.edu>

	* ui/galeon.glade: Fixing incorrect mnemonics and accelerators in PDM.

2004-01-24  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-action-home.c
	* src/galeon-action-refresh.c: Make sure that we connect to the correct
	widget for the button-press-event.

2004-01-24  Philip Langdale  <philipl@mail.utexas.edu>

	* libegg/eggtreemodelfilter.c: Fixed warnings so -Werror is still
	possible.

2004-01-24  Philip Langdale  <philipl@mail.utexas.edu>

	* libegg/Makefile.am
	* libegg/eggtreemodelfilter.c: Update eggtreemodelfilter to latest cvs
	code and get it compiling.

	* src/pdm-dialog.c
	* ui/galeon.glade: Update PDM dialog to show cookie information
	in line as 1.2 did so the silly properties popup is no longer needed.
	Also added filtering on domain/hostname to help users find what they're
	looking for. PDM official doesn't suck anymore. :-)

2004-01-24  Crispin Flowerday  <gnome@flowerday.cx>

	* ui/galeon-egg-ui-toolbar.xml
	* src/galeon-window.c: Add the "Print" and "Save As" toolbar buttons,
	and make the labels for the back, forward and up items that have the
	menus, different from the ones without the menu.

2004-01-24  Crispin Flowerday  <gnome@flowerday.cx>

	* src/window-commands.c: Update the copyright year to 2004

2004-01-24  Crispin Flowerday  <gnome@flowerday.cx>

	* utils/gul-toolbutton.c
	* utils/gul-toolbutton.h: Make the GulToolbutton work better
	when used by actions (it will now correctly cause the "activate"
	action to be emitted on the signal).

	* src/galeon-action-go.c
	* src/galeon-action-home.c
	* src/galeon-action-navigation.c
	* src/galeon-action-new.c
	* src/galeon-action-refresh.c
	* src/galeon-action-stop.c: Port callers, and make them specifiy
	the types of the toolbar and menuitems, rather than using custom
	create functions. Attach the signals on connect_proxy.

2004-01-24  Crispin Flowerday  <gnome@flowerday.cx>

	* libegg/dock/egg-dock-item.c
	* libegg/dock/egg-dock-layout.c: Don't bother marking the class
	properties up for translation.

2004-01-24  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-window.c
	* ui/galeon-egg-ui.xml: Use the standard EggAction for the Fullscreen
	toolbar button.

	* src/galeon-toggle-action.c
	* src/Makefile.am
	R src/galeon-action-fullscreen.c
	R src/galeon-action-fullscreen.h
	* utils/Makefile.am
	R utils/gul-toggle-toolbutton.c
	R utils/gul-toggle-toolbutton.h: Remove all the custom classes that
	were needed just for the fullscreen button.
	
2004-01-24  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-tab-menu.c
	* src/galeon-tab-menu.h
	* src/galeon-window.c:
	* ui/galeon-egg-ui.xml: Eggify the Tab menu, place the Alt+[0-9]
	accelerators in the menu entries, and fix a bug where if the page
	title had '_'s it would display the next char as a mnemonic

2004-01-24  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* mozilla/GaleonWrapper.cpp: When checking forms for modifications
	handle correctly text entries with default value longer than
	maxlength.

2004-01-23  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* bookmarks/bookmarks-add-dialog.c: Fix gcc2 compilation.

2004-01-22  Philip Langdale  <philipl@mail.utexas.edu>

	* FAQ: Updated FAQ to explain how spinners are handled now.

2004-01-22  Philip Langdale  <philipl@mail.utexas.edu>

	* NEWS
	* configure.in: 1.3.12 release. First egg release!

2004-01-22  Philip Langdale  <philipl@mail.utexas.edu>

	* src/galeon-window.c: Tab reparenting show put the tab at the
	end of the row in the new window.

2004-01-22  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/GaleonWrapper.cpp: Workaround a bug in mozilla where 
	0xa0's are converted to spaces when displayed in form elements, so
	we think that the element is modified, even when it isn't.

2004-01-22  Philip Langdale  <philipl@mail.utexas.edu>

	* libegg/eggtoolbar.c: Stop egg toolbar from trying
	to install already existing gtk-settings properties.
	Gets rid of warnings on console.

2004-01-21  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/EventContext.cpp: The data: protocol (rfc 2397) can
	also open in a new tab when middle clicked.
	
2004-01-18  Crispin Flowerday  <gnome@flowerday.cx>

	* utils/gul-gui.c
	* utils/gul-gui.h: Add a helper function to display the
	help.
	
	* src/galeon-prefs-dialog.c: Hook up the Help button
	* src/window-commands.c: Hook up the help button for the
	toolbar editor

2004-01-18  Crispin Flowerday  <gnome@flowerday.cx>

	* embed/galeon-embed.h
	* embed/galeon-embed.c
	* mozilla/mozilla-embed.cpp
	* src/galeon-window.c: Don't enable the "View Source" menu option
	when already in view source mode, or the page is javascript
	generated. Fixes bug #94269

2004-01-17  Philip Langdale  <philipl@mail.utexas.edu>

	* configure.in
	* mozilla/GaleonWrapper.cpp
	* mozilla/mozilla-embed-shell.cpp: Mozilla changes again...
	Had to update c++ compilation flags to allow -Werror as mozilla
	changes mean certain warnings have to be turned off...

2004-01-17  Philip Langdale  <philipl@mail.utexas.edu>

	* mozilla/galeon-window.c: Crispin points out that I made a change
	to the special case logic so that the typeaheadfind work around
	stopped working. reverting that change.

2004-01-17  Philip Langdale  <philipl@mail.utexas.edu>

	* mozilla/galeon-window.c: Refine key event hack to be a little
	smarter. Now it doesn't eat function key events. :-)

2004-01-17  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/EventContext.cpp: Use the mod2 modifier, rather than
	the Meta_L keycode when updating which modifiers were used. Thanks
	to chpe for spotting this.

2004-01-17  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/EventContext.cpp:
	* mozilla/EventContext.h: If a link can't be opened in a new tab (such
	as javascript), then mark it as such.
	
	* src/galeon-tab.c: Make middle click on a javascript link, just run
	the link in the current window.
	
	* src/galeon-popup.c: Don't provide the options to open the link
	in a new tab or window for javascript links.

2004-01-17  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-window.c
	* src/galeon-popup.h
	* src/galeon-popup.c: Move all the popup menu actions into the
	GaleonPopup class, and remove the unneeded before_show signal.

2004-01-16  Crispin Flowerday  <gnome@flowerday.cx>

	* idl/GaleonAutomation.idl: Make the definition for loadurl match
	the implementation.

2004-01-16  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/mozilla-notifiers.cpp: Only notify mozilla of the proxy
	configuration file if the url is non-empty. Thanks to chpe for
	pointing this out.

2004-01-14  Philip Langdale  <philipl@mail.utexas.edu>

	* src/galeon-window.c: Expand our existing emacs keybinding hack
	to a more general implementation that always lets the focused
	child have a go at the event before the base handler. This allows
	emacs keybindings to work inside mozembed form controls. A couple
	of special case exceptions are needed. 1) GTK widgets seem to always
	claim to have handled an Escape event so we ignore the claim and always
	let the base handler process it too. This way View->Stop works when you
	press escape. 2) Mozembed does not return TRUE for plain alphanumeric
	key events during typeaheadfind, so we act as if it does, otherwise
	typeaheadfind sees each keystroke twice.

2004-01-14  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-popup.c: Fix a typo

2004-01-13  Crispin Flowerday  <gnome@flowerday.cx>

	* bookmarks/bookmarks-tree-view.c: Make the title column have the expanders,
	not the checkbox column

	* bookmarks/bookmarks-single-editor.h
	* bookmarks/bookmarks-single-editor.c: 
	* ui/bookmarks-editor.glade: Improve the bookmark property
	dialog, it should be more compact, and easier on the eyes now.
	Fixes bug #112371 and bug #94259
	
2004-01-13  Crispin Flowerday  <gnome@flowerday.cx>

	* bookmarks/bookmarks-smart-site-tb-widget.c: If the arrows
	for smart bookmarks aren't shown, always show the entry box
	even if the bookmark should be folded (otherwise you can't
	enter text)

2004-01-13  Crispin Flowerday  <gnome@flowerday.cx>

	* bookmarks/bookmarks-smart-site-tb-widget.c: When clicking on the
	arrow to show a smarturl, grab the focus into the first entry
	box. Fixes bug #89338

2004-01-13  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-window.c: Slightly change the wording of the
	unsubmitted changes dialog, sorry I18N peeps.

2004-01-13  Crispin Flowerday  <gnome@flowerday.cx>

	* bookmarks/bookmarks.h 
	* bookmarks/bookmarks.c: Change the set_smarturl API so that it
	only sets the URL, and add a get_smarturl call to get just the
	smarturl.
	
	* bookmarks/bookmarks-single-editor.c: Use the new API so the encoding
	doesn't show in the bookmark editor. Fixes bug #123117.

2004-01-13  Laurent Dhima  <laurenti@alblinux.net>

	* configure.in: Added "sq" to ALL_LINGUAS.

2004-01-12  Philip Langdale  <philipl@mail.utexas.edu>

	* mozilla/EventContext.cpp
	* mozilla/GaleonWrapper.cpp
	* mozilla/mozilla-embed-persist.cpp: API Resync. Wish they'd
	make their mind up.

2004-01-11  Crispin Flowerday  <gnome@flowerday.cx>

	* bookmarks/bookmarks-single-editor-small.c: Fix a cut'n'paste
	spelling mistake.

2004-01-11  Crispin Flowerday  <gnome@flowerday.cx>

	* src/migrate.c: Migrate the old toolbar settings to the new format.

2004-01-11  Crispin Flowerday  <gnome@flowerday.cx>

	* libegg/dock/Makefile.am
	* libegg/Makefile.am: Remove the hard coded DISABLE_DEPRECATED defines,
	they get set automatically in maintainer mode.

2004-01-10  Crispin Flowerday  <gnome@flowerday.cx>

	* embed/galeon-embed.c
	* embed/galeon-embed.h: Add an API to find out whether there are any
	modified form entry boxes on the page.

	* mozilla/GaleonWrapper.h
	* mozilla/GaleonWrapper.cpp 
	* mozilla/mozilla-embed.cpp: Implement the API.

	* utils/gul-notebook.h
	* utils/gul-notebook.c: Add a "tab_delete" signal that is emitted
	when the tab close button is clicked, you can return FALSE to
	stop the close from happening.

	* src/window-commands.c
	* src/galeon-window.h
	* src/galeon-window.c
	* src/galeon-tab.c: When a tab or window is closed, or when 
	Ctrl+Q is pressed, check that each tab doesn't have modified
	forms, and warn for each tab if it does. Fixes bug #78353

2004-01-10  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-action-home.c: Allow dragging of URL's to the home
	icon to set a new home page. Fixes bug #76443

2004-01-10  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-action-navigation.c: Allow middle clicking on the
	navigation toolbar buttons (back, forward and up) to open in a new
	tab. Fixes bug #125542

2004-01-10  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-window.c: Use the "dispose" signal to save
	ourselves in the session, this prevents referencing the 
	notebook during the finalize method, when it may have
	been destroyed.

2004-01-10  Crispin Flowerday  <gnome@flowerday.cx>

	* utils/gul-notebook.c: Call the parent classes finalize
	method.

2004-01-09  Philip Langdale  <philipl@mail.utexas.edu>

	* src/galeon-popup.c: Adding missing #include.

2004-01-08  Philip Langdale  <philipl@mail.utexas.edu>

	* src/galeon-window.c
	* src/popup-commands.c: Updated boomark actions in
	popups (bookmark link and bookmark frame) to use
	the add bookmark dialog. This is an even bigger deal
	for bookmark frame as that was not implemented at all
	previously :-)

2004-01-08  Philip Langdale  <philipl@mail.utexas.edu>

	* src/galeon-popup.c
	* src/galeon-window.c: Use galeon_action_group_add_action
	so that tooltips from popup menu items appear in status
	bar.

2004-01-08  Philip Langdale  <philipl@mail.utexas.edu>

	* configure.in
	* mozilla/GaleonWrapper.cpp: API Resync. First for
	a while.

2004-01-06  Crispin Flowerday  <gnome@flowerday.cx>

	* embed/galeon-embed-prefs.h
	* utils/prefs-strings.h
	* galeon.schemas.in: Remove unused preferences
	
	* README.ExtraPrefs: Add more hidden preferences, this should be
	all of them, but I'm not making any guarantees. Also add the default
	values for all the hidden preferences. Fixes bug #69559

2004-01-06  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* Makefile.am: Remove OrigTree.pm from EXTRA_DIST -- 'make dist' now
	requires intltool != 0.28

2004-01-05  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/MozillaPrivate.cpp (MozillaFindEmbed): Ensure that
	if the nsIDOMWindow provided is a frame inside an embed, we
	get the top-level window and then get the embed from that.
	Fixes bug 130425.

2004-01-04  Philip Langdale  <philipl@mail.utexas.edu>

	* bookmarks/bookmarks-add-dialog.c
	* bookmarks/bookmarks-add-dialog.h
	* src/galeon-window.c
	* src/window-commands.c
	* src/window-commands.h
	* ui/bookmarks.glade
	* ui/galeon-egg-ui.xml: Switched to a non-modal dialog
	for adding bookmarks after verifying that ric's bookmark
	treeview widget keeps in sync with backing datastore.
	New architecture is actually not ugly. wow. Had another
	go and renaming the "bookmarking a windows' tabs" process.

2004-01-03  Crispin Flowerday  <gnome@flowerday.cx>

	* embed/galeon-embed.h
	* embed/galeon-embed.c
	* mozilla/mozilla-embed.cpp: Propogate the net_start signal.

	* src/galeon-tab.c: Use the ge_net_stop and ge_net_start
	signals to update the load state.

	* src/galeon-action-stop.c: Use the ge_net_stop and ge_net_start
	signals to update the action's sensitivity.

	* src/galeon-css-menu.c: Listen on the ge_net_stop signal to work
	out when to update the css menu.
	
2004-01-03  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-window.c
	* src/galeon-window.h: Remove some un-used ControlID's

2004-01-03  Philip Langdale  <philipl@mail.utexas.edu>

	* bookmarks/bookmarks-add-dialog.c
	* bookmarks/bookmarks-add-dialog.h
	* src/galeon-window.c
	* src/window-commands.c
	* src/window-commands.h
	* ui/bookmarks.glade
	* ui/galeon-egg-ui.xml: Refinements based on comments
	from tko and crispin. Apparently we're calling them
	"bookmark groups" right now. :-)

2004-01-03  Philip Langdale  <philipl@mail.utexas.edu>

	* TODO: Update TODO to reflect the progress of
	recent months.

2004-01-03  Philip Langdale  <philipl@mail.utexas.edu>

	* bookmarks/Makefile.am
	A bookmarks/bookmarks-add-dialog.c
	A bookmarks/bookmarks-add-dialog.h
	* src/galeon-window.c
	* src/window-commands.c
	* src/window-commands.h
	* ui/bookmarks.glade
	* ui/galeon-egg-ui.xml: Implemented a dialog for adding
	bookmarks interactively. Allows for the specification of
	the name/url and the folder to put it in. This replaces
	the current, largely useless, default add and also allows
	for the introduction of "Add Tab Group" which should provide
	an adequate replacement for named sessions from 1.2.

2004-01-03  Philip Langdale  <philipl@mail.utexas.edu>

	* ui/galeon.glade: Add borders to treeviews in
	Page Properties

2004-01-01  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* Makefile.am
	* doc/Makefile.am
	* doc/omf.make
	* doc/xmldocs.make
	* sounds/Makefile.am: pass make distcheck

	Include OrigTree.pm in EXTRA_DIST -- 'make dist' now requires 
	intltool 0.28.

	Update omf.make and xmldocs.make from gnome-common and
	http://lists.gnome.org/archives/desktop-devel-list/2003-December/msg00587.html
 
	Add generated files to DISTCLEANFILES and work around scrollkeeper
	leaving files laying around after uninstall by setting
	distuninstallcheck_listfiles to skip the leftovers.

2003-12-22  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-tab.c
	* src/galeon-window.h
	* src/galeon-window.c: The various navigation actions update
	themselves (up, back, forward and stop), so don't bother
	forcing updates.

2003-12-22  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-window.c
	* src/galeon-window.h
	* src/galeon-tab.c: Remove the code that used to keep the zoom
	control. The Zoom action now keeps itself nicely in-sync
	automatically.

2003-12-22  Crispin Flowerday  <gnome@flowerday.cx>

	* src/page-info-dialog.c: If there isn't a hostname component
	of the url, ensure we don't use "(null)" instead.

2003-12-22  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-action-navigation.c: Fix the code so it checks
	the return values from the galeon_embed properly, removing
	an uncertainty about the return value.

2003-12-22  Danilo Šegan  <dsegan@gmx.net>

	* src/galeon-window-menu.c (galeon_window_menu_activate_cb):
	* src/galeon-window.c (egg_widget_add): 
	* src/galeon-action.c (galeon_action_menu_item_select_cb): 
	(galeon_action_menu_item_deselect_cb): Reorder declarations for
	compiling with GCC 2.95.x (fixes bug #129827).

2003-12-21  Crispin Flowerday  <gnome@flowerday.cx>

	* embed/galeon-embed.c
	* embed/galeon-embed.h
	* mozilla/mozilla-embed.cpp
	* mozilla/GaleonWrapper.cpp
	* mozilla/GaleonWrapper.h: Add a method to get the encoding
	information from the embed (copied from ephy, but simpler).
	Also rename the set_charset function to set_encoding.

	* mozilla/Makefile.am
	* mozilla/mozilla-embed-shell.cpp
	A mozilla/mozilla-encodings.c
	A mozilla/mozilla-encodings.h
	* mozilla/mozilla-i18n.c
	* mozilla/mozilla-i18n.h
	* embed/Makefile.am
	* embed/galeon-embed-shell.c
	* embed/galeon-embed-shell.h
	A embed/galeon-encodings.c
	A embed/galeon-encodings.h: Add a GaleonEncodings class which
	contains all the useful information about the support encodings.
	The MozillaEncodings class derives from it, and provides the
	actual encodings.

	* src/galeon-prefs-dialog.c: Use the new GaleonEncodings class
	
	* src/Makefile.am
	* src/galeon-window.c
	A src/galeon-encoding-dialog.c
	A src/galeon-encoding-dialog.h
	* src/galeon-encoding-menu.c
	* src/galeon-encoding-menu.h
	* ui/galeon-egg-ui.xml
	* ui/galeon.glade: Re-write the encoding menu, adding the recent
	encodings and related encodings. A dialog allows selection of
	other encodings. This is a port from epiphany.
	
2003-12-21  Crispin Flowerday  <gnome@flowerday.cx>

	* embed/galeon-embed-utils.c
	* embed/galeon-embed-utils.h
	* src/galeon-nautilus-view.c
	* ui/nautilus-galeon-view-ui.xml.in: Remove the encoding menu
	from the Nautilus view. Its a load of dynamic XML generation,
	and would be too hard to make it match the new encoding menu.
	(plus the backend has changed)

2003-12-21  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-action-group.c 
	* src/galeon-action-group.h 
	* src/galeon-window.c: Pass the GaleonWindow as an argument rather
	than assuming it is the user_data parameter of the 
	EggActionGroupEntry stucture.

2003-12-22  Philip Langdale  <philipl@mail.utexas.edu>

	* mozilla/GaleonWrapper.cpp: Fixed crispin's dubious use of strcmp
	in comparing nsCStrings...

2003-12-21  Crispin Flowerday  <gnome@flowerday.cx>

	* src/page-info-dialog.c: Ensure that we unref the GnomeVFSURI
	only if we have one.

2003-12-21  Crispin Flowerday  <gnome@flowerday.cx>

	* src/page-info-dialog.c
	* embed/galeon-embed-utils.c: Fix some memory leaks in the
	Page Info dialog.

2003-12-20  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-spinner.c
	* bookmarks/bookmarks.c: Fix a couple of memory leaks 

2003-12-20  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-tab-menu.c: Don't reference memory after it has
	been freed

2003-12-20  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/GtkNSSClientAuthDialogs.cpp: The GtkCombo box changes
	need Gtk 2.3.1, not 2.3.0.

2003-12-19  Philip Langdale  <philipl@mail.utexas.edu>

	* src/galeon-window.c: Gave up on trying to find a proper
	solution to the AccelGroup eats key events problem. Now
	'Escape' is not an official accelerator for View->Stop but
	our manual handler will make a Stop call when you press
	Escape and the key event will still pass through to the
	embed so that typeaheadfind and other places where escape
	is responded to work properly. Finally.

2003-12-19  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* configure.in
	* Makefile.am
	R spinners: Remove the unused spinner icons.

2003-12-19  Philip Langdale  <philipl@mail.utexas.edu>

	* libegg/Makefile.am: Added missing egg-macros.h

2003-12-19  Crispin Flowerday  <gnome@flowerday.cx>

	* src/history-dialog.c: Remove a bogus g_return_if_fail()

2003-12-19  Crispin Flowerday  <gnome@flowerday.cx>

	* configure.in: The help text should read 1.7a, not 1.7b

2003-12-19  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* libegg/dock/egg-dock-box.c
	* libegg/dock/egg-dock-master.c
	* libegg/dock/egg-dock-object.c
	* libegg/dock/egg-dock-paned.c
	* libegg/dock/egg-dock.c: fix silly warnings
	* src/galeon-window.c
	* src/galeon-window.h: fix more silly warnings by removing unused code

2003-12-19  Crispin Flowerday  <gnome@flowerday.cx>

	* configure.in: Update for Mozilla 1.6 and 1.7a

2003-12-19  Crispin Flowerday  <gnome@flowerday.cx>

	* INSTALL.in: Update for Gnome 2.4! and add note about mozilla-psm
	* README: Make slightly more up to date.

2003-12-18  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/mozilla-embed-shell.cpp
	* mozilla/mozilla-i18n.c
	* mozilla/mozilla-i18n.h
	* embed/galeon-embed-shell.c
	* embed/galeon-embed-shell.h: Add ability to get the font languages
	from the mozilla-embed, rather than having them hard-coded in multiple
	places.
	
	* embed/galeon-embed-prefs.h
	* mozilla/mozilla-notifiers.cpp
	* src/Makefile.am
	* src/galeon-prefs-dialog.c
	* src/galeon-shell.c
	A src/migrate.c
	A src/migrate.h: Move all the config migration code into one place, and
	use a config version number in gconf to work out what needs to be migrated.

2003-12-18  Philip Langdale  <philipl@mail.utexas.edu>

	* mozilla/GaleonWrapper.cpp
	* mozilla/GaleonWrapper.h: Accidentally commited a
	refactor of a helper method to get the CacheEntryDescriptor
	for a url. There's only one caller for this right now so
	it's technically not necessary, but it's good form and works
	fine, so I'm leaving it in.

2003-12-18  Philip Langdale  <philipl@mail.utexas.edu>

	* src/galeon-tab.c: One last case in the mouse click
	callback to take care of. Silly mozilla.

2003-12-18  Philip Langdale  <philipl@mail.utexas.edu>

	* src/galeon-tab.c: Follow up to 103919 regarding saving
	images on shift-click. There was sanity checking code in
	the original patch that made no sense to me. Turns out it
	was because pressing enter to submit a form or to follow
	link generates a *mouse click* event... Sanity checks are
	back and things are working normally again.

2003-12-16  Philip Langdale  <philipl@mail.utexas.edu>

	* src/page-info-dialog.c
	* ui/galeon.glade: Got hit by the mozembed realize
	bug. So we now only create the embed when the image
	tab is displayed. *sigh*
	
2003-12-16  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-action-zoom.c: Make the timeout before applying new
	zoom values longer than the initial timeout in the
	gtk-spin-button.  Fixes bug #129433

2003-12-15  Philip Langdale  <philipl@mail.utexas.edu>

	* src/page-info-dialog.c
	* ui/galeon.glade: Save the state of the vpaned
	between the image list and the image view.

2003-12-15  Philip Langdale  <philipl@mail.utexas.edu>

	* src/page-info-dialog.c
	* ui/galeon.glade: Added image view pane to
	Page Properties dialog. Used a galeonembed
	for it. Heh.

2003-12-13  Philip Langdale  <philipl@mail.utexas.edu>

	* embed/galeon-embed-utils.c
	* embed/galeon-embed.h
	* mozilla/GaleonWrapper.cpp
	* src/page-info-dialog.c: Hooked up Images tab of
	Page Properties. This is just an image list right
	now. The next step is to add an image preview pane
	in the dialog, as we used to have.

2003-12-13  Philip Langdale  <philipl@mail.utexas.edu>

	* src/galeon-window-menu.c: Fixed so as to never try
	and access the session object after it is finalised.
	Attempts to access after finalisation cause the object
	to be recreated, wiping out any stored session info on
	disk...

2003-12-12  Philip Langdale  <philipl@mail.utexas.edu>

	* libegg/egg-menu-merge.c
	* src/galeon-action-location.c
	* src/galeon-action-navigation.c
	* src/galeon-action-stop.c
	* src/galeon-action.c
	* src/galeon-window.c: Fixed a *big* memory leak that was
	revealed by the move-tab-to fix. Turns out we were leaking
	all of our actions when a window was closed, due to a bug
	in egg (this bug is fixed in gtk 2.3). Once the actions
	were finalising, a bug whereby stale callbacks on the
	active embed from the actions were revealed. These are
	now fixed. We no longer leak actions and the move-tab-to
	functionality is now fully correct.

2003-12-10  Philip Langdale  <philipl@mail.utexas.edu>

	* mozilla/GaleonWrapper.cpp: Factored <link> and
	<a> processing code into a separate template based
	helper. All method call signatures are the same but
	the two interfaces do not define them through a common
	base.

2003-12-11  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/GaleonWrapper.cpp: Fix for building on mozilla 1.5

2003-12-10  Philip Langdale  <philipl@mail.utexas.edu>

	* src/page-info-dialog.h: Missed one...

2003-12-10  Philip Langdale  <philipl@mail.utexas.edu>

	* src/page-info-dialog.h: Updated the tab list enum
	so we know which one is which.

2003-12-10  Philip Langdale  <philipl@mail.utexas.edu>

	* embed/galeon-embed-utils.c
	* embed/galeon-embed.h
	* mozilla/GaleonWrapper.cpp
	* src/page-info-dialog.c
	* ui/galeon.glade: Hooked up form and link tabs in
	the Page Properties Dialog. Eventually, it would be
	nice for the forms tab to be like the mozilla one
	and show form fields, but that needs thought. Unlike
	mozilla, we have a high overhead to lookup fields when
	a form is selected. OTOH, the memory overhead of caching
	all fields for all forms at Dialog creation is not
	something I like.

2003-12-10  Philip Langdale  <philipl@mail.utexas.edu>

	* TODO: Updated to reflect our progress, and our changed
	priorities it would seem. :-)

2003-12-10  Philip Langdale  <philipl@mail.utexas.edu>

	* src/galeon-tab-menu.c
	* src/galeon-tab-menu.h
	* src/galeon-tab.c
	* src/galeon-window-menu.c
	* src/galeon-window.c
	* src/galeon-window.h: Fixed the move-tab-to menu so
	it stays in sync. Added get_notebook method to
	galeon-window rather than pushing it to galeon-tab-menu.
	Originally wanted to use it in window-menu but didn't.
	Still a good idea anyway.

2003-12-09  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/GaleonWrapper.cpp
	* mozilla/GaleonWrapper.h
	* mozilla/Makefile.am
	* mozilla/mozilla-embed.cpp
	* embed/galeon-embed-utils.c
	* embed/galeon-embed.c
	* embed/galeon-embed.h
	* src/galeon-window.c
	* src/galeon-window.h
	* src/page-info-dialog.c
	* src/page-info-dialog.h
	* src/statusbar.c
	* src/statusbar.h
	* src/window-commands.c
	* ui/galeon.glade: Implement the Security tab for the page info
	dialog. And add a GaleonEmbed call to show the current page
	Certificate. Fixes bug #75095.

2003-12-09  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* galeon.schemas.in
	* src/galeon-spinner.c
	* src/galeon-spinner.h
	* utils/prefs-strings.h: Remove old spinner format in favor of gnome
	icon theme spinners.

2003-12-09  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/galeon-popup.c: Typofix previous commit,
	s/galeon_embed_popup_/galeon_popup_/

2003-12-08  Philip Langdale  <philipl@mail.utexas.edu>

	* embed/galeon-embed-popup.c
	* embed/galeon-embed-utils.c
	* embed/galeon-embed-utils.h
	* src/galeon-popup.c
	* src/galeon-tab.c
	* src/window-commands.c: Changes to refactor saving/downloading
	and add support for shift-clicking on images to save them.
	From Christian Persch <chpe+gnomebugz@stud.uni-saarland.de> with
	modifications to fix bit-rotting and account for egg.
	Fixes #103919.

2003-12-08  Philip Langdale  <philipl@mail.utexas.edu>

	* src/galeon-tab.c: Make Ctrl-Click open a link in
	a new tab again. Fixes #105367.

2003-12-07  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/page-info-dialog.c
	* src/session.c: Increase buffer size for strftime to get the "%c"
	format fit.

2003-12-07  Philip Langdale  <philipl@mail.utexas.edu>

	* ui/galeon.glade: Make default text = "DYNAMIC" so
	as not to generate unnecessary translations.

2003-12-07  Philip Langdale  <philipl@mail.utexas.edu>

	* ui/galeon.glade: Make labels selectable so they
	can be copied.

2003-12-07  Philip Langdale  <philipl@mail.utexas.edu>

	* embed/galeon-embed-utils.c: Free the meta tag
	list. Hee.

2003-12-07  Philip Langdale  <philipl@mail.utexas.edu>

	* src/window-commands.c: Jump to view-source tabs
	immediately.

2003-12-07  Philip Langdale  <philipl@mail.utexas.edu>

	* embed/galeon-embed.h
	* mozilla/GaleonWrapper.cpp
	* mozilla/GaleonWrapper.h
	* src/page-info-dialog.c: Hooked up meta tag listing.

2003-12-07  Philip Langdale  <philipl@mail.utexas.edu>

	* src/page-info-dialog.c
	* ui/galeon.glade: Use labels for short text and entries
	for ones that can be arbitrarily long.

2003-12-07  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/GaleonWrapper.cpp
	* mozilla/GaleonWrapper.h
	* mozilla/mozilla-embed.cpp
	* embed/galeon-embed-utils.c
	* embed/galeon-embed.h
	* ui/galeon.glade
	* src/page-info-dialog.c: Hook up the rest of the 'simple'
	page info properties. And fix the borders in the dialog.

2003-12-07  Crispin Flowerday  <gnome@flowerday.cx>

	* embed/downloader-view.c: Fix a memory leak, patch
	ported from epiphany.

2003-12-06  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-prefs-dialog.c: Add British English and
	Occitan to the list of languages. Fixes #127988

2003-12-06  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/galeon-window.c: Restore Ctrl+F shortcut that was out to lunch.

2003-12-06  Crispin Flowerday  <gnome@flowerday.cx>

	* utils/gul-notebook.c: Shorten the page titles in the
	tab context menu. Fixes bug #128609

2003-12-06  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* ui/galeon.glade: Little reorganization to look more like Nautilus
	(for better or worse)

2003-12-06  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* libegg/dock/Makefile.am: Fix builddir != srcdir builds

2003-12-06  Philip Langdale  <philipl@mail.utexas.edu>

	* src/galeon-tab.c: Don't mark " " for translation...

2003-12-06  Philip Langdale  <philipl@mail.utexas.edu>

	* embed/galeon-embed-utils.c
	* embed/galeon-embed-utils.h
	* embed/galeon-embed.c
	* embed/galeon-embed.h
	* mozilla/mozilla-embed.cpp
	* src/Makefile.am
	* src/galeon-window.c
	A src/page-info-dialog.c
	A src/page-info-dialog.h
	* src/window-commands.c
	* src/window-commands.h
	* ui/galeon-egg-ui.xml
	* ui/galeon.glade: Initial Page Properties dialog implementation.
	I've only hooked up the very basic info, but expanding it will
	be much easier with the framework in place.

2003-12-06  Philip Langdale  <philipl@mail.utexas.edu>

	* mozilla/ProgressListener.cpp: Make progress listener
	leak slightly less. This isn't fully fixed yet...

2003-12-06  Philip Langdale  <philipl@mail.utexas.edu>

	* src/galeon-action.c: Removed outdated comment.

2003-12-06  Philip Langdale  <philipl@mail.utexas.edu>

	* src/galeon-tab.c: Don't show "Done." when a load
	is complete, as it sticks around indefinitely and
	becomes confusing later on.

2003-12-06  Philip Langdale  <philipl@mail.utexas.edu>

	* libegg/egg-macros.h: Missed one.

2003-12-06  Philip Langdale  <philipl@mail.utexas.edu>

	* src/Makefile.am
	* src/galeon-window.c
	* src/ppview-toolbar.c: Use the egg-dock!

2003-12-06  Philip Langdale  <philipl@mail.utexas.edu>

	* configure.in
	* libegg/Makefile.am
	A libegg/dock/.cvsignore
	A libegg/dock/Makefile.am
	A libegg/dock/egg-dock-box.c
	A libegg/dock/egg-dock-box.h
	A libegg/dock/egg-dock-item-grip.c
	A libegg/dock/egg-dock-item-grip.h
	A libegg/dock/egg-dock-item.c
	A libegg/dock/egg-dock-item.h
	A libegg/dock/egg-dock-layout.c
	A libegg/dock/egg-dock-layout.h
	A libegg/dock/egg-dock-master.c
	A libegg/dock/egg-dock-master.h
	A libegg/dock/egg-dock-notebook.c
	A libegg/dock/egg-dock-notebook.h
	A libegg/dock/egg-dock-object.c
	A libegg/dock/egg-dock-object.h
	A libegg/dock/egg-dock-paned.c
	A libegg/dock/egg-dock-paned.h
	A libegg/dock/egg-dock-placeholder.c
	A libegg/dock/egg-dock-placeholder.h
	A libegg/dock/egg-dock-tablabel.c
	A libegg/dock/egg-dock-tablabel.h
	A libegg/dock/egg-dock.c
	A libegg/dock/egg-dock.h: Added egg-dock. This is stock egg-dock
	but I had to write egg-dock-box to pack horizontal bars without
	useless paned sliders between them.

2003-12-05  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/GtkNSSClientAuthDialogs.cpp: Port to use the new
	GtkComboBox in gtk 2.3+. The patch was provided by chpe from
	epiphany. The galeon and ephy copies are pretty similar now.

2003-12-05  Crispin Flowerday  <gnome@flowerday.cx>

	* utils/gul-state.c
	* utils/gul-state.h: Implement a function to preserve the state of
	an expander object.

	* mozilla/GtkNSSClientAuthDialogs.cpp
	* mozilla/CookiePromptService.cpp: Use the gul_state_monitor_expander
	function rather than implementing the monitoring everywhere.

2003-12-05  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/mozilla-embed-shell.cpp: Fix a typo
	* src/galeon-window-menu.c: Don't reference memory after it has been 
	freed

2003-12-05  Philip Langdale  <philipl@mail.utexas.edu>

	* mozilla/mozilla-embed-shell.cpp
	* src/galeon-tab-menu.c
	* src/galeon-window.c: Attempting to fix all the outstanding memory leaks
	reported by Crispin. Success is another matter. :-)

2003-12-04  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-recent-history-menu.c
	* src/galeon-encoding-menu.c: Don't reference memory after
	it has been freed.
	
	* src/history-dialog.c: Fix some memory leaks.

2003-12-03  Crispin Flowerday  <gnome@flowerday.cx>

	* bookmarks/bookmarks-gtk-menu.c: Correctly remove separators
	from the bookmark menu when rebuilding it.

2003-12-03  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-action-zoom.c: Use the GaleonTab's view of the
	zoom setting, as if the embed isn't initialised we can't
	get a value from the embed (and warnings are printed)

2003-12-03  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/mozilla-cookie.cpp
	* mozilla/GtkNSSDialogs.cpp: Ensure that after using strftime, 
	the result is converted to UTF8.

2003-12-03  Crispin Flowerday  <gnome@flowerday.cx>

	* src/statusbar.c: Don't put the hostname inside <tt> tags
	in the primary text, and improve the tooltip text.

2003-12-01  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/statusbar.c: Don't try to destroy packed widgets, the
	GtkContainer implementation owns and handles them.  Pop previous
	message before pushing in a new one to avoid growing the message stack
	indefinitely.

2003-11-30  Philip Langdale  <philipl@mail.utexas.edu>

	* src/galeon-action-new.c: Well, I was wrong. Forgot to update
	the new button handling to always put new tabs at the end of
	the row.

2003-11-29  Philip Langdale  <philipl@mail.utexas.edu>

	* src/galeon-window.c
	* ui/galeon-egg-ui.xml: Did the manual work to get About Plugins
	working. Now we're fully merged. :-)

2003-11-29  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* ALL: Merged changes from HEAD.

2003-11-27  Philip Langdale  <philipl@mail.utexas.edu>

	R embed/galeon-embed-popup-bw.c
	R embed/galeon-embed-popup-bw.h
	R src/mime-dialog.c
	R src/mime-dialog.h: Removing stale files.

2003-11-27  Philip Langdale  <philipl@mail.utexas.edu>

	* src/galeon-nautilus-view.c
	* src/galeon-new-button.c
	* src/galeon-shell.c
	* src/galeon-tab.c
	* src/galeon-window.c
	* src/galeon-window.h
	* src/session.c
	* src/window-commands.c: Would have sworn we did this already,
	but added more intelligent tab insertion logic. Main noticable
	effect is that 'New Tab' always appends the tab and never inserts.
	One refrains from making a dry comment about following in Epiphany's
	footsteps in un-doing braindeadness from the early 1.3.x days...

	I won't pretend that all new-tab cases that should always append
	have been handled. That will need more thought and discussion, but
	the mechanism to do so is now in place.

2003-11-25  Crispin Flowerday  <gnome@flowerday.cx>

	* ui/Makefile.am: Add a missing backslash.

2003-11-25  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/GtkNSSClientAuthDialogs.cpp: Don't mark a string
	consisting only of markup for translation.

2003-11-24  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/mozilla-embed.cpp: If mozilla wants to show the
	bookmarks toolbar, map that to the default, so the new
	galeon window honours the gconf settings. Fixes bug #122410

2003-11-24  Crispin Flowerday  <gnome@flowerday.cx>

	R ui/Insecure.png
	R ui/Secure.png
	R ui/blocked.png
	A ui/galeon-insecure.png
	A ui/galeon-popup-blocked.png
	A ui/galeon-secure.png
	* ui/Makefile.am
	* utils/pixbuf-cache.c
	* utils/pixbuf-cache.h
	* src/statusbar.c: Make the popup blocked icon clickable, bringing
	up a dialog asking whether the site should be allowed to show 
	popups in the future. Also use security icons from epiphany, and
	make them stock icons.

2003-11-24  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-window.c: 
	* src/galeon-tab.c: 
	* src/galeon-tab.h: 
	* embed/global-history.h
	* embed/global-history.c: Implement zoom saving This stores the
	zoom setting in the history on a per-site basis, and restores it
	when visiting the site again. Also clean up the updating of the
	zoom toolbar spinner.

2003-11-24  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/mozilla-embed.cpp: Fix some uses of getter_Copies

2003-11-23  Philip Langdale  <philipl@mail.utexas.edu>

	* mozilla/ExternalProtocolService.cpp: Moz api resync, as always.

2003-11-22  Crispin Flowerday  <gnome@flowerday.cx>

	* myportal.css: Fix a couple of myportal stylesheet problems
	spotted by chpe.

2003-11-21  Crispin Flowerday  <gnome@flowerday.cx>

	* embed/downloader-view.c
	* mozilla/ProgressListener.h
	* mozilla/ProgressListener.cpp: Don't update the downloader
	view for every progress update when we don't know the length
	of the download. Update more often that when we do know the
	size so that the progress bar bounces pleasingly.
	Fixes bug #110414

2003-11-20  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-favicon.c
	* src/galeon-favicon.h: When getting a string using g_object_get, 
	the result needs to be freed, so don't return a const char* (there
	aren't any callers to this function, so this is just for
	future-proofing)

2003-11-20  Crispin Flowerday  <gnome@flowerday.cx>

	* src/window-commands.c
	* src/window-commands.h
	* src/galeon-window.c
	* ui/galeon-ui.xml.in: Add a menu item to show the about:plugins
	page, and rename the "About" option to "About Galeon"

2003-11-16  Philip Langdale  <philipl@mail.utexas.edu>

	* mozilla/mozilla-embed-persist.cpp: Fixed string leaks.

2003-11-16  Crispin Flowerday  <gnome@flowerday.cx>

	* bookmarks/bookmarks-single-editor.c: Fix a small memory leak.

2003-11-16  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/GtkNSSKeyPairDialogs.cpp: Change the cursor to the busy
	cursor when the private key is being generated.

2003-11-16  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/GtkNSSDialogs.cpp: Minor string change.
	
	A mozilla/GtkNSSClientAuthDialogs.cpp
	A mozilla/GtkNSSClientAuthDialogs.h
	* mozilla/Makefile.am
	* mozilla/MozRegisterComponents.cpp: Add a Gtk dialog for
	selecting a client certificate. This is separate as the ephy port
	will not be quite as straight forward as just copying the files.

2003-11-15  Crispin Flowerday  <gnome@flowerday.cx>

	* embed/global-history.c: Fix the history reading with the
	latest libxml.

2003-11-13  Philip Langdale  <philipl@mail.utexas.edu>

	* mozilla/GtkNSSKeyPairDialogs.cpp: It wouldn't be mozilla if the
	api didn't change.

2003-11-11  Crispin Flowerday  <gnome@flowerday.cx>

	* embed/print-dialog.c: Only emit the "preview" signal when
	the preview worked.

	* src/galeon-window.c: Fix the print preview toolbar when
	going into and out of fullscreen, and doing a preview when
	already in preview mode. Fixes bug #126415

2003-11-11  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/mozilla-embed-shell.cpp
	* mozilla/mozilla-embed.cpp: Set the chrome mask on the embed
	object.
	
	* mozilla/GaleonWrapper.cpp: Don't initialize the embed if it
	is an XUL dialog, it breaks things.

2003-11-10  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/GtkNSSDialogs.cpp: Don't use %-d in the strftime
	format, apparently it isn't portable, see bug #126663

2003-11-10  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/GtkNSSDialogs.cpp: Make the View Certificate dialog
	modal. This is needed as otherwise it isn't actually usable
	when shown from a Certificate dialog prompt.

2003-11-09  Crispin Flowerday  <gnome@flowerday.cx>

	* src/toolbar.c: Make middle clicks on the spinner open Galeon's
	homepage in a new tab. Fixes bug #111448

2003-11-08  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* ALL: Merged changes from HEAD.

2003-11-08  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* galeon.schemas.in
	* utils/prefs-strings.h
	* bookmarks/bookmarks-editor.c: Persist the state of the "Split
	view" and "Show edit pane" menu items. Fixes #126407.

2003-11-08  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* src/galeon-window.c: Fix galeon_window_bookmark_activate. A leak
	nad a crash when activating a separator (fixes #125661).

2003-11-08  Crispin Flowerday  <gnome@flowerday.cx>

	* embed/js-console.c: Permanently clear the javascript
	error message when clicking "Clear", Fixes bug #126316

2003-11-06  Crispin Flowerday  <gnome@flowerday.cx>

	* utils/location-entry.c
	* utils/gul-glade-gconf.c
	* mozilla/JSConsoleListener.cpp
	* embed/js-console.c: Fix some memory leaks

2003-11-05  Crispin Flowerday  <gnome@flowerday.cx>

	* utils/galeon-dialog.c: Ensure that we re-initialize the dialog
	if we are re-constructing it after it has been destroyed.

2003-11-05  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/mozilla-notifiers.cpp: If we detect a broken charset
	preference, change it to iso-8859-1.

2003-11-05  Crispin Flowerday  <gnome@flowerday.cx>

	* src/window-commands.c
	* src/galeon-tab.c
	* src/galeon-reload-button.c
	* embed/galeon-embed.h
	* mozilla/mozilla-embed.cpp: Set the bypass-proxy flag when forcing
	a reload, make shift-click on the menu do a force-reload, and make
	the view-source: page reloading work. Fixes bug #106566

2003-11-05  Joe Marcus Clarke  <marcus@freebsd.org>

	* src/galeon-shell.c: Free the galeon_shell private struct after
	we have finished using it, not before. Fixes bug #126248

2003-11-04  Crispin Flowerday  <gnome@flowerday.cx>

	* embed/global-history.c: Add extra checks when saving the history.
	I can't see how any of these could get hit, but better safe than
	sorry, fixes bug #118690

2003-11-04  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/mozilla-embed.cpp: Reset PrintSilent, so subsequent
	javascript prints aren't silent.

	* mozilla/MozillaPrivate.h
	* mozilla/MozillaPrivate.cpp: Add a method to get the embed from
	a nsIDOMWindow object.
	
	* mozilla/PrintingPromptService.cpp: Fix the return value from
	when the cancel button is pressed, pass the embed to the print
	dialog, and unref the dialog after the run.

	* ui/print.glade
	* embed/print-dialog.c: Ensure that the preview button isn't 
	shown when called from javascript, don't unref the object when
	called from javascript, and disable the "selection" radio button
	if there isn't a selection. Fixes bug #121050

2003-11-04  Crispin Flowerday  <gnome@flowerday.cx>

	* utils/galeon-dialog.c: Call galeon_dialog_show() from the run()
	function, this initializes the dialog, and allows derived objects to
	just override the one function rather than both.

2003-11-03  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/GtkNSSDialogs.cpp: Ensure that the dialogs are destroyed
	with their parent window.

2003-11-03  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/GaleonWrapper.cpp
	* mozilla/GaleonWrapper.h: Remove unused functions and
	definitions. Don't set the history on the docshell, the registered
	one gets used just fine. Add checks for the mWebBrowser variable
	being setup (better safe than sorry).
	
	* mozilla/mozilla-embed.cpp: Remove the checks for whether the
	MozillaEmbed has a GaleonWrapper (it always does now).

2003-11-03  Crispin Flowerday  <gnome@flowerday.cx>

	* bookmarks/bookmarks-util.c: Attempt to merge bookmark separators
	Fixes bug #126054.

2003-11-02  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/GtkNSSDialogs.cpp: Make the primary and secondary text
	selectable, as specified in the HIG. Also ensure don't use
	gtk_dialog_run for dialogs that don't need to be application modal.

2003-11-02  Crispin Flowerday  <gnome@flowerday.cx>

	* utils/galeon-autocompletion-window.c: Allow the keypad Enter to
	select an item from the autocompletion window. Fixes bug #75486

2003-11-01  Philip Langdale  <philipl@mail.utexas.edu>

	* src/galeon-window.c: Had toolbar respecting the menubar
	draggable setting. whoops.

2003-11-01  Crispin Flowerday  <gnome@flowerday.cx>

	* embed/find-dialog.c
	* ui/galeon.glade: Make Escape close the find dialog, not exactly
	hig compliant, but it complies with common sense.
	Fixes bug #103023

2003-11-01  Crispin Flowerday  <gnome@flowerday.cx>

	* embed/find-dialog.c: Reset the states of the buttons in the
	find dialog whenever the window embed, or the page changes.
	Fixes bug #87315.

2003-11-01  Crispin Flowerday  <gnome@flowerday.cx>

	* embed/galeon-embed.c
	* embed/galeon-embed.h
	* mozilla/mozilla-embed.c
	* mozilla/GaleonWrapper.cpp
	* mozilla/GaleonWrapper.h: Use a simplified find API that copes
	with both type-ahead-find and normal finding.

	* embed/find-dialog.c
	* embed/find-dialog.h: Use simplified find API, and greatly
	simplify the dialog, it no longer needs to stay around hidden.

	* src/galeon-window.c 
	* src/galeon-window.h 
	* src/window-commands.c: Use new find API, and remove all
	references the code that attempted to keep the menu items in sync,
	there is no moz API that copes with type-ahead-find.

2003-11-01  Crispin Flowerday  <gnome@flowerday.cx>

	* utils/galeon-dialog.c: Initialize the widgets on the first show;
	If it is done in the _construct function, which was called from an
	object _init function, then any properties associated with the
	calling object may not have been set up yet (e.g. the embed in the
	galeon-embed-dialog). Also fix a memory leak.

2003-11-01  Crispin Flowerday  <gnome@flowerday.cx>

	* embed/galeon-embed-shell.h
	* embed/galeon-embed-shell.c
	* embed/galeon-embed-dialog.c: Remove the API to get the
	active embed from the embed_shell, its broken, and nothing
	has any need for it. Also when the embed is updated in the
	galeon_embed_dialog object, emit a notify signal.

2003-11-01  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/mozilla-embed-shell.cpp: Make the operators in the 
	moz API version #if's consistent.

2003-11-01  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/GaleonWrapper.cpp
	* mozilla/mozilla-embed.cpp: Initialize the GaleonWrapper when
	the embed is realized. And create an about:blank document
	when initializing. This means no more race conditions. Ported
	from epiphany.

2003-11-01  Crispin Flowerday  <gnome@flowerday.cx>

	* configure.in
	* mozilla/mozilla-embed-shell.cpp: Update mozilla API's to what
	will be 1.6b. Also remove the MOZILLA_VERSION define from our
	config.h, it isn't needed.

2003-10-30  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* utils/Makefile.am
	* src/Makefile.am
	* mozilla/Makefile.am
	* embed/Makefile.am
	* bookmarks/Makefile.am
	* configure.in: Define *_DISABLE_DEPRECATED only in maintainer mode to
	avoid unnecessary build failures.

2003-10-28  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/mozilla-notifiers.cpp
	* src/galeon-prefs-dialog.c
	* embed/galeon-embed-prefs.h
	* ui/prefs-dialog.glade
	* default-prefs.js: Use points for font sizes rather than pixels.
	Migration should be automatic, please test. Fixes bug #125205

2003-10-27  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-shell.c:
	* bookmarks/xbel.c: Fix compiling in gcc 2.95. Bug #125624.

2003-10-26  Crispin Flowerday  <gnome@flowerday.cx>

	* NEWS: Fix a minor typo

2003-10-26  Crispin Flowerday  <gnome@flowerday.cx>

	* NEWS
	* configure.in: 1.3.10 "Which came first, the chicken or the egg?"

2003-10-26  Crispin Flowerday  <gnome@flowerday.cx>

	* embed/cookie-info.c: Allow selecting of the cookie details,
	its not perfect as the ellipsizing label won't select to the
	end of the string correctly, but its better than nothing.

2003-10-26  Crispin Flowerday  <gnome@flowerday.cx>

	* default-prefs.js: Don't set the mime_types file preferences
	to "" this stops mozilla reading the /etc/mime.types file. Just
	use the mozilla default.

2003-10-25  Crispin Flowerday  <gnome@flowerday.cx>

	* default-prefs.js: Fix some of the values that break the new
	mozilla pref file parser, and remove the useless memory cache
	capacity key.

2003-10-25  Crispin Flowerday  <gnome@flowerday.cx>

	* bookmarks/bookmarks-editor.c: Allow emacs key bindings (and the
	delete key) to work in the notes text view.

2003-10-25  Crispin Flowerday  <gnome@flowerday.cx>

	* bookmarks/bookmarks-single-editor.c: Don't update the text in
	the GtkTextView for notes if it we aren't changing anything. This
	stops the cursor jumping to the end all the time. Fixes bug #97262

2003-10-25  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-reload-button.c: 
	* src/galeon-tab.c: Remove the options to bypass the proxy on a reload,
	the mozilla API doesn't work. 'Fixes' bug #71747.

2003-10-24  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* bookmarks/bookmarks-gtk-menu-item.c: Popdown menus when
	activating and item with the middle button. Fixes bug #125151.

2003-10-23  Philip Langdale  <philipL@mail.utexas.edu>
	    Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/EventContext.cpp
	* mozilla/GaleonWrapper.cpp
	* mozilla/mozilla-embed-persist.cpp: API Resync. Mostly from Crispin
	but made some tweaks.

2003-10-22  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/GtkNSSDialogs.cpp: Remove the dependancy on the hig-alert
	class, this makes the code easier to share between epiphany and
	galeon.

2003-10-20  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-main.c 
	* src/session.c: Ensure that empty sessions arn't saved, and when
	in server mode ensure we get restored properly by the session
	manager. Fixes bug #123767.

2003-10-18  Philip Langdale  <philipl@mail.utexas.edu>

	* src/Makefile.am: It helps to update the Makefile when
	new source files are added...

2003-10-18  Philip Langdale  <philipl@mail.utexas.edu>

	A src/galeon-tab.c
	A src/galeon-tab.h
	* src/galeon-window.c
	* ui/galeon-egg-ui.xml: Added list of tabs to end of Tab Menu
	in the style of the recent history in the Go Menu. This improves
	accessibility for keyboard only users.

2003-10-16  Crispin Flowerday  <gnome@flowerday.cx>

	* src/history-dialog.c: Fix sorting the history by last-visit, and
	first-visit. Fixes bug #112633

2003-10-15  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* utils/location-entry.c: Add Clear to context menu; bug #110350.

2003-10-13  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/GtkNSSKeyPairDialogs.cpp: Hopefully get it
	compiling on trunk mozilla builds.

2003-10-13  Crispin Flowerday  <gnome@flowerday.cx>

	A mozilla/GtkNSSKeyPairDialogs.cpp
	A mozilla/GtkNSSKeyPairDialogs.h
	* mozilla/Makefile.am
	* mozilla/MozRegisterComponents.cpp: Yet another mozilla dialog,
	this time the Key Pair generation dialog, previously you couldn't
	actually generate a certificate, and now you get the dialog in Gtk
	as well :) This is a bit of a hack, as the mozilla API sucks big time.

2003-10-13  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/MozRegisterComponents.cpp
	* mozilla/GtkNSSDialogs.cpp
	* mozilla/GtkNSSDialogs.h
	* ui/Makefile.am
	A ui/certificate-dialogs.glade: Implement the mozilla 
	nsICertificateDialogs interface, giving us some more native 
	security dialog. And use the hig_alert class for all the other
	security dialogs. (We still need a decent password quality meter)
	
2003-10-13  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-automation.c
	* src/galeon-automation.h
	* src/galeon-shell.c
	* src/galeon-main.c: Slightly refactor the startup, so that the 
	galeon_shell holds onto a ref of the BonoboFactory. This is then
	explicitly unref'd when the shell exits (should avoid problems of
	a new instance trying to use an old shell; bug #115253 possibly).

	Also Hig'ify the dialogs shown when startup fails, and hopefully
	sort out the errors when bonobo installation fails. Fixes bug #107492

2003-10-13  Philip Langdale  <philipl@mail.utexas.edu>

	* src/galeon-shell.c: Blah. Handle the case where there are
	no windows open (server mode) gracefully.

2003-10-13  Philip Langdale  <philipl@mail.utexas.edu>

	* src/galeon-shell.c
	* src/session.c
	* src/session.h: Make galeon_shell_get_active_window more
	robust so that it won't return a stale pointer if the active
	window is closed and no other windows are get the focus.
	Stop session_get_windows returning a const GList*. This is
	futile as no GList operations, even the read-only ones, will
	take a const GList*.

2003-10-13  Crispin Flowerday  <gnome@flowerday.cx>

	* utils/hig-alert.c: Correct the spacing to be HIG compliant
	* src/galeon-prefs-dialog.c
	* src/galeon-window.c
	* src/window-commands.c: Use the pixel perfect hig-alert class
	and HIGify the text for the alerts ("can't show help", "can't load
	gnome-network-prefs" and "multiple bookmark open" dialogs)

2003-10-13  Philip Langdale  <philipl@mail.utexas.edu>

	* configure.in
	* mozilla/GlobalHistory.cpp: That was quick :-)
	Crispin correctly points out that as we junked all support
	for mozilla < 1.4, the old 1.3 snapshot level was now available
	again, so I've knocked 1.4 down a level to 8 and 1.4.1 is the
	new 9.

2003-10-13  Philip Langdale  <philipl@mail.utexas.edu>

	* configure.in
	* mozilla/GlobalHistory.cpp: Mozilla 1.4.1 has an API change
	from 1.4. *sigh* As there are a lot of changes from 1.4 to
	the 1.5a level, we are following our policy from 1.0 and dropping
	support for 1.4 in favour of 1.4.1.

2003-10-13  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* bookmarks/bookmarks.c 
	* bookmarks/bookmarks.h 
	* bookmarks/xbel.c: Fix problem when saving the "create toolbar" and
	"add to context menu" options in some cases. Pointed by Philip.

2003-10-11  Crispin Flowerday  <gnome@flowerday.cx>

	* ui/Makefile.am
	R ui/prompts.glade
	* mozilla/CookiePromptService.cpp: Use the new hig_alert class
	to generate the cookie prompt dialog. This ensures that the
	spacing is set right.

2003-10-10  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/CookiePromptService.cpp:
	* src/galeon-window.c: Use ngettext for handling plurals.
	Fixes bug #123867.

2003-10-10  Crispin Flowerday  <gnome@flowerday.cx>

	* utils/gul-notebook.c: Alter the tab DND code so that you can
	dont need a tab bar to be able to drag another tab to a window.

2003-10-08  Philip Langdale  <philipl@mail.utexas.edu>

	* src/galeon-window.c: Respect menu/toolbar_detachable pref on
	bar creation. No callback for dynamic pref changes yet, but none
	for menu_tearoff either. :-) Remember that the bonobo_dock is still
	a hack in the long term.

2003-10-08  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* bookmarks/bookmarks-tree-view.c: Fix bug #122361 and fix a
	memory leak.

2003-10-08  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* bookmarks/bookmarks-context-menu.c
	* bookmarks/bookmarks-editor.c
	* bookmarks/bookmarks-single-editor.c
	* bookmarks/bookmarks.c
	* bookmarks/bookmarks.h
	* src/galeon-window.c
	* src/popup-commands.c
	* src/session.c
	* src/window-commands.c: Update bookmarks times (added, modified,
	visited) when needed. Fixes bug #123909.

2003-10-06  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* bookmarks/bookmarks-gtk-menu.c: Remove debug g_print.
	* bookmarks/bookmarks-gtk-toolbar.c: Add a context menu for the
	toolbar. Allow dropping urls to add bookmarks directly in the
	toolbar. This was easy now.

2003-10-06  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* ALL: Merged with HEAD again.

2003-10-06  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* bookmarks/bookmarks-dnd.c
	* embed/find-dialog.c
	* embed/galeon-embed-dialog.c
	* embed/galeon-embed-event.c
	* embed/galeon-embed-popup-bw.c
	* embed/print-dialog.c
	* src/galeon-action-favicon.c
	* src/galeon-action-fullscreen.c
	* src/galeon-action-go.c
	* src/galeon-action-group.c
	* src/galeon-action-home.c
	* src/galeon-action-location.c
	* src/galeon-action-navigation.c
	* src/galeon-action-new.c
	* src/galeon-action-refresh.c
	* src/galeon-action-spinner.c
	* src/galeon-action-stop.c
	* src/galeon-action-zoom.c
	* src/galeon-action.c
	* src/galeon-automation.c
	* src/galeon-embed-favicon.c
	* src/galeon-favicon.c
	* src/galeon-radio-action.c
	* src/galeon-tearoff-action.c
	* src/galeon-toggle-action.c
	* src/mime-dialog.c
	* src/popup-commands.c
	* src/ppview-toolbar.c
	* src/window-commands.c
	* utils/galeon-autocompletion-source.c
	* utils/galeon-autocompletion-window.c
	* utils/galeon-autocompletion.c
	* utils/galeon-dialog.c
	* utils/galeon-dnd.c
	* utils/gul-glade.c
	* utils/gul-gobject-misc.c
	* utils/gul-prefs-utils.c
	* utils/gul-toggle-toolbutton.c
	* utils/gul-toolbutton.c
	* utils/location-entry.c
	* utils/pixbuf-cache.c: Include "config.h" in the files that
	didn't have it (fixes i18n). Set a default window size for the
	toolbar editor.

2003-10-06  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* src/galeon-action-favicon.c
	* src/galeon-action-location.c
	* src/galeon-action-spinner.c
	* src/galeon-action-zoom.c
	* src/galeon-shell.c
	* ui/Makefile.am
	* ui/galeon-zoom.png
	* utils/pixbuf-cache.c
	* utils/pixbuf-cache.h: Fix crashes using the toolbar editor. It
	is still not perfect but it works. Add a stock icon for
	zoom. Enable toolbar saving.

2003-10-06  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* src/galeon-action-favicon.c
	* src/galeon-action-fullscreen.c
	* src/galeon-action-go.c
	* src/galeon-action-home.c
	* src/galeon-action-location.c
	* src/galeon-action-navigation.c
	* src/galeon-action-new.c
	* src/galeon-action-refresh.c
	* src/galeon-action-spinner.c
	* src/galeon-action-stop.c
	* src/galeon-action-zoom.c: Fix crashes and general brokeness when
	the toolbar was wider than the window.

2003-10-06  Philip Langdale  <philipl@mail.utexas.edu>

	* TODO: Updated todo list for stable 2.0

2003-10-04  Philip Langdale  <philipl@mail.utexas.edu>

	* bookmarks/bookmarks-gtk-menu.c
	* utils/gul-gui.c
	* utils/gul-gui.h: Fixed cosmetic bug where a separator
	was added to the end of the context menu regardless of
	whether any context menu bookmarks had been designated.
	Fix is a little involved because the addition of the
	separator persists when the context menu isn't shown so
	it has to be actively removed if all context bookmarks
	are un-designated while the program is running.

2003-10-04  Philip Langdale  <philipl@mail.utexas.edu>

	* src/galeon-window.c
	* src/statusbar.c
	* src/statusbar.h: Statubar doesn't need to know about
	the window anymore, so take the window handling code out.

2003-10-04  Philip Langdale  <philipl@mail.utexas.edu>

	* configure.in
	* src/galeon-popup.c
	* src/galeon-window.c
	* src/popup-commands.c
	* src/popup-commands.h
	* src/window-commands.c
	* src/window-commands.h
	* ui/Makefile.am
	R ui/galeon-legacy-ui.xml.in
	R ui/galeon-ui.xml.in: Tidying up. Finally changed the callback signatures
	so that they take an EggAction and not a BonoboUIComponent. It wasn't 
	actually a problem as the callbacks weren't using that parameter (except
	for one, which I'd changed many moons ago). So that's sane now.
	Also removed the legacy bonoboui xml files. Yay.

2003-10-04  Tommi Komulainen  <tommi.komulainen@iki.fi>
	
	* utils/gul-gui.c: HIGgify the file replace confirmation.

2003-10-04  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* utils/Makefile.am
	A utils/hig-alert.c
	A utils/hig-alert.h: Got too frustrated with the non-HIGgy
	GtkMessageDialog and wrote a more compliant replacement.

2003-10-03  Philip Langdale  <philipl@mail.utexas.edu>

	* src/statusbar.c: Improved variable naming consistency.
	Also, forgot the last changelog entry last time round :-)

2003-10-03  Philip Langdale  <philipl@mail.utexas.edu>

	* src/galeon-action.c
	* src/galeon-window.c
	* src/galeon-window.h
	* src/statusbar.c
	* src/statusbar.h: Well, that's it. Say goodbye to
	bonoboui in the main window. (It's still in the bookmark
	editor). GaleonWindow now inherits from GtkWindow and our
	Statusbar (which really should be GaleonStatusbar) now
	inherits from GtkStatusbar and is a full-fledged widget
	object. And there was much rejoicing.

2003-10-03  Philip Langdale  <philipl@mail.utexas.edu>

	* src/galeon-window.c
	* src/galeon-window.h
	* src/ppview-toolbar.c
	* ui/galeon-egg-ui.xml
	* ui/galeon-legacy-ui.xml.in: Ported print preview toolbar
	to egg. This meant we could stop using the BonoboWindow's dock
	and rather use our egg_dock. Once the statusbar is ported, we
	can stop using BonoboWindow completely.

2003-10-03  Crispin Flowerday  <gnome@flowerday.cx>

	* src/session.c: Save the session file nicely formatted, rather
	than all on a single line. Fixes bug #123397

2003-09-30  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* bookmarks/bookmarks-gtk-toolbar.c: Work correctly when the
	toolbar is wider than the window.

2003-09-30  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* bookmarks/Makefile.am
	* bookmarks/bookmarks-bonoboui-tb.c
	* bookmarks/bookmarks-bonoboui-tb.h: Removed. No more libbonoboui
	under bookmarks/.
	* bookmarks/bookmarks-gtk-menu.c: Fix a small leak.
	* bookmarks/bookmarks-gtk-toolbar-set.c
	* bookmarks/bookmarks-gtk-toolbar-set.h
	* bookmarks/bookmarks-gtk-toolbar.c
	* bookmarks/bookmarks-gtk-toolbar.h
	* src/galeon-window.c: Bookmarks toolbar implemented with
	EggToolbar.

2003-09-29  Philip Langdale  <philipl@mail.utexas.edu>

	* src/galeon-toggle-action.c: Whoops. Left some debug
	stuff in.

2003-09-29  Philip Langdale  <philipl@mail.utexas.edu>

	* libegg/Makefile.am
	* libegg/egg-action.c
	* src/Makefile.am
	* src/galeon-toggle-action.c
	* src/galeon-window.c
	A src/galeon-action-group.c
	A src/galeon-action-group.h
	A src/galeon-radio-action.c
	A src/galeon-radio-action.h: Added galeon-radio-action and
	moved all menu items to using our galeon-*-actions to get
	proper working tooltips. Added galeon_action_group_add_actions
	which is just a copy-paste of egg_action_group_add_actions
	but which uses the galeon actions and sets the window property.
	NB: I didn't realise this until now but the egg-radio-action,
	and by extension, our galeon-radio-action use GtkRadioMenuItems
	even though they are not handled correctly, meaning that 
	choosing one radio item does not unset the rest of the group.
	The "solution" from the gtk folks is to make GtkCheckMenuItem
	have a setting to "look like" a radio item, but this will only
	be in 2.4. Sucks to be us. The alternative is to use a Check
	item right now, but then the radio groups look like a bunch of
	check items. eeek.

2003-09-29  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* src/Makefile.am
	* src/galeon-action-location.c
	* src/galeon-action-location.h
	* src/galeon-fullscreen-button.c
	* src/galeon-fullscreen-button.h
	* src/galeon-go-button.c
	* src/galeon-go-button.h
	* src/galeon-home-button.c
	* src/galeon-home-button.h
	* src/galeon-navigation-button.c
	* src/galeon-navigation-button.h
	* src/galeon-new-button.c
	* src/galeon-new-button.h
	* src/galeon-reload-button.c
	* src/galeon-reload-button.h
	* src/galeon-stop-button.c
	* src/galeon-stop-button.h
	* src/galeon-tbi.c
	* src/galeon-tbi.h
	* src/galeon-window.c
	* src/galeon-window.h
	* src/toolbar.c
	* src/toolbar.h
	* src/window-commands.c
	* ui/galeon-legacy-ui.xml.in
	* utils/Makefile.am
	* utils/gul-tb-button.c
	* utils/gul-tb-button.h
	* utils/gul-tbi-favicon.c
	* utils/gul-tbi-favicon.h
	* utils/gul-tbi-location.c
	* utils/gul-tbi-location.h
	* utils/gul-tbi-navigation-history.c
	* utils/gul-tbi-navigation-history.h
	* utils/gul-tbi-separator.c
	* utils/gul-tbi-separator.h
	* utils/gul-tbi-spinner.c
	* utils/gul-tbi-spinner.h
	* utils/gul-tbi-test.c
	* utils/gul-tbi-test.h
	* utils/gul-tbi-zoom.c
	* utils/gul-tbi-zoom.h
	* utils/gul-toolbar-bonobo-view.c
	* utils/gul-toolbar-bonobo-view.h
	* utils/gul-toolbar-editor.c
	* utils/gul-toolbar-editor.h
	* utils/gul-toolbar-item-factory.c
	* utils/gul-toolbar-item-factory.h
	* utils/gul-toolbar-item.c
	* utils/gul-toolbar-item.h
	* utils/gul-toolbar-test.c
	* utils/gul-toolbar-tree-model.c
	* utils/gul-toolbar-tree-model.h
	* utils/gul-toolbar.c
	* utils/gul-toolbar.h: Remove the code related to the old toolbar.

2003-09-29  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* src/galeon-window.c: Hook toolbar visibility to the egg toolbar.

2003-09-29  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* src/galeon-action-spinner.c: Right align.
	* ui/galeon-egg-ui-toolbar.xml: A somewhat sane default setup. Not
	great, but it's the best I can get.
	
2003-09-29  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* src/Makefile.am
	* src/galeon-action-favicon.c
	* src/galeon-action-fullscreen.c
	* src/galeon-action-fullscreen.h
	* src/galeon-action-go.c
	* src/galeon-action-home.c
	* src/galeon-action-navigation.c
	* src/galeon-action-new.c
	* src/galeon-action-refresh.c
	* src/galeon-action-spinner.c
	* src/galeon-action-stop.c
	* src/galeon-action-zoom.c
	* src/galeon-toggle-action.c
	* src/galeon-toggle-action.h
	* src/galeon-window.c
	* ui/galeon-egg-ui-toolbar.xml
	* utils/Makefile.am
	* utils/gul-toggle-toolbutton.c
	* utils/gul-toggle-toolbutton.h
	* utils/gul-toolbutton.c: Added tooltips to the toolbar
	buttons. Implemented a GaleonToggleAction. Implemented th "Toggle
	fullscreen" toolbar button.

2003-09-29  Tommi Komulainen  <tommi.komulainen@iki.fi>
	
	* ui/galeon-ui.xml.in: View Source, Ctrl-U

2003-09-28  Philip Langdale  <philipl@mail.utexas.edu>

	* src/galeon-action.c
	* src/galeon-window.c
	* src/galeon-window.h: Added hooks for galeon-action to
	handle menu item tooltips in the statusbar. Doesn't do anything
	visible yet as menu items are still using egg-action.

2003-09-28  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* src/Makefile.am
	* src/galeon-action-favicon.c
	* src/galeon-action-favicon.h
	* src/galeon-window.c
	* ui/galeon-egg-ui-toolbar.xml: The drag handle.

2003-09-28  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* src/Makefile.am
	* src/galeon-action-spinner.c
	* src/galeon-action-spinner.h
	* src/galeon-window.c
	* ui/galeon-egg-ui-toolbar.xml: The spinner.

2003-09-28  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* src/Makefile.am
	* src/galeon-action-zoom.c
	* src/galeon-action-zoom.h
	* src/galeon-window.c
	* ui/galeon-egg-ui-toolbar.xml: Zoom spin button.

2003-09-27  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* src/Makefile.am
	* src/galeon-action-go.c
	* src/galeon-action-go.h
	* src/galeon-window.c
	* src/galeon-window.h
	* ui/galeon-egg-ui-toolbar.xml: The most useless button.

2003-09-27  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* src/Makefile.am
	* src/galeon-action-location.c
	* src/galeon-action-navigation.c
	* src/galeon-action-refresh.c
	* src/galeon-action-stop.c
	* src/galeon-action-stop.h
	* src/galeon-window.c
	* ui/galeon-egg-ui-toolbar.xml: The "stop" button. Use signal
	"ge-location" instead of "location".
	
2003-09-27  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* src/Makefile.am
	* src/galeon-action-refresh.c
	* src/galeon-action-refresh.h
	* src/galeon-window.c
	* ui/galeon-egg-ui-toolbar.xml: The "refresh" button.

2003-09-27  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* src/Makefile.am
	* src/galeon-action-new.c
	* src/galeon-action-new.h
	* src/galeon-window.c
	* ui/galeon-egg-ui-toolbar.xml: The "new" button.
	
2003-09-27  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* utils/gul-toolbutton.h
	* utils/gul-toolbutton.c: Add a getter for the internal button.
	* src/Makefile.am
	* src/galeon-window.c
	* ui/galeon-egg-ui-toolbar.xml
	* src/galeon-action-home.c
	* src/galeon-action-home.h: The Go Home button.
	* src/galeon-action.c: Default empty implementation for some
	methods.

2003-09-27  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* src/galeon-action-navigation.c
	* src/galeon-shell.c
	* src/galeon-window.c
	* src/galeon-window.h
	* src/window-commands.c: Fix sensitivity of navigation buttons
	(though this seems backwards... I'm confused). Enable the toolbar
	editor (saving is disabled until all actions are finished).

2003-09-26  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* utils/Makefile.am
	* utils/gul-toolbutton.c
	* utils/gul-toolbutton.h: A button for the egg toolbar that can
	display a context menu and an arrow.
	* src/galeon-action-navigation.c
	* src/galeon-action-navigation.h: Navigation action.
	* src/Makefile.am
	* src/galeon-action.c
	* src/galeon-window.c
	* ui/galeon-egg-ui-toolbar.xml: Use new navigation actions. 

2003-09-26  Philip Langdale  <philipl@mail.utexas.edu>

	* configure.in
	* mozilla/ContentHandler.cpp
	* mozilla/ProgressListener.cpp: Trunk is now called 1.6a so add detection
	and fix for the latest api change. La De Da.

2003-09-25  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* utils/gul-gui.c(gul_gui_image_set_from_mime_type): Scale the icon to
	desired size, the icon size in the file can be arbitrary (think SVG
	themes.)

2003-09-24  Philip Langdale  <philipl@mail.utexas.edu>

	* mozilla/ContentHandler.cpp
	* ui/galeon.glade: Pressing escape in the unknown content handler
	dialog will cancel the background download and clean up properly.
	Fixes 123150.

2003-09-24  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/ContentHandler.cpp: Ensure that the Save button has the
	default when we don't have any helper applications.

2003-09-24  Crispin Flowerday  <gnome@flowerday.cx>

	* ui/galeon.glade: HIGify the unknown mime type dialog.
	
2003-09-24  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* utils/gul-gui.c
	* utils/gul-gui.h(gul_gui_image_set_from_mime_type): Add function for
	setting a MIME type icon from GNOME icon theme to a GtkImage.
	* mozilla/ContentHandler.cpp: use that function

2003-09-24  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* ALL: Merged with HEAD again.

2003-09-24  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* configure.in: Get ready for mozilla 1.5 final.

2003-09-23  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-shell.c
	* embed/galeon-embed-shell.h
	* embed/galeon-embed-shell.c
	* mozilla/mozilla-embed-shell.cpp: Add better checking of
	mozilla function return parameters, and popup a alert if
	we fail to initialize mozilla. Fixes bug #111670

2003-09-23  Tommi Komulainen  <tommi.komulainen@iki.fi>
	
	* src/pdm-dialog.c: Sort the views by host/domain.

2003-09-23  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* mozilla/MozRegisterComponents.cpp: Add missing #ifdef guard to fix
	compilation without PSM.

2003-09-23  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* README.ExtraPrefs: Removed host_favicons, bug #121353.

2003-09-23  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* bookmarks/bookmarks-tree-model.c: Fix bug #122864.

2003-09-22  Christian Persch  <chpe+gnomebugz@stud.uni-saarland.de>

	* bookmarks/Makefile.am
	* bookmarks/bookmarks-editor.c
	* bookmarks/bookmarks-editor.h
	* ui/galeon-bookmarks-editor-ui.xml.in
	* bookmarks/bookmarks-epiphany.c
	* bookmarks/bookmarks-epiphany.h
	* bookmarks/bookmarks-import-druid-epiphany.c
	* bookmarks/bookmarks-import-druid-epiphany.h: Import bookmarks
	from Epiphany. Fixes #122830.

2003-09-22  Philip Langdale  <philipl@mail.utexas.edu>

	* src/galeon-window.c: focus-in event handler needs
	to return false or bad things happen...

2003-09-22  Philip Langdale  <philipl@mail.utexas.edu>

	* src/galeon-shell.c
	* src/galeon-shell.h: void != void*. heh.

2003-09-22  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/galeon-shell.c
	* src/galeon-shell.h(galeon_shell_set_active_window): Returns no
	value, fixes -Werror compiles.

2003-09-21  Philip Langdale  <philipl@mail.utexas.edu>

	* src/galeon-shell.c
	* src/galeon-shell.h
	* src/galeon-window.c
	* src/session.h: Got galeon_shell_get_active_window to actually
	get the active window, as opposed to the last created window...
	Doesn't do much for us now, but it'll be needed for egg menu item
	tooltips to appear in the status bar.

2003-09-21  Philip Langdale  <philipl@mail.utexas.edu>

	* src/galeon-shell.c
	* src/galeon-shell.h
	* src/galeon-tab.c
	* src/galeon-window.c
	* src/session.h
	* src/window-commands.c: Made galeon_shell_get_active_window work
	as we will need it for menu item tooltips in the status bar. Also
	removed the last #ifdefs for mozilla older than 1.4. Finally, set
	the statusbar as object data on the GaleonWindow so it can be
	accessed by the menu item callback, eventually. :-)

2003-09-21  Crispin Flowerday  <gnome@flowerday.cx>

	* ui/prompts.glade: Remove leftover glade definitions for the
	native gtk mozilla prompts.

2003-09-21  Philip Langdale  <philipl@mail.utexas.edu>

	* configure.in
	* src/galeon-tab.c
	* src/window-commands.c: Removed leftover pre-1.4 #ifdefs and added
	recognition for 1.4.1 in anticipation of that release.

2003-09-20  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* src/galeon-action-location.c
	* src/galeon-action-location.h
	* src/galeon-action.c
	* src/galeon-tab.c
	* src/galeon-window.c: The new location entry seems finished.

2003-09-20  Crispin Flowerday  <gnome@flowerday.cx>

	* bookmarks/default-bookmarks.xbel.in: Set the correct encoding for
	the default smart bookmarks, most need ISO-8859-1, but the google
	ones can accept UTF8 if you pass the correct argument. Fixes bug
	#106053

2003-09-20  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* embed/cookie-info.c: *sigh* revert the previous change.  gtk fails
	to wrap some text, apparently.

2003-09-20  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/mozilla-embed-shell.cpp: Mozilla UTF8 encodes the keyword
	search parameter, so tell google that the input is in UTF.
	Fixes bug #119873

2003-09-20  Crispin Flowerday  <gnome@flowerday.cx>

	* src/session.c: Extra checks around the session loading so that
	we don't crash if the file doesn't exist. Fixes #115522

2003-09-20  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* ui/prompts.glade: Keep the cookie prompt hidden until used.
	* utils/disclosure-widget.c: Set the expander state immediately
	instead of starting an animation if the widget isn't drawn yet.  Makes
	expanded initial state work properly.

2003-09-20  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* embed/cookie-info.c: Use normal word-wrapping, selectable label
	instead of ellipsizing label so that the cookie data can be selected.
	
2003-09-18  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/MozRegisterComponents.cpp
	A mozilla/GtkNSSDialogs.cpp
	A mozilla/GtkNSSDialogs.h
	* mozilla/Makefile.am
	* configure.in: Implement Gtk versions of the mozilla
	bad certificate dialogs (e.g. expired cert).

2003-09-19  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* src/galeon-action.c
	* src/galeon-action.h: An abstract class for simplyfying creating
	custom actions.
	* src/galeon-action-location.c
	* src/galeon-action-location.h: A "LocationEntry" action. Not yet
	finished, but it shows the current location.
	* utils/galeon-marshal.list
	* ui/galeon-egg-ui-toolbar.xml
	* src/Makefile.am
	* src/galeon-window.c
	* src/galeon-window.h: Use the new action. Emit a signal when the
	active embed changes to allow updating actions.

2003-09-19  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/galeon-popup.c: Fix #include path so that building outside
	source directory works.

2003-09-19  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* libegg/*: Updated to the same version as Epiphany. This new
	version has editable toolbars. And it's not modified at all,
	unlike ours.
	* configure.in: Disable -Werror.
	M src/Makefile.am
	* src/galeon-tearoff-action.c
	* src/galeon-tearoff-action.h: Custom "action" that creates
	tearoff menuitems if the has_tearoff gconf key is enabled.
	* src/galeon-popup.c
	* src/galeon-popup.h
	* src/galeon-shell.c
	* src/galeon-shell.h
	* src/galeon-window.c
	* src/popup-commands.c
	* ui/Makefile.am
	* ui/galeon-egg-ui-toolbar.xml
	* src/galeon-window.h: Changes due to the newer libegg
	version. Added an editable toolbar, currently with just one
	button. Now we have to create the actions and add them.
	* ui/galeon-egg-ui.xml: Use the custom action instead of the
	"<tearoff/>" tag.
		
2003-09-17  Tommi Komulainen  <tommi.komulainen@iki.fi>
	
	* galeon.desktop.in: Add GenericName=Web Browser.  Remove the
	extension from icon.

2003-09-17  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* all: merged with HEAD again. Commented some unused funtions and
	variables in libegg to avoid warnings.
	
2003-09-17  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* bookmarks/bookmarks-import-druid.c: Make this resizable again.
	* src/galeon-window.c: Increase the threshold to start asking for
	confirmation when opening a folder of bookmarks.

2003-09-17  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* configure.in: Building with g++-3 and -Werror works.  Enable -Werror
	in maintainer mode.

2003-09-16  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* bookmarks/bookmarks-context-menu.c: Fix signal parameter.
	* bookmarks/bookmarks-tree-model.c: Initialize variable.
	* mozilla/mozilla-embed-shell.cpp: Comment out unused code to avoid
	unnecessary warnings.
	* src/galeon-shell.c
	* utils/gul-string.c: Fix type-punned pointer warnings.

2003-09-16  Tommi Komulainen  <tommi.komulainen@iki.fi>
	
	* embed/global-history.c: Replace suspicious pointer arithmetics.
	Fixes bug #122414.

2003-09-16  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* configure.in
	* NEWS: 1.3.9 "Space for rent"

2003-09-15  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* galeon.schemas.in
	* embed/galeon-embed-prefs.h
	* mozilla/mozilla-notifiers.cpp: Remove duplicate mouse wheel pref.

2003-09-15  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* bookmarks/bookmarks-editor.c: Do the accelerators trick for emacs
	addicts.

2003-09-15  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* INSTALL.in
	* NEWS: Update mozilla versions

2003-09-15  Philip Langdale  <philipl@mail.utexas.edu>

	* po/POTFILES.in: Needed to remove reference to PromptService.cpp
	which is no longer needed.

2003-09-15  Philip Langdale  <philipl@mail.utexas.edu>

	* configure.in
	* mozilla/GaleonWrapper.cpp
	* mozilla/GaleonWrapper.h
	* mozilla/GlobalHistory.cpp
	* mozilla/Makefile.am
	* mozilla/MozRegisterComponents.cpp
	* mozilla/SideBar.cpp
	* mozilla/mozilla-embed-shell.cpp
	R mozilla/PromptService.cpp
	R mozilla/PromptService.h: Removed support for mozilla versions older
	than 1.4. 1.4 is the official stable branch so there is no real reason
	why someone should be using an older version. This makes things a little
	tidier. Also resync'ed mozilla api so we lose a bit already. :-)

2003-09-15  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* NEWS: update

2003-09-15  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/galeon-window.c: Move focus to the embed after loading an URL,
	makes keyboard usage more natural.  Fixes bug #116106.

2003-09-14  Crispin Flowerday  <gnome@flowerday.cx>

	* src/popup-commands.c: Add support for adding smart bookmarks
	like galeon 1.2 did. Image saving is still needed, but you can
	now use the bookmarks on the galeon site.

2003-09-14  Crispin Flowerday  <gnome@flowerday.cx>

	R toc.css
	R mozilla/scandir.c 
	R mozilla/scandir.h
	R mozilla/BaseHelpProtocolHandler.cpp     
	R mozilla/BaseHelpProtocolHandler.h       
	R mozilla/GHelpProtocolHandler.cpp        
	R mozilla/GHelpProtocolHandler.h          
	R mozilla/GnomeHelpProtocolHandler.cpp    
	R mozilla/GnomeHelpProtocolHandler.h      
	R mozilla/InfoProtocolHandler.cpp         
	R mozilla/InfoProtocolHandler.h           
	R mozilla/ManProtocolHandler.cpp          
	R mozilla/ManProtocolHandler.h            
	R mozilla/TOCProtocolHandler.cpp          
	R mozilla/TOCProtocolHandler.h            
	R mozilla/outputbuffer.c                  
	R mozilla/outputbuffer.h                  
	R mozilla/gGnomeHelpUrl.cpp       	
	R mozilla/gGnomeHelpUrl.h         	
	R mozilla/prefcheck.c			
	* mozilla/gUrlCID.h 
	* mozilla/mozilla-embed-shell.cpp
	* mozilla/gProtocolModule.cpp
	* mozilla/MozRegisterComponents.cpp
	* mozilla/MozRegisterComponents.h
	* mozilla/Makefile.am
	* Makefile.am: Remove support for viewing man, info and help
	documents in galeon. It wasn't working properly, and 'yelp'
	does a fine job.

2003-09-14  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* ui/prefs-dialog.glade: Make both panes unresizable again.

2003-09-14  Tommi Komulainen  <tommi.komulainen@iki.fi>
	
	* default-prefs.js: Enable 'security.checkloaduri' Fixes bug #111229.
	* mozilla/MyportalProtocolHandler.cpp: Load Myportal stylesheet using
	myportal "protocol" so that we can stop disabling security checks.

2003-09-14  Crispin Flowerday  <gnome@flowerday.cx>

	* utils/gul-notebook.c: Some small GulNotebook cleanups and fixes, 
	remove some unused variables, and ensure that we don't start a drag
	before the drag threshold has passed.

2003-09-14  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/galeon-prefs-dialog.c: Always show all fonts, first those that
	are "good" for the encoding, the rest after those.

2003-09-14  Philip Langdale  <philipl@mail.utexas.edu>

	* src/galeon-window.c: That's what you get when you do a bunch
	of experiments and then the check the final result in. :-)
	Removed bad unneeded #include. Merged old key_press callback
	code into the new key_press event handler. The emacs bug which
	is now fixed is 100636.

2003-09-14  Philip Langdale  <philipl@mail.utexas.edu>

	* src/galeon-window.c: Implemented a semi-elegant workaround
	for Accelerators eating key events. Fixes emacs bindings for
	text entry fields.

2003-09-14  Crispin Flowerday  <gnome@flowerday.cx>

	* utils/location-entry.c: Preserve the current selection in the
	location entry when changing it. Fixes bug #93410.

2003-09-13  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* bookmarks/bookmarks-editor.c: Handle Delete properly also when
	there's no text selected on the GtkEntry.

2003-09-13  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* galeon.schemas.in: Sanity to the default value for default charset.
	Should fix form posting problems, possibly even lacking stylesheets.

2003-09-12  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* default-prefs.js
	* galeon.schemas.in
	* embed/galeon-embed-prefs.h
	* mozilla/mozilla-notifiers.cpp: Remove memory cache size pref from
	GConf.  Mozilla knows how to pick a reasonable default automatically.

2003-09-11  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/galeon-prefs-dialog.c: Remember to set the initial state for
	Mouse/Override system default checkbox.

2003-09-10  Philip Langdale  <philipl@mail.utexas.edu>

	* NEWS: Final final update.

2003-09-10  Philip Langdale  <philipl@mail.utexas.edu>

	* NEWS: Final update.
	* configure.in: Update to 1.3.8 for release.

2003-09-10  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* NEWS: update

2003-09-09  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon.in: Exit with status code of 1 if we couldn't
	find the mozilla installation directory. Fixes bug #121807.

2003-09-09  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-main.c: Include locale.h explicitly, it only gets
	included if optimizations are enabled.

2003-09-08  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-spinner.c: Fix a crash in the spinner if the spinner
	is changed while a page is loading, the current_frame index could
	point to an index that no longer exists. Fixes bug #121728

2003-09-08  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* src/galeon-shell.c: Fix bug #121604 (saving bookmarks when thd
	default bookmarks file is corrupt).
	* bookmarks/bookmarks-tree-model.c
	* bookmarks/bookmarks-tree-view.c
	* bookmarks/bookmarks.c: Fix a small bug in a corner case creating
	aliases. Expand relevant rows in the categories view. Drop folders
	in the correct place in the left pane. 

2003-09-07  Crispin Flowerday  <gnome@flowerday.cx>

	* embed/galeon-embed.h
	* mozilla/mozilla-embed.cpp: Alter how we handle alternate
	stylesheets to be closer to what mozilla does. Treat all
	named stylesheets as alternatives, and don't list stylesheets
	twice. Fixes bugs #74149, #86221 and #92306

2003-09-07  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* bookmarks/bookmarks-editor.c: Thanks to, IMHO odd, gtk event model
	the Edit menu accelerators have precedence over the normal GtkEntry
	bindings.  Manually check where the focus is when
	Cut/Copy/Paste/Delete bonobo callback is fired.  If the focus is on a
	GtkEditable call its corresponding methods manually, instead of
	deleting bookmarks by accident.  Fixes bug #121622.
	
2003-09-07  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/mozilla-embed.cpp: Correctly return the "default"
	stylesheet when no named stylesheets are selected.

2003-09-07  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/MyportalProtocolHandler.cpp: Dont crash on missing files
	* utils/gul-general.c: Fix the filename cache so that it
	checks that the file exists before returning an already 
	cached file. Fixes bug #98287.

2003-09-06  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-shell.c: Try and avoid a crash when attempting to
	migrate the proxy prefs. Fixes bug #108866

2003-09-06  Crispin Flowerday  <gnome@flowerday.cx>

	* utils/galeon-sidebar.c
	* src/galeon-window.c: Move the setting of the initial sidebar
	page to the GaleonSidebar object from the main window.

2003-09-06  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-tab.c: Fix a compile warning

2003-09-06  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-tab.c: When destroying the GaleonTab object disconnect
	the signal handlers for the embed object. These can fire even
	after the embed has emitted the "destroy" signal. Hopefully
	fixes #113108
	Also fix a small memory leak.

2003-09-06  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/galeon-prefs-dialog.c: Make sure the timeout callback gets
	called before the dialog is destroyed.  Fixes Debian bug #208825.

2003-09-06  Crispin Flowerday  <gnome@flowerday.cx>

	* embed/galeon-embed.c
	* embed/galeon-embed.h
	* mozilla/GaleonWrapper.cpp
	* mozilla/GaleonWrapper.h
	* mozilla/mozilla-embed.cpp
	* gtkhtml/gtkhtml-embed.c
	* src/galeon-window.c: Clear the back/forward history for
	each tab when the history is cleared. Fixes part of #118375

2003-09-05  Crispin Flowerday  <gnome@flowerday.cx>

	* embed/global-history.c: Fix history clearing so that it
	doesn't crash.

2003-09-05  Philip Langdale  <philipl@mail.utexas.edu>

        * embed/galeon-embed-popup.c
        * embed/galeon-embed.h
        * mozilla/mozilla-embed.cpp:
	* src/galeon-popup.c: After far too long, finally got round to
        implementing selective frame reloading. Fixex #110472.

2003-09-05  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* galeon.schemas.in
	* utils/prefs-strings.h: Remove unused state keys.

2003-09-05  Tommi Komulainen  <tommi.komulainen@iki.fi>
	
	* default-prefs.js: Disable blink, marquee, smooth scrolling and
	automatic resizing.  Enable syntax hilighting and line wrapping in
	View Source.

2003-09-05  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* README.ExtraPrefs
	* default-prefs.js
	* embed/galeon-embed-prefs.h
	* galeon.schemas.in
	* mozilla/mozilla-notifiers.cpp: Move mouse wheel + alt/ctrl/shift
	modifier preferences from GConf to the .js file; the extra overhead
	doesn't really pay off.

2003-09-05  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* src/galeon-window.c: When adding a bookmark using the context
	menus, don't load it in a new tab.

2003-09-05  Tommi Komulainen  <tommi.komulainen@iki.fi>

	A default-prefs.js
	* Makefile.am
	* mozilla/mozilla-embed-shell.cpp: Move our mozilla preferences in a
	separate file for documentation purposes and easier maintenance and
	customization.

2003-09-04  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* mozilla/mozilla-notifiers.cpp: Actually set the default charset
	encoding pref.

2003-09-04  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* bookmarks/bookmarks-default-icon-provider.c
	* bookmarks/bookmarks-util.c
	* src/galeon-favicon-cache.c
	* src/galeon-favicon.c: Don show the bookmark icon if it is the
	default.

2003-09-03  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/mozilla-notifiers.cpp
	* mozilla/mozilla-embed-shell.cpp: Let mozilla build the default
	User-Agent string. The vendor and vendorSub strings are set as
	system preferences. Fixes bug #121280.

2003-09-03  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* ui/bookmarks-editor.glade
	* bookmarks/bookmarks-single-editor.c
	* bookmarks/bookmarks-tree-model.c
	* bookmarks/bookmarks-tree-model.h
	* bookmarks/bookmarks-tree-view.c
	* bookmarks/bookmarks-tree-view.h
	* bookmarks/bookmarks.c
	* bookmarks/bookmarks.h: Easier way to add aliases, inspired by
	Epiphany's bookmarks properties dialog. Also fixed a couple of
	bugs: an infinite loop removing bookmarks under ceratin
	circumstances and not always emitting the "changed" signal for the
	roots of the treemodel.

2003-09-02  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/galeon-language-editor.c
	* src/galeon-prefs-dialog.c
	* ui/prefs-dialog.glade: Look ma, a HIG police.  Obviously not all
	themes are born equal, fix various spacing issues.  And use the
	default theme this time...

2003-09-01  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/mozilla-embed.cpp: Hack around mozilla's problems
	so that we can emit the ge_zoom_change signal when the user
	uses Ctrl+Mouse Wheel. Thanks tko for the initial idea of how
	to get this working. Fixes bug #113358.

2003-09-01  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* bookmarks/bookmarks-context-menu.c
	* bookmarks/bookmarks-editor.c
	* bookmarks/bookmarks-tree-view.c
	* bookmarks/bookmarks-tree-view.h
	* bookmarks/bookmarks-util.h
	* src/galeon-window.c: Improve the automatic selection of
	bookmarks. Make sure the selected bookmark is visible (when
	posible). Select bookmarks created using the context menus.

2003-08-31  Crispin Flowerday  <gnome@flowerday.cx>

	* ui/galeon-ui.xml.in: Dont mark a verb for translation
	* src/galeon-main.c: Revert the revert, fixing --help, the
	crash was caused by the misplaced translation, sorry for
	the confusion.

2003-08-31  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* mozilla/CookiePromptService.cpp: <tt>"quote"</tt> the host name to
	make it more clear

2003-08-31  Tommi Komulainen  <tommi.komulainen@iki.fi>
	
	* src/galeon-main.c: Err... revert the previous.  Sure it fixed the
	--help, but if you actually tried to use Galeon, it crashed.

2003-08-31  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/galeon-main.c: Fix --help i18n.  See
	http://lists.gnome.org/archives/gnome-hackers/2003-August/msg00049.html

2003-08-31  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* configure.in
	* src/galeon-main.c: We've been requiring gtk+ 2.2 for quite a while.

2003-08-31  Crispin Flowerday  <gnome@flowerday.cx>

	R debian/Lintian.overrides
	R debian/README.BUILDING.DEBS
	R debian/build-deb
	R debian/changelog
	R debian/control
	R debian/copyright
	R debian/debian/dirs
	R debian/doc-base
	R debian/docs
	R debian/links
	R debian/menu
	R debian/mime
	R debian/postinst
	R debian/prerm
	R debian/rules: Remove the debian directory, it is old
	and out of date. Fixes bug #121096

2003-08-31  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/PromptService.cpp: Fix our implementation of the
	mozilla dialog boxes, so that they correctly show OK and 
	Cancel instead of Yes and No. Patch courtesy of ximian.
	Fixes bug #95797 for all mozilla versions.

2003-08-31  Crispin Flowerday  <gnome@flowerday.cx>

	* ui/galeon-ui.xml.in
	* src/popup-commands.c
	* src/galeon-shell.h
	* src/galeon-shell.c: Fix the view page source context menu in
	the sidebar. Fixes bug #94267

2003-08-31  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* ui/bookmarks-editor-small.glade
	* ui/bookmarks-find.glade: Mnemonics and fix bug #60687.

2003-08-31  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-css-menu.c: Delete the private stuct after deleting
	its contents, not before.

2003-08-31  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* mozilla/mozilla-embed-shell.cpp(impl_get_font_list): Use
	nsIFontEnumerator instead of nsIFontList as the former has more
	straightforward and simple API.  We'll see if either one is to be
	deprecated.

2003-08-31  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* bookmarks/bookmarks-editor-dockable.c
	* bookmarks/bookmarks-editor.c: Hopefully removed the last
	mnemonic conflict.

2003-08-31  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* utils/Makefile.am
	* utils/galeon-marshal.list
	* utils/gul-gobject-misc.c
	* utils/gul-gobject-misc.h
	* bookmarks/bookmarks-tree-view.c
	* bookmarks/bookmarks-tree-view.h
	* bookmarks/bookmarks-editor.c: When double clicking on a folder
	on the right pane, navigate into it (select it on the left
	pane). When double clicking a site on the right pane, open it in a
	new window.

2003-08-31  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/galeon-prefs-dialog.c: When mozilla gives us an empty list of
	fonts for an encoding, try again but accept fonts for any encoding so
	that you can still pick a font even if it's not "good" for the
	encoding.  Fixes bug #121101.

2003-08-31  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* bookmarks/bookmarks-editor.c
	* bookmarks/bookmarks-tree-view.c
	* ui/bookmarks-find.glade: Add missing mnemonics. Change labels
	for consistency. Fix a crash when adding new bookmarks.
	
2003-08-31  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* ui/bookmarks-find.glade
	* ui/galeon-bookmarks-editor-ui.xml.in
	* bookmarks/bookmarks-editor.c: F9 toggles between one or two
	panes in the editor. Allow searching for several words. Sort the
	search results.

2003-08-30  Crispin Flowerday  <gnome@flowerday.cx>

	* utils/gul-toolbar-editor.c: Update the toolbar editor
	arrow sensitivity. (Thanks marco). Fixes bug #97709

2003-08-30  Crispin Flowerday  <gnome@flowerday.cx>

	* utils/gul-tb-button.c: Highlight the relevant history
	menu when the mouse is over the back or forward button and
	vice-versa. (ported from epiphany). Fixes bug #83574

2003-08-30  Crispin Flowerday  <gnome@flowerday.cx>

	* bookmarks/bookmarks-context-menu-several.c
	* bookmarks/bookmarks-context-menu.c
	* bookmarks/bookmarks-editor-dockable.c
	* bookmarks/bookmarks-editor.c
	* bookmarks/bookmarks-single-editor-small.c
	* bookmarks/bookmarks-single-editor.c
	* bookmarks/bookmarks-smart-site-tb-widget.c
	* embed/downloader-view.c
	* mozilla/ContentHandler.cpp
	* mozilla/CookiePromptService.cpp
	* mozilla/ExternalProtocolService.cpp
	* mozilla/PromptService.cpp
	* src/history-dialog.c
	* src/galeon-go-button.c
	* src/galeon-home-button.c
	* src/galeon-navigation-button.c
	* src/galeon-new-button.c
	* src/galeon-prefs-dialog.c
	* src/galeon-reload-button.c
	* src/galeon-stop-button.c
	* src/galeon-window.c
	* src/pdm-dialog.c
	* utils/galeon-dialog.c
	* utils/gul-general.c
	* utils/gul-glade.c
	* utils/gul-glade.h
	* utils/gul-gui.c
	* utils/gul-gui.h
	* utils/gul-notebook.c
	* utils/gul-string.c
	* utils/gul-toolbar-editor.c
	* utils/pixbuf-cache.c: Stop random header files including
	gtk.h and gnome.h. Unfortunately this means adding lots of headers
	to the actual c files.
	
2003-08-30  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-window.c (setup_notebook): Add a gconf listener
	for the 'tabbed_always_show' preference.

2003-08-30  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-tab.c: Fix a crash where a window opened inside a tab
	is closed automatically when it is in the background. It still
	won't be closed (that appears to be a mozilla bug), but at least
	when you select it galeon won't crash. Fixes bug #116256

2003-08-30  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* galeon.schemas.in: Remove some state stuff.
	* utils/galeon-sidebar.c: Move state handling to GaleonWindow, only it
	really knows the sidebar is packed in a GtkHPaned.
	* utils/galeon-dialog.c: Remove window size saving crack, not all
	windows need it.
	* bookmarks/bookmarks-editor.c
	* src/galeon-window.c
	* src/history-dialog.c
	* src/pdm-dialog.c
	* utils/gul-state.c
	* utils/gul-state.h: Simplify window size saving API, and stop abusing
	GConf with state saving.  The simple gnome-config API ought to be
	enough for everybody.  You'll need to resize the windows back to your
	favorite size, sorry about the inconvenience.  Do we want migration
	crack here?

2003-08-30  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* bookmarks/bookmarks-export-druid.c
	* bookmarks/bookmarks-import-druid.c: Remove "window size saving
	crack".  According to HIG assistants don't have "maximize" button, so
	they probably aren't meant to be resizable either.

2003-08-30  Crispin Flowerday  <gnome@flowerday.cx>

	* galeon.schemas.in: Remove the default for the toolbar_style
	* src/toolbar.c: Set toolbar style to default when gconf unset
	* utils/gul-tb-button.c: Remove the icon from the gtkbox before
	deleting the box, otherwise the icons seems to get cleared. Also
	correctly hide the icon if it shouldn't be displayed. Remove some
	redundant code for the label widget.
	Fixes #119163, #120198 and #112642

2003-08-29  Crispin Flowerday  <gnome@flowerday.cx>

	* src/session.c: Tell g_locate_to_utf8 that the string we pass
	it is null-terminated, rather than giving it the buffer length.
	Fixes bug #112641.

2003-08-29  Crispin Flowerday  <gnome@flowerday.cx>

	* bookmarks/bookmarks-context-menu.c: When copying the bookmark
	url via the context menu, put the text in the main clipboard as
	well. Fixes #115609

2003-08-29  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* bookmarks/bookmarks-editor.c: Put the search box above the
	treeview that it affects. Had to add a hack to force the hpane to
	get a sesible size for its children initially.
	
2003-08-29  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* bookmarks/bookmarks-editor-dockable.c
	* bookmarks/bookmarks-editor.c
	* bookmarks/bookmarks-tree-view.c
	* bookmarks/bookmarks-tree-view.h
	* ui/bookmarks-editor-small.glade
	* ui/bookmarks-find.glade: Add mnemonics fix selecting the right
	folders after searching.

2003-08-28  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* ui/prefs-dialog.glade: Remove unused text from languages entry.

2003-08-27  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* bookmarks/bookmarks-editor-dockable.c
	* bookmarks/bookmarks-editor.c
	* bookmarks/bookmarks-editor.h: Search bookamrks also in the
	sidebar.

2003-08-27  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* ui/bookmarks-find.glade: Remove the find dialog, left the
	options dialog.
	* ui/galeon-bookmarks-editor-ui.xml.in: Removed the "Find" option
	from the menu.
	* bookmarks/Makefile.am
	* bookmarks/bookmarks-editor.c
	* bookmarks/bookmarks-find.c
	* bookmarks/bookmarks-find.h: Removed dead code.

2003-08-27  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* bookmarks/bookmarks-editor.c: Merge bookmark searching dialog
	here.
	* bookmarks/bookmarks-tree-view.c
	* bookmarks/bookmarks-tree-view.h: Don't always expand roots,
	beacuse it looks ugly when searching.

2003-08-27  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* bookmarks/bookmarks.c (gb_bookmark_unparent_safe): Fix bogus
	assertion.

2003-08-26  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/galeon-prefs-dialog.c: fix tyop, Ukrainan -> Ukrainian

2003-08-26  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* embed/global-history.c: Some cleanups, to try to fix 118375
	(which has not been reproduced here). Create new hastables and
	destroy the old ones instead of remove element by element. Also,
	use GSList instead of GList where possible.

2003-08-26  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* bookmarks/bookmarks-context-menu-several.c
	* bookmarks/bookmarks-context-menu.c
	* bookmarks/bookmarks-editor.c
	* bookmarks/bookmarks-tree-model.c
	* bookmarks/bookmarks.c
	* bookmarks/bookmarks.h: When unparenting (removing) a bookmark
	with aliases (or unparenting one of its ascendants), turn the
	alias into the real bookmark. Also, fix activating boomarks in the
	right pane of the editor.

2003-08-25  Crispin Flowerday  <gnome@flowerday.cx>
	
	* mozilla/CookiePromptService.cpp: Use the gnome_config_*
	api properly.

2003-08-25  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/CookiePromptService.cpp: Mozilla 1.4 doesn't remember the
	value of the checkbox in the cookie dialog, even though the API
	seems to imply it does. So lets save it in the state.ini file. Also
	save the state for whether to display the details. Fixes bug #118378

2003-08-25  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-shell.c:
	* src/galeon-automation.c: Implement the --fullscreen commandline
	option, and the --noraise option. Fixes bug #115818.

2003-08-25  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* ui/galeon.glade(find_dialog): Add mnemonic for the text entry.  Use
	more concise labels for checkbuttons.  Fixes bug #115696.

2003-08-25  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/MozillaPrivate.cpp: Fix a print preview problem
	reported as epiphany bug #119818 (ported from epiphany)

2003-08-25  Crispin Flowerday  <gnome@flowerday.cx>

	* configure.in: Added "en_GB" to ALL_LINGUAS.

2003-08-25  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* bookmarks/bookmarks-context-menu.c: Debug code.
	* bookmarks/bookmarks-tree-model.c
	* bookmarks/bookmarks-tree-model.h
	* bookmarks/bookmarks-tree-view.c
	* bookmarks/bookmarks.c
	* bookmarks/bookmarks.h: Fix a crash when adding bookmarks using
	the editor, some cleanups and small fixes.

2003-08-25  Crispin Flowerday  <gnome@flowerday.cx>

	* src/ppview-toolbar.c:
	* embed/print-dialog.c: 
	* mozilla/GaleonWrapper.cpp: Various printing fixes from epiphany,
	use an preview naviagate api that works, expand ~ in the filename,
	fix some memory leaks, and some extra checks when leaving preview 
	mode.

2003-08-24  Tommi Komulainen  <tommi.komulainen@iki.fi>
	
	* src/galeon-spinner.c: Avoid crashing if the chosen spinner theme
	can't be loaded, fall back to 'galeon' instead.

2003-08-24  Tommi Komulainen  <tommi.komulainen@iki.fi>
	
	* src/galeon-spinner.c: Replace gdk_pixbuf_render_to_drawable_alpha()
	(deprecated in gtk+ 2.3) with gdk_draw_pixbuf()

2003-08-24  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* NEWS
	* README.ExtraPrefs
	* ui/fonts.png   -> galeon-prefs-fonts.png
	* ui/general.png -> galeon-prefs-general.png
	* ui/mouse.png   -> galeon-prefs-mouse.png
	* ui/network.png -> galeon-prefs-network.png
	* ui/stop.png    -> galeon-prefs-privacy.png
	* ui/tabs.png    -> galeon-prefs-tabs.png
	A ui/galeon-prefs-language.png
	A ui/galeon-prefs-web-content.png
	* ui/prefs-dialog.glade
	* utils/galeon-marshal.list
	A utils/gul-glade-gconf.c
	A utils/gul-glade-gconf.h
	A utils/gul-gui-option.c
	A utils/gul-gui-option.h
	* utils/Makefile.am
	* src/galeon-shell.h
	* src/window-commands.c
	* src/appearance-prefs.[ch], src/general-prefs.[ch],
	  src/network-prefs.[ch], src/prefs-dialog.[ch], src/ui-prefs.[ch]
	  -> src/galeon-prefs-dialog.[ch]
	* src/language-editor.[ch] -> src/galeon-language-editor.[ch]

	The prefs dialog is dead, long live the prefs dialog.  Using a normal
	notebook instead of the odd window-per-page style.  More categories,
	replaced the sidebar with a more compact list.  Some options removed,
	some options added in the UI, hopefully reduces some FAQs.

	Fixes bugs #95557, #97312, #108772, #112632, #116047

2003-08-23  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/GaleonWrapper.cpp: Fix a crash in SetZoomOnDocShell(),
	fixes bug #75900.

2003-08-23  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/outputbuffer.c: Make sure that once we fork() we dont
	return out of the function, otherwise very bad things happen.
	Fixes bug #114516.

2003-08-23  Tommi Komulainen  <tommi.komulainen@iki.fi>
	
	* utils/gul-state.c
	* utils/gul-state.h: Preparing to remove state information from gconf.
	Clean up #includes a bit.

2003-08-23  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/galeon-shell.c(load_homepage): Handle empty homepage URL in
	gconf as if it were about:blank or the mozembed widget won't get
	fully initialized.

2003-08-23  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* ui/bookmarks-find.glade: Fix spacing and use English for all
	labels.
	* bookmarks/bookmarks-tree-model.c: Improve so that it can handle
	the same bookmark appearing several times in the tree (under
	different branches). This allows me to add both a bookmark and one
	of its ancestors to the tree as roots (will be needed for
	searching).

2003-08-22  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-window.c: Remove the reference on the css menu when
	GaleonWindow object is removed, otherwise it holds onto the embed
	reference, and the embed isn't destroyed. Fixes bug #120496

2003-08-21  Crispin Flowerday  <gnome@flowerday.cx>

	* utils/gul-toolbar.c: 
	* mozilla/mozilla-notifiers.cpp: Use the eel_gconf functions
	to get values from gconf, otherwise the schema is ignored,
	and they dont help prevent crashes when the value type in
	gconf isn't what you expect. Fixes bug #118370.

2003-08-21  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* embed/global-history.c: Remove global variable abusing hack.

2003-08-21  Abel Cheung  <maddog@linux.org.hk>

	* configure.in: Added "mk" to ALL_LINGUAS.

2003-08-22  Philip Langdale  <philipl@mail.utexas.edu>

	* ui/galeon-egg-ui.xml
	* ui/galeon-legacy-ui.xml.in: Stripped out all the remaining context
	menu gunk from the legacy ui and ric missed the hardcoded bookmarks
	from the other three versions of the document context menu :-)

2003-08-21  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* bookmarks/bookmarks-bonoboui-menu.c
	* bookmarks/bookmarks-bonoboui-menu.h: Removed these two, because
	they are no longer used anywhere ;-)
	* bookmarks/Makefile.am
	* bookmarks/bookmarks.c
	* bookmarks/bookmarks.h: Better api for getting the list of
	current items for the context menus. And a signal to know when to
	update the context menus.
	* bookmarks/bookmarks-gtk-menu.c
	* bookmarks/bookmarks-gtk-menu.h: Support context menus.
	* embed/galeon-embed-helper-list.c
	* embed/galeon-embed-helper-list.h: Support Gtk+ menus, as well as
	bonoboui menus.
	* embed/galeon-embed-popup.c: Api change of
	galeon-embed-helper-list.
	* src/Makefile.am
	* src/galeon-popup-egg.c
	* src/galeon-popup-egg.h: Removed because it is pointless and made
	the implementation of the "Open With" submenus more messy.
	* src/galeon-popup.c
	* src/galeon-popup.h: Bookmarks in context menus and "Open With"
	submenus.
	* src/galeon-tab.c: Fix includes.
	* src/galeon-window.c
	* src/galeon-window.h: Remove dead code and use GaleonPopup
	instead of GaleonPopupEgg
	* ui/galeon-egg-ui.xml: Remove the Bookmarks submenu, bookmarks
	are placed at the end of the popup menu (the user can group them
	in a submenu if he wants).
	* utils/gul-gui.c
	* utils/gul-gui.h: Utility functions for adding a separator if
	there isn't one already and for clearing a container.

2003-08-20  Crispin Flowerday  <gnome@flowerday.cx>

	* utils/galeon-dnd.c: Fix iterating through a list of dropped
	urls.

2003-08-20  Crispin Flowerday  <gnome@flowerday.cx>

	* utils/gul-notebook.c: Alter the tab focusing algorithm when
	the active tab is closed. If the tab was automatically jumped
	to and the user hasn't manually moved away from it, it will
	return to the last focused tab (the one it came from), otherwise
	the next tab will be selected. Fixes bug #110592.

2003-08-20  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* ALL: Merging changes from HEAD
	
2003-08-20  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* utils/gul-general.c
	* utils/gul-general.h: Function to filter a GSList.
	* bookmarks/bookmarks-tree-view.c: Allow setting a NULL model.
	* bookmarks/bookmarks-toolbar-widgets.c
	* bookmarks/bookmarks-toolbar-widgets.h: Fix typo and warning.
	* bookmarks/bookmarks.c
	* bookmarks/bookmarks.h: Cleanups and small fix.
	* bookmarks/Makefile.am
	* bookmarks/bookmarks-editor.c
	* bookmarks/bookmarks-editor.h
	* bookmarks/bookmarks-find.c
	* bookmarks/bookmarks-find.h
	* ui/Makefile.am
	* ui/bookmarks-find.glade: Searching bookmarks. Not totally
	finished, but I want to work on egg context menus now.

2003-08-19  Philip Langdale  <philipl@mail.utexas.edu>

	* libegg/menu/egg-menu-merge.c
	* libegg/menu/egg-menu-merge.h
	* mozilla/SideBar.cpp
	* src/Makefile.am
	A src/galeon-popup-egg.c
	A src/galeon-popup-egg.h
	A src/galeon-popup.c
	A src/galeon-popup.h
	* src/galeon-tab.c
	* src/galeon-window.c
	* src/galeon-window.h
	* src/popup-commands.c
	* src/popup-commands.h
	* ui/galeon-egg-ui.xml: Ported context menus to egg.
	Not finished yet as the "open with" "open image with" and
	bookmarks context menus need to be ported too. Thanks ric!
	Infrastructure still needs streamlining.
	eg: galeon-popup-egg and galeon-popup should be merged.

2003-08-19  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-window.c: Update the spinner control when a tab is
	removed. Fixes bug #98878

2003-08-17  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* utils/gul-glade.c
	* utils/gul-glade.h (gul_glade_get_widgets,
	gul_glade_size_group_widgets, gul_glade_group_sensitive):
	Add convenience functions.

2003-08-17  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/pdm-dialog.c
	* src/pdm-dialog.h
	* ui/galeon.glade: Enable showing a specific page from the PDM dialog
	programmatically.

2003-08-17  Crispin Flowerday  <gnome@flowerday.cx>

	* bookmarks/bookmarks-gtk-menu-item.c: Include the correct
	header, to avoid a compile warning.

2003-08-15  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* src/history-dialog.c: Added a timeout to avoid updating the
	treeview after each keypress in the filter textfield, so that it
	feels less slow. Unfortunately, most of the time is spend in
	GtkTreeView code so we can't make this a lot faster.

2003-08-13  Philip Langdale  <philipl@mail.utexas.edu>

	* src/galeon-window.c: Hide the now empty bonoboui menubar.

2003-08-12  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* src/window-recent-history-menu.c
	* src/window-recent-history-menu.h: Removed.
	* ui/galeon-egg-ui.xml
	* ui/galeon-legacy-ui.xml.in
	* src/Makefile.am
	* src/galeon-window.c
	* galeon-recent-history-menu.h
	* galeon-recent-history-menu.c: The recent histroy menu too.

2003-08-12  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* bookmarks/bookmarks-gtk-menu.c: Use GtkSeparatorMenuItem for
	separators.
	* src/Makefile.am
	* src/galeon-encoding-menu.c
	* src/galeon-encoding-menu.h
	* src/galeon-window.c
	* ui/galeon-legacy-ui.xml.in: A new encoding menu. It still does
	not show the currently selected encoding because we don't have a
	way to get it (yet).
	
2003-08-12  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* ui/galeon-egg-ui.xml
	* ui/galeon-legacy-ui.xml.in: Add a separator and remove the old
	bonoboui menu.
	* utils/gul-gui.c
	* utils/gul-gui.h
	* bookmarks/bookmarks-gtk-menu.c
	* src/galeon-css-menu.c
	* src/galeon-window-menu.c: Share the code to add tearoffs.

2003-08-12  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* bookmarks/bookmarks-gtk-menu.c
	* src/galeon-window.c: Bookmarks menu for egg.

2003-08-12  Philip Langdale  <philipl@mail.utexas.edu>

	A ui/galeon-egg-ui.xml
	A ui/galeon-legacy-ui.xml.in
	* src/galeon-window.c
	* window-commands.c
	* window-commands.h: Checked in egg_branch with most of the menu bar
	ported over. Only the bookmarks, encodings and recent history dynamic
	menus are left.
	A src/galeon-window-menu.c
	A src/galeon-window-menu.h: Restored move-to menu for tabs so that you
	don't have to DnD to move a tab between windows.

	Yes, this is a retro-active ChangeLog. Heh.

2003-08-12  Crispin Flowerday  <gnome@flowerday.cx>

	* utils/galeon-dnd.c: 
	* utils/galeon-dnd.h: 
	* bookmarks/bookmarks-dnd.c:
	* src/history-dialog.c:
	* src/toolbar.c: Change the dnd so that if we know that the
	source is only going to provide one url, then don't offer
	the url list as a drop type. This allows us to pass the title
	of the page as the second line of the data (which is what mozilla
	does).
	
2003-08-12  Crispin Flowerday  <gnome@flowerday.cx>

	* src/window-recent-history.c: Emit 'changed' signal on clear
	* src/galeon-window.h: 
	* src/galeon-window.c: 
	* src/history-dialog.c: Clear the window recent site list when
	clearing the history, and avoid errors if the history tree is
	empty when adding a site to the dialog.

2003-08-11  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* bookmarks/Makefile.am
	* bookmarks/bookmarks-alias-placeholder-tb-widget.c
	* bookmarks/bookmarks-alias-placeholder-tb-widget.h
	* bookmarks/bookmarks-toolbar-widgets.c
	* bookmarks/bookmarks-toolbar-widgets.h
	* bookmarks/bookmarks.c
	* bookmarks/xbel.c: Support unresolved aliases. Galeon won't allow
	you to create them, but it can happen when loading XBEL from other
	programs. Actually, I discovered it pasting ramdom Konqueror
	bookmarks.

2003-08-11  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* bookmarks/bookmarks-clipboard.c: Try to interoperate with
	Konqueror via cut & paste. Pasting bookmarks from Konqueror in
	Galeon works, the other way around doesn't.

2003-08-11  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* bookmarks/xbel.c: Don't add the id attribute to alias nodes.

2003-08-11  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* bookmarks/bookmarks.c
	* bookmarks/bookmarks.h
	* bookmarks/xbel.c: Fix Cut & Paste.

2003-08-11  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* bookmarks/bookmarks-editor.c
	* bookmarks/bookmarks-editor.h
	* bookmarks/bookmarks-single-editor-small.c
	* bookmarks/bookmarks-single-editor.c
	* bookmarks/bookmarks-single-editor.h
	* bookmarks/bookmarks-tree-model.c
	* bookmarks/bookmarks-tree-view.c
	* bookmarks/bookmarks.c: Fixes to alias and the ID attribute. Use
	the right pane selection for commands in the editor. Small fixes
	to the treemodel and editor.

2003-08-09  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* ui/bookmarks-editor-small.glade
	* ui/galeon-bookmarks-editor-ui.xml.in
	* bookmarks/bookmarks-editor.c
	* bookmarks/bookmarks-tree-model.c
	* bookmarks/bookmarks-tree-model.h: Some treemodel fixes. Added
	colons and mnemonics to the editor pane. Made three panes the
	default mode for the editor.
	
2003-08-09  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* src/statusbar.c: I was getting annoying warnings when updating
	the progressbar.

2003-08-09  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* bookmarks/bookmarks-tree-view.h
	* bookmarks/bookmarks-tree-view.c
	* bookmarks/bookmarks-editor.c: Hide the location column when
	showing only folders.

2003-08-09  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* bookmarks/bookmarks-editor.c: Some fixes to the way the
	selection is handled.

2003-08-09  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* src/galeon-window.c
	* src/galeon-css-menu.h
	* src/galeon-css-menu.c: Disable the menuitem when the submenu is
	empty. Also renamed it to "Styles".

2003-08-09  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* bookmarks/bookmarks-tree-view.c: Don't expand roots when they
	are hiden.
	
2003-08-09  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* bookmarks/bookmarks-editor.c
	* bookmarks/bookmarks-tree-model.c 
	* bookmarks/bookmarks-tree-model.h: Some fixes. Don't show roots
	in the right pane of the editor.

2003-08-08  Sanlig Badral  <badral@openmn.org>

	A po/mn.po: Added Mongolian translation.
	* configure.in: Added mn entry to ALL_LINGUAS

2003-08-08  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* embed/galeon-embed.c
	* embed/galeon-embed.h
	* src/Makefile.am
	* src/galeon-css-menu.c
	* src/galeon-css-menu.h
	* src/galeon-window.c
	* src/galeon-window.h
	* ui/galeon-ui.xml.in: Alternate stylesheet menu implmented.

2003-08-07  Crispin Flowerday  <gnome@flowerday.cx>

	A utils/eel-input-event-box.h:
	A utils/eel-input-event-box.c:
	* utils/Makefile.am:
	* utils/gul-notebook.c: 
	* utils/gul-tbi-favicon.c:  
	* src/statusbar.c: Take a copy of eel's eel-input-event-box. Using
	this event box fixes the transparency issues with the tab labels, the
	statusbar and the drag handle. Fixes debian bug #204320.

2003-08-07  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* bookmarks/Makefile.am
	* bookmarks/bookmarks-editor.c
	* bookmarks/bookmarks-editor.h
	* bookmarks/bookmarks-single-editor-small.c
	* bookmarks/bookmarks-single-editor-small.h
	* bookmarks/bookmarks-single-editor.c
	* bookmarks/bookmarks-single-editor.h
	* bookmarks/bookmarks-tree-model.c
	* bookmarks/bookmarks-tree-view.c
	* ui/Makefile.am
	* ui/bookmarks-editor-small.glade
	* ui/bookmarks-editor.glade: More work in the 3-paned editor. It
	seems to mostly work now. Let me know of problems.

2003-08-07  Crispin Flowerday  <gnome@flowerday.cx>

	* mozilla/ContentHandler.cpp: Use #if instead of #ifdef so that
	it compiles with versions other than the latest

2003-08-07  Philip Langdale  <philipl@mail.utexas.edu>

	* AUTHORS
	* src/window-commands.c: Despite tko's modesty, I have been provoked by
	bug #119232 to finally update the credits to reflect reality.

2003-08-07  Philip Langdale  <philipl@mail.utexas.edu>

	* configure.in
	* mozilla/ContentHandler.cpp: First api change since
	1.5a was released. oh joy.

2003-08-07  Philip Langdale  <philipl@mail.utexas.edu>

	* embed/galeon-embed.c
	* embed/galeon-embed.h
	* mozilla/mozilla-embed.cpp: Restored stylesheet management
	to embed object. Still needs a front end. Thanks ric :-)

2003-08-07  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* src/galeon-window.c (galeon_window_site_visited): Fix a crash
	when url == NULL;

2003-08-06  Crispin Flowerday  <gnome@flowerday.cx>

	* bookmarks/bookmarks-smart-site-tb-widget.c: Allow dropping of
	text onto a smart site on the toolbar button. Fixes bug #118386.

2003-08-06  Crispin Flowerday  <gnome@flowerday.cx>

	* utils/gul-notebook.c: 
	* utils/gul-notebook.h:
	* utils/prefs-strings.h
	* src/galeon-favicon.c:
	* src/galeon-favicon.h:
	* src/galeon-tab.c:
	* src/galeon-tab.h:
	* src/galeon-window.c:
	* galeon.schema.in:
	A ui/galeon-tab-loading.gif: 
	* ui/Makefile.am: Implement showing favicons in tab labels,
	gconf can be used to configure when to show the icons (never, 
	always, or only when we won't use the default). Also a tab 
	loading image will be displayed while loading a tab. Fixes
	bug #103681.

2003-08-06  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* bookmarks/bookmarks-editor.c
	* bookmarks/bookmarks-editor.h
	* bookmarks/bookmarks-tree-model.c
	* bookmarks/bookmarks-tree-model.h
	* bookmarks/bookmarks-tree-view.c
	* ui/galeon-bookmarks-editor-ui.xml.in: Some work for a 3-paned
	bookmarks editor. For now, only two panes, but the hardest work is
	done, I hope. The plan is to allow the user to choose between 1,
	2 or 3 panes.

2003-08-05  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* bookmarks/bookmarks-bonoboui-tb.c
	* bookmarks/bookmarks.c
	* bookmarks/bookmarks.h
	* bookmarks/xbel.c: id is not an integer but a string (with some
	additional restrictions)

2003-08-05  Crispin Flowerday  <gnome@flowerday.cx>

	* idl/GaleonAutomation.idl: 
	* src/galeon-shell.c:
	* src/galeon-shell.h:
	* src/galeon-automation.c
	* src/galeon-main.c:
	* src/session.c: Various server mode changes; make the GaleonShell 
	hold its own ref when in server mode. This allows proper exiting
	of the server mode via the -q option and the session manager asking
	us to exit. Also fix a related crash in server mode when exiting
	via the session manager when no windows are open.
	Fixes bug #102153 and bug #112747.

2003-08-05  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* README.ExtraPrefs: Remove window title pref.  Fixes bug #95611.

2003-08-05  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* bookmarks/bookmarks.c
	* bookmarks/bookmarks.h	
	* bookmarks/xbel.c: Preserve as much foreign information from the
	XBEL file as possible. For example, it should keep attributes from
	Konqueror. We keep the whole XML tree in memory, and instead of
	recreating it we update it when saving (keep a backup of your
	bookmarks). Fixes bug #103491.

2003-08-04  Crispin Flowerday  <gnome@flowerday.cx>

	* bookmarks/Makefile.am: 
	A bookmarks/bookmarks-dnd.c: 
	A bookmarks/bookmarks-dnd.h: 
	* bookmarks/bookmarks-gtk-menu-item.c: 
	* bookmarks/bookmarks-folder-tb-widget.c: 
	* bookmarks/bookmarks-site-tb-widget.c: 
	* bookmarks/bookmarks-smart-site-tb-widget.c: Added partial
	dnd support to bookmarks. Drag is supported from sites in
	toolbars and menus, and drop is supported onto folders in
	the toolbar. Partially fixes bug #93198.

2003-08-03  Crispin Flowerday  <gnome@flowerday.cx>

	* utils/galeon-dnd.c: Dont assert when a drop didn't actually
	drop any urls.

2003-08-03  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* mozilla/mozilla-embed-shell.cpp: Fix memory leaks with mozilla 1.4
	as well.  But let's not g_free const strings, it just crashes.

2003-08-03  Crispin Flowerday  <gnome@flowerday.cx>

	* utils/location-entry.c:
	* utils/gul-tb-button.c:
	* utils/galeon-autocompletion.c:
	* src/statusbar.c: 
	* src/session.c:
	* src/general-prefs.c:
	* src/galeon-favicon-cache.c:
	* mozilla/mozilla-embed-shell.cpp:
	* bookmarks/bookmarks-default-icon-provider.c: Free some
	more memory leaks.

2003-08-02  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-new-button.c: Make the new button respond to
	url drag and drops. It will only open the first url from
	a list (rather than all of them). Fixes bug #109014

2003-08-02  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-window.c: Correctly capitalise the structure used
	for the callback from the url receive function.
	* utils/galeon-dnd.c (galeon_dnd_drag_data_receive): Iterate
	through a GList correctly.
	* utils/gul-notebook.c (gul_notebook_move_page): Move the
	variables to the start of the function.
	
2003-08-02  Crispin Flowerday  <gnome@flowerday.cx>

	* utils/galeon-dnd.h: 
	* utils/galeon-dnd.c:
	* utils/gul-notebook.h: 
	* utils/gul-notebook.c: 
	* src/galeon-window.c: Enable drag and drop of URLs and URL
	lists onto the notebook tabs. This involves some slight
	alteration of the signals emitted by the notebook, and 
	implements a helper function for easily setting up a widget
	to accept drag and drops of URLs. Fixes bug #107931.

2003-08-02  Tommi Komulainen  <tommi.komulainen@iki.fi>
	
	* bookmarks/bookmarks.c: URL-encode smart bookmark arguments.
	Thanks to John Lightsey for the initial version.  Fixes bug #99975.

2003-08-02  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/galeon-main.c
	* src/galeon-shell.c: Remove some useless messages being printed in
	the console.

2003-07-31  Crispin Flowerday  <gnome@flowerday.cx> 

	* utils/gul-notebook.c: Add tooltips to the tab labels. They
	show the full the text in the tab label (i.e. the page title)

2003-07-31  Crispin Flowerday  <gnome@flowerday.cx>

	* src/general-prefs.c: Sort the languages in the preferences
	dialog according to the users language, rather than english.
	(patch taken from epiphany)
	
2003-07-30  Crispin Flowerday  <gnome@flowerday.cx>

	* src/galeon-window.c: Fix a memory leak

2003-07-27  Philip Langdale  <philipl@mail.utexas.edu>

	* galeon.schemas.in: Fixed typo. Thanks to Alessio Frusciante for
	pointing it out.

2003-07-27  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* mozilla/MyportalProtocolHandler.cpp
	* mozilla/MyportalProtocolHandler.h: Handle smart url character
	encodings, fixes bug #111618.  Don't close tags that aren't open.
	Remove extra attributes where parameters can be used.

2003-07-24  Crispin Flowerday <gnome@flowerday.cx>

	* src/galeon-tab.c: Use the URL as the title for a page if there isn't
	one specified.

2003-07-24  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/galeon-window.c: Don't add about:blank in recent history menu.

2003-07-22  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* NEWS
	* configure.in: Galeon 1.3.7 released.

2003-07-22  Tommi Komulainen  <tommi.komulainen@iki.fi>
	
	* src/toolbar.c: Remove toolbar style gconf notification when the
	toolbar is destroyed.  Fixes bug #115480.

2003-07-22  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/galeon-window.c
	* src/toolbar.c: Break circular references between the toolbar and
	gul-toolbar-bonobo-view to get both finalized.

2003-07-22  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/galeon-window.c: Remove all gconf notifications when
	the window is closed.  Fixes bug #112794.

2003-07-22  Philip Langdale  <philipl@mail.utexas.edu>

	* TODO: Updated todo list with what I think we need for 2.0
	Please read it and confirm the status of the old todo items.
	If you want to volunteer for any of the tasks, please do so. :-)

2003-07-22  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/galeon-main.c: Work around libgnome's bu^Wfeatures and fix
	tasklist grouping to show Galeon instead of galeon-bin.. oh well
	Fixes bug #77240.

2003-07-22  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* embed/downloader-view.c
	* embed/galeon-embed-helper-list.c
	* embed/js-console.c
	* src/network-prefs.c
	* src/pdm-dialog.c
	* src/statusbar.c
	* utils/gul-download.c
	* utils/gul-gui.c
	* utils/gul-notebook.c
	* utils/gul-string.c
	* mozilla/ExternalProtocolService.cpp
	* mozilla/PromptService.cpp: #include <config.h> to fix bugs similar
	to 118037.

2003-07-22  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/window-commands.c
	* ui/toolbar-editor.glade
	* utils/gul-toolbar-editor.c: Fix last bad "delete-event" usage and
	make the toolbar editor dialog close with its parent.

2003-07-22  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/history-dialog.c: #include <config.h> or strings won't get
	translated.  Fixes bug #118037.

2003-07-22  John Lightsey <john@nixnuts.net>

	* mozilla/PromptService.cpp: Make AlertCheck dialogs (one's that
	ask if you want to show them again in future) default to OK
	response.

2003-07-22  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/statusbar.c: Don't leak so many widgets.

2003-07-21  John Lightsey <john@nixnuts.net>
	
	* ui/print.glade: Make file browser dialog modal.  Fixes bug #112638.

2003-07-21  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* bookmarks/bookmarks-editor.c
	* bookmarks/bookmarks-export-druid.c
	* bookmarks/bookmarks-import-druid.c
	* bookmarks/bookmarks-single-editor.c
	* src/galeon-window-bookmark-activated-proxy.c
	* src/window-commands.c: Unref objects by using g_object_weak_ref
	instead of connecting to "delete-event" to make sure it doesn't happen
	too early.  Should fix bug #118000.

2003-07-21  Tommi Komulainen  <tommi.komulainen@iki.fi>
	
	* src/Makefile.am
	* utils/Makefile.am: Stop distributing CORBA stubs and
	skeletons, they need to be generated on the build system.

2003-07-21  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* bookmarks/bookmarks-single-editor.c: "delete-event" event handler
	must return gboolean (FALSE usually) or the dialog might not get
	closed.

2003-07-20  Philip Langdale  <philipl@mail.utexas.edu>

	* NEWS
	* configure.in Galeon 1.3.6 released.

2003-07-20  Philip Langdale  <philipl@mail.utexas.edu>

	* bookmarks/bookmarks-single-editor.c: Fix for crash on changing
	smartboomark width in the bookmark editor. Coded by John Lightsey
	and forwarded by Mark Howard. I had to tweak it to apply to the
	current codebase. Fixes debian bug #197135

2003-07-20  Philip Langdale  <philipl@mail.utexas.edu>

	* mozilla/mozilla-embed-shell.cpp: Removed debug message that shouldn't
	have been commited.

2003-07-18  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* mozilla/mozilla-embed-shell.cpp: Switch the skin to classic on startup
	so that we get native scrollbars. This only seems to reliably work for
	a fresh profile. YMMV.

2003-07-18  Christopher James Lahey  <clahey@ximian.com>
	    Philip Langdale  <philipl@mail.utexas.edu>

	* mozilla/mozilla-embed-shell.cpp: Switch mozilla's langpack
	to match the current locale if the appropriate langpack is
	installed. Say goodbye to "all the damn messages are in english".
	Hopefully this will go into gtkmozembed and we won't need to do
	it eventually.

2003-07-18  Philip Langdale  <philipl@mail.utexas.edu>

	* mozilla/Makefile.am: Some headers moved...

2003-07-12  Tommi Komulainen  <tommi.komulainen@iki.fi>

	R acconfig.h
	* configure.in
	* src/Makefile.am
	* src/galeon-main.c
	* src/galeon-window.c: Stop using deprecated acconfig.h and remove
	many unused defines.

2003-07-12  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* configure.in: Default to 1.4 if mozilla snapshot is given without
	arguments.  Recognize mozilla 1.5b.

2003-07-12  Tommi Komulainen  <tommi.komulainen@iki.fi>
	
	* utils/gul-string.c(gul_string_shorten): Handle utf8.

2003-07-12  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* bookmarks/bookmarks-gtk-menu.h
	* src/galeon-navigation-button.c
	* src/window-recent-history-menu.c: Shorten the labels in navigation
	history to the same length as in other menus.  Fixes bug #115899.

2003-07-10  Philip Langdale <philipl@mail.utexas.edu>

	* mozilla/mozilla-embed-shell.cpp: Permission API changed yet again.
	Ugly #ifdefs for all!

2003-07-10  Crispin Flowerday <gnome@flowerday.cx>

	* src/window-recent-history-menu.c: Add tooltips to recent history
	menu (the last items in Go menu)

2003-07-08  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/galeon-tab.c
	* src/galeon-tab.h
	* src/galeon-window.c
	* src/window-commands.c: Avoid re-entrancy when destroying tabs,
	rumor has it it's a crasher.

2003-07-08  Crispin Flowerday <gnome@flowerday.cx>
            Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/galeon-window.c
	* src/toolbar.c: Handle nicks when hitting Ctrl-Enter.
	Remove unnecessary NULL checks and memory allocations.

2003-07-08  Crispin Flowerday <gnome@flowerday.cx>

	* utils/galeon-autocompletion-window.c
	* utils/galeon-autocompletion-window.h
	* utils/location-entry.c: Make Ctrl-Enter work on autocompletion
	window too.

2003-07-08  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* utils/location-entry.c: Don't unselect item from autocompletion
	window when pressing a key that doesn't generate content (such as
	Ctrl, Shift, ...)

2003-07-08  Crispin Flowerday <gnome@flowerday.cx>

	* utils/galeon-autocompletion-window.c: Fix leaking signals.

2003-07-08  Crispin Flowerday <gnome@flowerday.cx>

	* src/galeon-automation.c
	* src/session.c
	* src/session.h: Fix the crash dialog so that if you start galeon with
	'galeon www.slashdot.org' and you select 'Dont start' it doesn't start
	Probably fixes bug #90392.

2003-07-06  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* utils/gul-gui.c
	* utils/gul-gui.h: Added gul_gui_widget_hide_now
	* src/galeon-window.c
	* utils/gul-notebook.c: Whenever the window is to be closed, hide
	it first (really hide it, flush gtk events so that it really
	disappears) for quicker response, or at least an illusion of it.

2003-07-06  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* utils/gul-notebook.c: Fix close button size allocation, hopefully
	for the last time.

2003-07-06  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/appearance-prefs.c
	* src/general-prefs.c
	* utils/location-entry.c: Text length for gtk_editable_insert_text is
	in bytes, not characters

2003-07-05  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* autogen.sh: Set -e option so that errors aren't silently ignored.

2003-07-03  Philip Langdale <philipl@mail.utexas.edu>

	* mozilla/ContentHandler.cpp
	* mozilla/ContentHandler.h: API Resync that removes dead code left
	over from mozilla 1.1

2003-07-03  Crispin Flowerday <gnome@flowerday.cx>

	* src/toolbar.c
	* utils/location-entry.c
	* utils/location-entry.h: Make Ctrl-Enter on location entry open the
	location in new window/tab depending on preference.  Fixes bug #106393.

2003-07-02  Jordi Mallach  <jordi@sindominio.net>

	* galeon.desktop.in: Replace "0" with "false" in Terminal entry.

2003-06-30  Crispin Flowerday <gnome@flowerday.cx>

	* src/galeon-main.c: Flush pending GTK events to avoid premature exit
	on loaded system.

2003-06-30  Crispin Flowerday <gnome@flowerday.cx>

	* bookmarks/bookmarks-smart-site-tb-widget.c
	* embed/galeon-embed-popup.c
	* embed/galeon-embed-utils.c
	* mozilla/mozilla-embed-shell.cpp
	* mozilla/mozilla-notifiers.cpp
	* src/appearance-prefs.c
	* src/galeon-bookmarks-icon-provider.c
	* src/galeon-favicon-cache.c
	* src/galeon-spinner.c
	* src/galeon-tab.c
	* src/galeon-window.c: Fix memleaks and uninitialized variables.

2003-06-29  Tommi Komulainen  <tommi.komulainen@iki.fi>
	
	* src/Makefile.am
	* utils/Makefile.am: Fix typo, it's 'CLEANFILES'

2003-06-29  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/galeon-window.c: Remove the floating fullscreen button in favor
	of the toolbar button.

2003-06-28  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* galeon.schemas.in
	* src/toolbar.c: Add the new fullscreen button in the default config,
	and sync the schema default and the default in the code so that both
	are using the new-style settings.
	* src/galeon-window.c: Make the window wider so that the toolbar fits
	the window.  We need a way to have the location as a separate toolbar.

2003-06-28  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* mozilla/ExternalProtocolService.cpp(ExternalProtocolHandlerExists):
	Add sanity checks for arguments, GConf gets rather verbose if
	'aProtocolScheme' is an empty string.

2003-06-28  Philip Langdale  <philipl@mail.utexas.edu>

	* mozilla/GlobalHistory.cpp
	* mozilla/GlobalHistory.h: Slightly more intelligent version
	of the last api resync. Forward-port from stable.

2003-06-28  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* galeon.schemas.in
	* utils/prefs-strings.h: Remove some unused prefs.

2003-06-28  Crispin Flowerday <gnome@flowerday.cx>

	* utils/gul-tb-button.c
	* utils/gul-tb-button.h
	* utils/pixbuf-cache.c
	* utils/pixbuf-cache.h
	A ui/galeon-fullscreen.png
	* ui/Makefile.am
	A src/galeon-fullscreen-button.c
	A src/galeon-fullscreen-button.h
	* src/Makefile.am
	* src/galeon-window.c
	* src/toolbar.c
	* src/toolbar.h
	* src/window-commands.c: Implemented a Toolbar button for toggling
	fullscreen mode. It uses a gtk_toggle_button to provide extra feedback
	when you are in fullscreen mode. Also blatantly copy the fullscreen
	icon from epiphany.

2003-06-28  Crispin Flowerday <gnome@flowerday.cx>

	* bookmarks/bookmarks-smart-site-tb-widget.c: Re-enabled the
	hide_arrows gconf key for smart bookmarks

2003-06-28  Christophe Fergeau  <teuf@users.sourceforge.net>

	* utils/gul-toolbar-bonobo-view.c: fixed build bustage

2003-06-28  Crispin Flowerday <gnome@flowerday.cx>

	* mozilla/mozilla-embed-shell.cpp: I found that the logic in the
	code where we poke mozilla to ask it whether a particular site
	has image and cookie blocking enabled is exactly the wrong way
	round in the code path used for moz 1.3

2003-06-27  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* mozilla/GlobalHistory.cpp: Yet another API change.

2003-06-27  Crispin Flowerday <gnome@flowerday.cx>
	
	* src/galeon-reload-button.c
	* src/galeon-window.c: Check modifiers correctly, use mask value
	instead of keycode when performing bitwise AND.  Fixes shift-click on
	Reload button and tab switching using Alt-number.

2003-06-22  Joseph Barillari <jbarilla@princeton.edu>

	* ui/prompts.glade: Center cookie prompt dialog on parent window.

2003-06-22  Crispin Flowerday <gnome@flowerday.cx>

	* bookmarks/boomarks-smart-site-tb-widget.c: Make Middle clicks on
	the smart bookmark icon open the 'smart link' in a new tab.

2003-06-22  Crispin Flowerday <gnome@flowerday.cx>

	* bookmarks/boomarks-smart-site-tb-widget.c: Make CTRL+Enter open
	the smart bookmark link in a new tab

2003-06-22  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/galeon-main.c: Delay unreffing galeon_shell until idle, so that
	we can be fairly certain someone else has ref'd it already and we
	don't exit prematurely. 

2003-06-21  Yanko Kaneti <yaneti@declera.com>

	* src/general-prefs.c: Vietnamian -> Vietnamese. bug #115695.

2003-06-21  Philip Langdale  <philipl@mail.utexas.edu>

	* ui/galeon-ui.xml.in
	* embed/galeon-embed-popup.c
	* src/galeon-window.c: Better implementation of allow images.

2003-06-21  Philip Langdale  <philipl@mail.utexas.edu>

	* embed/galeon-embed-popup.c
	* src/popup-commands.c: Improved context menu for images
	so that for blocked images there is now an allow option.
	Fixs 110348.

2003-06-21  Philip Langdale  <philipl@mail.utexas.edu>

	* mozilla/GaleonWrapper.cpp: Yet another API resync

2003-06-21  Tommi Komulainen  <tommi.komulainen@iki.fi>
	
	* src/general-prefs.c: Fall back to ISO-8859-1 if default encoding in
	gconf is NULL, avoids crashing in find_encoding_in_list_cmp.
	Fixes bug #113491.

2003-06-15  Tommi Komulainen  <tommi.komulainen@iki.fi>
	
	* src/galeon-window.c: Borrowed code from ephy to implement 
	'Exit Fullscreen' button that sits on the bottom left corner of the
	screen while the window is fullscreen.  Fixes bug #111041.
	I'm not perfectly satisfied with this as it's obscuring the statusbar,
	but it's better than nothing.  A toolbar button wouldn't have this
	problem, but those are tedious to implement.  ric, where are you?! :)

2003-06-15  Tommi Komulainen  <tommi.komulainen@iki.fi>
	
	* mozilla/EventContext.cpp: Memleak fixes from ephy.

2003-06-15  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* embed/galeon-embed-event.h
	* mozilla/EventContext.cpp
	* mozilla/EventContext.h: Add support for DOM key events.
	* embed/galeon-embed.c
	* embed/galeon-embed.h: Add 'contextmenu' signal for showing the
	context menu without mouse.
	* mozilla/mozilla-embed.cpp
	* src/galeon-tab.c: Popup the context menu with Shift-F10.
	* embed/galeon-embed-popup-bw.c: Popup the context menu at the event
	coordinates, instead of at the mouse cursor, if the event is a
	keyboard event.

2003-06-15  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* embed/galeon-embed-event.c
	* embed/galeon-embed-event.h
	* mozilla/EventContext.cpp
	* mozilla/EventContext.h
	* mozilla/mozilla-embed.cpp
	* src/galeon-nautilus-view.c
	* src/galeon-tab.c: Make GaleonEmbedEvent bit more generic by renaming
	mouse_{x,y} to {x,y}.  Remove nsIDOMEvent attribute from EventContext,
	instead pass the event around as a parameter.

2003-06-15  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* ui/galeon-ui.xml.in: Make Zoom In/Out work with +/- on the
	numeric keypad also.  Fixes bug #114735.

2003-06-15  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* embed/global-history.c
	* src/history-dialog.c
	* utils/location-entry.c
	* utils/location-entry.h: Add galeon_location_entry_clear_history.
	Make 'Clear history' also clear location entry history.  When clearing
	the global history, clear the sites hash before the hosts hash, so
	that the hosts aren't left laying around.  Also, when clearing the
	history, mark it dirty so that it gets saved to disk even.
	Fixes bug #84651.

2003-06-14  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/galeon-window.c: Change fullscreen mode from being overly
	optimistic to react on the actual mode change.  Fixes fullscreen mode
	to work properly when the window manager, instead of Galeon, makes the
	window fullscreen.

2003-06-14  Tommi Komulainen  <tommi.komulainen@iki.fi>
	
	* mozilla/mozilla-embed.cpp
	* src/galeon-go-button.c
	* src/galeon-home-button.c
	* src/galeon-nautilus-view.c
	* src/galeon-navigation-button.c
	* src/galeon-new-button.c
	* src/galeon-reload-button.c
	* src/galeon-stop-button.c
	* src/galeon-tab.c: Disable debugging messages.

2003-06-14  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* configure.in: Use newer style AC_INIT call and include bugzilla URL
	to be displayed at the end of 'configure --help'.  Make aclocal flags
	available to the Makefile.

2003-06-14  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* mozilla/EventContext.cpp(ResolveBaseURL): Fix a memory leak.  It's
	been leaking who knows how long, but the API change made it easier to
	spot.  (I'm blind, Philip spotted it.)
	
2003-06-14  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* mozilla/EventContext.cpp: Collect identical URI resolving code in
	one place.  Simplify SetStringProperty (const nsAString&) by letting
	the other SetStringProperty do all the work.

2003-06-14  Tommi Komulainen  <tommi.komulainen@iki.fi>
	
	* mozilla/EventContext.cpp: Last mozilla API change for today.  Galeon
	should be usable with mozilla trunk again.

2003-06-14  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* mozilla/GaleonWrapper.cpp: Removed useless #includes
	* mozilla/mozilla-embed-shell.cpp(fill_charset_lists):
	nsICharsetConverterManager2 is no more in mozilla trunk, rewrote to
	the new API.

2003-06-14  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* mozilla/TOCProtocolHandler.cpp: Mozilla API change again.  Also
	declare internal functions static.

2003-06-14  Tommi Komulainen  <tommi.komulainen@iki.fi>
	
	* configure.in: Bump snapshot level for 1.5a and trunk.
	Remove -Wmissing-declarations from CXXFLAGS.  Fixes "cc1plus: warning:
	"-Wmissing-declarations" is valid for C/ObjC but not for C++" from
	GCC 3.3

2003-06-14  Tommi Komulainen  <tommi.komulainen@iki.fi>
	
	* mozilla/MozRegisterComponents.cpp(mozilla_register_gHelpProtocolHandlers):
	When registering components RegisterFactoryLocation is better suited
	for the job than UnregisterFactoryLocation...

2003-06-09  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/toolbar.c: Fix typo, enables show toolbar as "Icons only" again.
	(I'm sure the possible values are canonically documented somewhere...)

2003-06-08  Philip Langdale  <philipl@mail.utexas.edu>

	* configure,in
	* FAQ
	* NEWS: 1.3.5 Release.

2003-06-01  Philip Langdale  <philipl@mail.utexas.edu>

	* configure.in: Updated to handle 1.4 branch and 1.5a trunk

2003-05-29  Philip Langdale  <philipl@mail.utexas.edu>

	* src/toolbar.c: Improved handling of private toolbar style
	pref so that it doesn't try to set an undefined value. Might
	fix #112642. Remains to be confirmed.

2003-05-27  Philip Langdale  <philipl@mail.utexas.edu>

	* src/galeon-tab.c: Make shift-click downloading respect the
	external downloader setting. Thanks to Mikael Magnusson for
	pointing this out.

2003-05-25  Philip Langdale  <philipl@mail.utexas.edu>

	* configure.in
	* mozilla/GlobalHistory.cpp: API Resync. Problem right now is that
	1.4 branch is still called 1.4b but this API change breaks compat
	with the real 1.4b, so you *must* use --with-mozilla-snapshot=trunk.
	The autodetection will not work.

2003-05-21  Philip Langdale  <philipl@mail.utexas.edu>

	* embed/galeon-embed-event.c
	* embed/galeon-embed-event.h
	* mozilla/SideBar.cpp
	* src/galeon-tab.c: Did you know we've been missing
	shift-left-click-on-link-to-download until know? Wow.
	(Included small change to embed event api to make it
	 more self-consistent)

2003-05-21  Philip Langdale  <philipl@mail.utexas.edu>

	* src/network-prefs.c
	* ui/prefs-dialog.glade: Added button to launch certificate manager.
	Obviously, certificate management isn't possible without it.

2003-05-19  Dmitry G. Mastrukov  <dmitry@taurussoft.org>

	* configure.in: Added Belarusian to ALL_LINGUAS.

2003-05-19  Malcolm Tredinnick <malcolm@commsecure.com.au>

	* galeon.schemas.in
	* embead/galeon-embed-prefs.h
	* mozilla/mozilla-notifiers.cpp: Remove the
	apps/galeon/Advanced/Network/no_proxies_for key and correctly
	handle the case when system/http_proxy/ignore_hosts is empty or
	missing. The old galeon specific no_proxy gconf key is now ignored;
	scream if this causes problems for you.

2003-05-18  Malcolm Tredinnick <malcolm@commsecure.com.au>

	* embed/galeon-embed-prefs.h
	* mozilla/mozilla-notifiers.cpp: Process the
	/system/http_proxy/ignore_hosts gconf key and pass
	the hosts which do not use the proxy to gtkmozembed.

2004-05-18  Philip Langdale  <philipl@mail.utexas.edu>

	* ui/galeon-ui.xml.in: Added missing tooltips for Tab menu.

2004-05-08  Philip Langdale  <philipl@mail.utexas.edu>

	* ui/galeon-ui.xml.in: Added tooltip for Quit menu item.

2003-05-05  Danilo Å egan  <dsegan@gmx.net>

	* configure.in: sr.po, sr@Latn.po: Added Serbian translation by
	http://Prevod.org/.

2004-05-04  Philip Langdale  <philipl@mail.utexas.edu>

	* src/galeon-window.c
	* src/window-commands.c
	* src/window-commands.h
	* ui/galeon-ui.xml.in: How long have we been missing the
	Clone Tab command? How easy was it to restore. *sigh*

2004-05-03  Philip Langdale  <philipl@mail.utexas.edu>

	* mozilla/mozilla-embed.cpp: Fixed long broken mouse_click_cb that
	was insisting on processing events that should have been ignored.
	eg: Middle click on scrollbars...

2004-05-02  Philip Langdale  <philipl@mail.utexas.edu>

	* ui/blocked.png: Tweaked blocked-popup icon to be the same size
	as everything else on the status bar. Now it doesn't look so damn
	wierd. :-)

2003-05-01  Christopher James Lahey  <clahey@ximian.com>

	* src/galeon-automation.c, src/galeon-main.c: Changed how session
	autoresume works.  This makes it work better with automation by
	fixing a crasher related to CORBA reentrancy.

2004-05-01  Philip Langdale  <philipl@mail.utexas.edu>

	* src/statusbar.c: Removed clicking on popup block icon adds site
	to whitelist. It's abnormal and doesn't provide good feedback to
	the user. Also makes code cleaner.

2004-04-29  Philip Langdale  <philipl@mail.utexas.edu>

	* mozilla/GaleonWrapper.cpp: Fixed missing #ifdef
	guards for popup block detection.

2004-04-28  Philip Langdale  <philipl@mail.utexas.edu>

	* src/pdm-dialog.c
	* ui/galeon.glade: Added Popup Sites to personal data
	manager. Full popup management support! Now I just need
	to fix that status bar icon to be the right size. :-)

2004-04-28  Philip Langdale  <philipl@mail.utexas.edu>

	* embed/galeon-embed-shell.h
	* src/galeon-tab.c
	* src/galeon-tab.h
	* src/galeon-window.c
	* src/statusbar.c
	* src/statusbar.h
	* src/window-commands.c
	* ui/galeon-ui.xml.in: Added menu items for adding
	a site to the popup whitelist and handling clicks on
	the blocked-popup statusbar indicator.

2004-04-28  Philip Langdale  <philipl@mail.utexas.edu>

	* embed/galeon-embed.c
	* embed/galeon-embed.h
	* mozilla/GaleonWrapper.cpp
	* mozilla/GaleonWrapper.h
	* src/galeon-tab.c
	* src/galeon-tab.h
	* src/galeon-window.c
	* src/galeon-window.h
	* src/statusbar.c
	* src/statusbar.h
	* ui/Makefile.am
	* ui/galeon-ui.xml.in
	A ui/blocked.png: Added feedback for popup-blocking.
	Blatantly copies mozilla/phoenix method of having an
	icon appear in the status bar. Currently, clicking on
	the icon does nothing. When I've got popup whitelist
	management in, you will be able to click on the icon
	to add that site to the whitelist.

2004-04-23  Philip Langdale  <philipl@mail.utexas.edu

	* mozilla/GaleonWrapper.cpp: Yet another api resync.

2003-04-19  Philip Langdale  <philipl@mail.utexas.edu>

	* NEWS
	* README.ExtraPrefs
	* configure.in: Updated for 1.3.4 Release. Much cheering etc.

2003-04-17  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* mozilla/FilePicker.cpp: Don't assume sizeof(gsize) == sizeof(guint)
	makes galeon build better on 64-bit architectures.  Avoid extra dummy
	parameters when we throw away the value anyway.

2003-04-16  Philip Langdale  <philipl@mail.utexas.edu>

	* mozilla/nsAboutRedirector.cpp: Updated to latest mozilla
	base version. Dunno how it never crashed before. :-)

2003-04-15  Tommi Komulainen  <tommi.komulainen@iki.fi>
	
	* ui/galeon.glade: Set jsconsole default size instead of
	minimum size.  Fix command mnemonic.  Make enter key on
	the text entry evaluate the command.

2003-04-15  Philip Langdale  <philipl@mail.utexas.edu>

	* ui/galeon-ui.xml.in: Heh. Quit goes below Close.

2003-04-15  Philip Langdale  <philipl@mail.utexas.edu>

	* src/galeon-window.c
	* src/window-commands.c
	* src/window-commands.h
	* ui/galeon-ui.xml.in: As much requested, we have restored
	the Quit menu item. More significantly, it respects the
	/apps/galeon/General/always_save_session pref for those,
	like me, who want save-on-quit back. There's no UI for the
	pref as we're in string freeze, but expect to see it back
	after 1.3.4 release. Yes, I'd like to see "quit-and-save"
	back too, but we need serious creativity to get menu item
	text that describes it well.

2003-04-14  Philip Langdale  <philipl@mail.utexas.edu>

	* mozilla/JSConsoleService.cpp
	* mozilla/PrintingPromptService.cpp: Fixed Javascript console
	so that the evaluate function actually works, rather than
	crashes. Removed debug printfs from PrintingPromptService.

2003-04-13  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* mozilla/mozilla-embed.cpp
	* src/galeon-tab.c: Don't leak memory every time the statusbar message
	changes.  And stop truncating valid UTF-8 strings into invalid ones,
	causing a crash in glib.  Fixes bug #110629.

2003-04-12  Philip Langdale  <philipl@mail.utexas.edu>

	* mozilla/EventContext.cpp: Changed way we did getSelection() 
	from the deprecated to the up-to-date method.

2003-04-11  Philip Langdale  <philipl@mail.utexas.edu>

	* mozilla/Makefile.am
	* mozilla/MozRegisterComponents.cpp
	* mozilla/MozRegisterComponents.h
	* mozilla/mozilla-embed-shell.cpp
	* mozilla/gProtocolModule.cpp
	A mozilla/nsAboutRedirector.cpp
	A mozilla/nsAboutRedirector.h: Some tidying up and restored
	about:topher to it's rightful place ;-)

2003-04-11  Philip Langdale  <philipl@mail.utexas.edu>

	* mozilla/mozilla-embed-persist.cpp
	* src/window-commands.c: Fixed File->SaveAs so that it no
	longer saves non-html (eg: png or jpg files) as an html
	file with a link to said non-html file.

2003-04-11  Christopher James Lahey  <clahey@ximian.com>

	* src/galeon-automation.c, src/galeon-automation.h
	(galeon_automation_complete_initialization): New function to let
	automation know the shell is ready to be used.

	* src/galeon-main.c (main): Call
	galeon_automation_complete_initialization when appropriate.

2003-04-10  Philip Langdale  <philipl@mail.utexas.edu>

	* mozilla/MozRegisterComponents.cpp: Download progress dialog
	has to be registered to provide two different services. Forgot
	one of them. :-) Now things are back to normal.

2003-04-10  Philip Langdale  <philipl@mail.utexas.edu>

	* mozilla/MozRegisterComponents.cpp
	* mozilla/PromptService.cpp
	* mozilla/PromptService.h: Got the old PromptService actually
	working. As we rely on mozilla's new GtkPromptService in due
	mozillas, I never tested it originally.

2003-04-10  Paul Duffy <dubhthach@frink.nuigalway.ie>

        * configure.in: Added ga (irish) to ALL_LINGUAS

2003-04-09  Philip Langdale  <philipl@mail.utexas.edu>

	* mozilla/Makefile.am: Explicitly #define _GNU_SOURCE.
	gcc 2.95.x when used while including mozilla-config.h manages
	not to #define this like it should, resulting in many standard
	library function prototypes not getting included. In our
	specific case, |realpath| from stdlib.h. This fixes the
	problem. We are lead to believe that this #define is
	meaningless and harmless if you're not using gcc so we do it
	unconditionally.

2003-04-09  Philip Langdale  <philipl@mail.utexas.edu>

	* mozilla/GaleonWrapper.cpp: Forgot to remove a little
	bit of interim code that wasn't needed anymore.

2003-04-09  Philip Langdale  <philipl@mail.utexas.edu>

	* mozilla/ContentHandler.cpp
	* mozilla/ContentHandler.h
	* mozilla/CookiePromptService.cpp
	* mozilla/CookiePromptService.h
	* mozilla/FilePicker.cpp
	* mozilla/FilePicker.h
	* mozilla/FtpProtocolHandler.cpp
	* mozilla/FtpProtocolHandler.h
	* mozilla/GaleonWrapper.cpp
	* mozilla/GlobalHistory.cpp
	* mozilla/GlobalHistory.h
	* mozilla/IRCProtocolHandler.cpp
	* mozilla/IRCProtocolHandler.h
	* mozilla/JSConsoleService.cpp
	* mozilla/JSConsoleService.h
	* mozilla/MailtoProtocolHandler.cpp
	* mozilla/MailtoProtocolHandler.h
	* mozilla/MozRegisterComponents.cpp
	* mozilla/MozRegisterComponents.h
	* mozilla/MyportalProtocolHandler.cpp
	* mozilla/MyportalProtocolHandler.h
	* mozilla/PrintingPromptService.cpp
	* mozilla/PrintingPromptService.h
	* mozilla/ProgressListener.cpp
	* mozilla/ProgressListener.h
	* mozilla/PromptService.cpp
	* mozilla/PromptService.h
	* mozilla/SideBarProxy.cpp
	* mozilla/SideBarProxy.h
	* mozilla/mozilla-embed-shell.cpp: Took the opportunity 
	provided by the removal of nsXPCOMFactory.h from mozilla
	(breaking all our registration code) to use the latest
	approved method and avoid obsolete but still functional
	methods. Looks big, but the new method is cleaner. Please
	test, though. I might have missed some stuff.

2003-04-09  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* mozilla/mozilla-embed.cpp: Fixed a memory leak.

2003-04-07  Riccardo Persichetti  <riccardo.persichetti@tin.it>

	* src/galeon-window.c: Fixed gcc 2.95 compilation (don't declare
	variables in the middle of a block)

2003-04-06  Philip Langdale  <philipl@mail.utexas.edu>

	* configure.in: Separated snapshot level for 1.4b/trunk to
	make sure we stay in sync with 1-2.

2003-04-06  Christian Neumair  <chris@gnome-de.org>

	* embed/galeon-embed-utils.c
	* mozilla/mozilla-embed-shell.cpp
	* mozilla/mozilla-i18n.c
	* src/general-prefs.c
	* src/prefs-dialog.c
	* src/window-commands.c: Make languages and character encodings
	translate properly.
	
2003-04-05  Philip Langdale  <philipl@mail.utexas.edu>

	* galeon.schemas.in
	* src/galeon-nautilus-view.c
	* src/galeon-tab.c
	* src/galeon-window.c: Added a new middle-mouse-button
	action for pasting a url to load in the current tab,
	duplicating galeon1 behaviour. Yes, it's inconsistent
	with what mmb is expected to do (hence we had the paste
	in new tab action) but what you can't see won't confuse
	you, or something. Thanks to Eivind Tagseth for the basic
	code, though I changed it to be a new action type, and
	not a new pref.

2003-04-05  Philip Langdale  <philipl@mail.utexas.edu>

	* mozilla/CookieObserver.cpp
	* mozilla/SideBar.cpp: Removed paranoia check of notification
	topic in CookieObserver. It's not needed and doesn't compile
	on 1.3. Added sanity checks when retrieving windows from the
	session manager (when galeon is run inside nautilus, the windows
	are not galeon-windows).

2003-04-03  Tommi Komulainen  <tommi.komulainen@iki.fi>
	
	* src/galeon.in: Always run galeon-bin from the same directory as
	galeon the script to avoid security risks.

2003-04-03  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* utils/gul-notebook.c: Never show the border around the close button.
	Thanks to Juho Snellman <jsnell@iki.fi>

2003-04-03  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* configure.in: Mozilla trunk is now advertising itself as 1.4b.
	
2003-04-03  Philip Langdale <philipl@mail.utexas.edu>

	* mozilla/Makefile.am: Fully qualify path of mozilla-config.h when
	including it so that old versions of gcc don't complain.

2003-04-02  Philip Langdale <philipl@mail.utexas.edu>

	* ui/galeon-ui.xml.in: Added icon for Block Image context menu item.

2003-04-02  Philip Langdale <philipl@mail.utexas.edu>

	* embed/galeon-embed-popup.c: Added missing header include.

2003-04-02  Philip Langdale <philipl@mail.utexas.edu>

	* embed/galeon-embed-popup.c
	* src/galeon-window.c
	* src/popup-commands.c
	* src/popup-commands.h
	* ui/galeon-ui.xml.in: Added "Block this image's site" menu
	item to image context menu. This menu item as well as the
	Allow/Block Cookies/Images menu items now state the site name
	in their menu items for maximum clarity. I've also modified
	the "Open Image" context menu item to include the image filename
	as is the old 1.2.x behaviour which I really like.
	We now *finally* have full privacy feature parity with 1.2.x

2003-04-02  Philip Langdale <philipl@mail.utexas.edu>

	A mozilla/CookieObserver.h
	A mozilla/CookieObserver.cpp: It helps to add the new files...

2003-04-02  Philip Langdale <philipl@mail.utexas.edu>

	* mozilla/Makefile.am
	* mozilla/mozilla-embed-shell.cpp
	* src/galeon-tab.c
	* src/window-commands.c: Added observer based synchronisation of
	permission menu item sensitivity for mozilla 1.4a and higher. Due to
	the lack of observer support in the old permission api, compiling
	against older versions of mozilla will use the old inefficient code
	that resyncs on visibility callbacks.

2003-04-02  Philip Langdale <philipl@mail.utexas.edu>

	* ui/galeon-ui.xml.in: Fixed capitalisation of new permission menu
	items and added some missing tooltips.

2003-04-02  Ross Burton  <ross@burtonini.com>

	* src/galeon-window.c: If a smart bookmark is activated inside a
	menu, and there is no normal URL set, popup a dialog for the query
	terms. This replicates the one last Galeon 1.2 feature I
	missed. Closing #104530.

2003-04-01  Juho Snellman <jsnell@iki.fi>

	* galeon.schemas.in
	* src/galeon-window.c
	* utils/prefs-strings.h: Added ability to choose which edge tabs are
	placed on. No UI yet (but never say never) so use gconf-editor to
	change this. /apps/galeon/UI/Tabs/tabbed_position.

2003-04-01  Philip Langdale <philipl@mail.utexas.edu>

	* configure.in: Added comment to go with that short-wchar test.

2003-04-01  Philip Langdale <philipl@mail.utexas.edu>

	* configure.in
	* mozilla/Makefile.in: Due to another special #define being made by
	mozilla and needed to compile properly, we've bitten the bullet and
	fixed the silly problem that stopped us just including mozilla-config.h
	This meant copying an autoconf test from mozilla's configure.in. So
	it's done. and there was much rejoicing.

2003-04-01  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* ui/galeon.glade: Set default size instead of minimum size.

2003-04-01  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* mozilla/mozilla-embed-shell.cpp: Fix compilation with mozilla 1.3.
	/me slaps philipl :-P

2003-04-01  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/pdm-dialog.c
	* ui/galeon.glade: Fix a tyop and make the default dialog size larger
	so that the new tabs fit in.

2003-04-01  Ricardo FernÃ¡ndez Pascual  <ric@users.sourceforge.net>

	* bookmarks/bookmarks-single-editor.c
	* src/galeon-bookmarks-icon-provider.c
	* ui/bookmarks-editor.glade: Small UI tweaks.

2003-04-01  Ricardo FernÃ¡ndez Pascual  <ric@users.sourceforge.net>
 
	* embed/galeon-embed.c
	* embed/galeon-embed.h: Expanded the interface of 
	galeon_embed_shistory_copy.
	* mozilla/GaleonWrapper.h
	* mozilla/GaleonWrapper.cpp
	* mozilla/mozilla-embed.cpp: Updated acordingly.
	* src/galeon-shell.c: Copy the navigation history when opening a
	new tab (for example, with middle click).

2003-04-01  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/galeon-window.c
	* src/galeon-window.h
	* src/window-commands.c: Add galeon_window_next_tab/prev_tab, and
	clean up tab switching considerably.
	* src/galeon-tab.c: Add missing gestures.  Still makes no difference
	whether or not gesture begins over a link.  Fixes bug #109148.
	
2003-04-01  Tommi Komulainen  <tommi.komulainen@iki.fi>
	
	* mozilla/mozilla-embed-shell.cpp: Disable keyword search.  Going to
	Google when web server is down is not helpful and is actually hiding
	the more useful error message.

2003-04-01  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/galeon-main.c: Unless told otherwise, open the url from command
	line in a new window so that it doesn't accidently end up in a tab in
	another desktop or a minimized window where the user never sees it.
	Fixes bug #65476.

2003-04-01  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/galeon-shell.c: When starting Galeon, open the page as
	defined by the 'On New Page' preference.

2003-03-31  Philip Langdale <philipl@mail.utexas.edu>

	* src/galeon-window.c: Don't assume there's always
	an active tab... 

2003-03-31  Philip Langdale <philipl@mail.utexas.edu>

	* embed/galeon-embed-shell.c
	* embed/galeon-embed-shell.h
	* mozilla/mozilla-embed-shell.cpp
	* src/galeon-tab.c
	* src/galeon-window.c
	* src/galeon-window.h
	* src/window-commands.c
	* ui/galeon-ui.xml.in: Added menu items to allow/block
	cookies/images from the current page's site. Menu item sensitivity
	sync is not perfect atm. It's updated on every visibility callback
	but this happens very often, so it's a little processor expensive
	and I don't want to keep it this way. I will try and implement a
	notification based sync update as the new mozilla api provides
	a nsIObserverServer notification we can monitor.

	Also turned sensitivity changing for Find Next and Find Prev off
	as this are only aware of the find dialog and can break
	type-ahead-find.

2003-03-31  Philip Langdale <philipl@mail.utexas.edu>

	* embed/find-dialog.c: Stop galeon crashing if find shortcuts
	are used before the find dialog is shown or there is not search
	string saved.

2003-03-30  Philip Langdale <philipl@mail.utexas.edu>

	* src/pdm-dialog.c
	* ui/galeon.glade: Re-added listing of image and password
	sites to Data Manager.

2003-03-30  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* galeon.schemas.in: Change default middle mouse button action to
	automatic scroll.  Fixes bug #109551.
	
2003-03-30  Tommi Komulainen  <tommi.komulainen@iki.fi>
	
	* Makefile.am: Require 1.6 in AUTOMAKE_OPTIONS so that we get a decent
	error message when the build environment is confused.

2003-03-29  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* mozilla/ProgressListener.cpp: Initialize member variables to null
	and ref mGaleonPersist just in case.  Hopefully fixes crashing
	downloads.

2003-03-27  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* mozilla/GaleonWrapper.cpp: Another mozilla API change in trunk.

2003-03-27  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* mozilla/mozilla-embed-shell.cpp: Update from philipl to match
	changed mozilla permissions API.  Added few casts to compile without
	warnings.
	
2003-03-20  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* ui/galeon-ui.xml.in: "Bookmarks Toolbar*s*", it affects them all.

2003-03-20  Guntupalli Karunakar  <karunakar@freedomink.org>

	* configure.in: Added Malayalam (ml) in ALL_LINGUAS

2003-03-19  Philip Langdale  <philipl@mail.utexas.edu>

	* src/galeon-tab.c: Modified middle-click behaviour so that
	middle-click on links and middle-click paste as url occure
	on full mouse click and not on mouse-down. This is the old
	1.2.x behaviour.

2003-03-19  Philip Langdale  <philipl@mail.utexas.edu>

	* src/galeon-window.c: Fixed sidebar close button to actually work.
	No idea when this broke, but now it's fixed. Thanks to chkr@plauener.de.
	Fixes #108777.

2003-03-19  Ricardo FernÃ¡ndez Pascual  <ric@users.sourceforge.net>

	* ui/galeon-ui.xml.in
	* src/galeon-window.c: Add a toggle to show/hide the bookmarks
	toolbars where the user expexts it.
	
2003-03-19  Ricardo FernÃ¡ndez Pascual  <ric@users.sourceforge.net>

	* src/galeon-window.c: Request confirmation when trying to open
	many (more than 5) bookmarks at once. Fixes bug #107631.

2003-03-17  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* configure.in
	* mozilla/BaseHelpProtocolHandler.cpp
	* mozilla/BaseProtocolContentHandler.cpp
	* mozilla/CookiePromptService.cpp
	* mozilla/GaleonWrapper.cpp
	* mozilla/GlobalHistory.cpp
	* mozilla/MozRegisterComponents.cpp
	* mozilla/MyportalProtocolHandler.cpp
	* mozilla/TOCProtocolHandler.cpp
	* mozilla/gGnomeHelpUrl.cpp
	* mozilla/mozilla-embed-persist.cpp: Remove compatibility with
	obsolete mozilla versions, now requires >= 1.3.

2003-03-17  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* configure.in
	* mozilla/MozRegisterComponents.cpp: Bump MOZILLA_SNAPSHOT for trunk
	and use the PromptService implementation in gtkmozembed instead of our
	own.

2003-03-17  Jon Svendsen  <jon-sven@frisurf.no>

	* utils/gul-state.c: Properly save maximized/unmaximized state. (from
	epiphany)

2003-03-16  Philip Langdale  <philipl@mail.utexas.edu>

	* mozilla/nsMailtoUrl.h: Added explicit header inclusions for some headers
	that are no longer implicit and removed obsolete inclusion of nsIFileSpec.h

2003-03-16  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* ui/galeon-ui.xml.in: Renamed 'Copy Link Location' to '... Address'
	to be in line with gnome-terminal.  Added lots of missing tooltips,
	but still missing many.  Please proofread.

2003-03-16  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/galeon-window.c
	* src/galeon-window.h
	* src/toolbar.c
	* src/toolbar.h
	* src/window-commands.c
	* utils/location-entry.c
	* utils/location-entry.h: The "Trying to understand focus issues can
	be harmful to your mental health" commit.

	When opening a new tab (or window) clear and focus the location entry.
	While the user is editing the location in the entry, ignore all
	updates coming from mozilla.

2003-03-16  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/statusbar.c
	* utils/gul-tbi-location.c: Replace some remaining uses of
	bonobo_ui_component_object_set with _widget_set.  Should fix some
	theming issues.  Spinner and favicon still look bad sometimes.

2003-03-15  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/pdm-dialog.c: Make all buttons have the same width to make
	switching pages more smooth.

2003-03-15  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* embed/galeon-embed-popup.c: Don't leak the persist object, unref it
	when no longer used.
	* mozilla/mozilla-embed-shell.cpp: Don't assume non-null outval is
	valid to free.
	* embed/galeon-embed-utils.c
	* src/window-commands.c: Fix filepicker uses, the filename is valid
	to free only if the filepicker returns success.

2003-03-15  Ricardo FernÃ¡ndez Pascual  <ric@users.sourceforge.net>

	* src/galeon-navigation-button.c: Fix bug #94890. Open links in
	new tab when middle clicking on items of the history menus.

2003-03-15  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* utils/location-entry.c: Remove some galeon1 leftovers.  When hitting
	Tab non-ambiguous prefix is completed without showing the completion
	list.

2003-03-15  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/galeon-window.c
	* src/window-commands.c
	* src/window-commands.h
	* ui/galeon-ui.xml.in: HIG me harder.  Reorganizing the menus to
	follow the HIG more closely.

2003-03-12  Philip Langdale  <philipl@mail.utexas.edu>

	* mozilla/PromptService.cpp: Fixed |nsIPromptService::Prompt|
	implementation. As there is in |PromptCheck| method, a null checkMsg
	indicates the checkbox is not needed. We now respect this sematic.
	Also fixed local |AddButton| method to be NS_METHOD; very minor.

2003-03-12  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* embed/print-dialog.c: (print_get_info):
	Fix print color/B&W : value 0 is for color but Mozilla expects 1 for
	color.

2003-03-12  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* mozilla/GaleonWrapper.cpp
	* mozilla/GaleonWrapper.h (ForceCharacterSet): Use const char*
	* mozilla/mozilla-embed.cpp (impl_set_charset): Reload (rerender) the
	page automatically to see it with the new encoding.
	
2003-03-12  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/galeon-navigation-button.c: Handle NULL return values
	appropriately and stop adding items in popup menu when we run out of
	accelerator keys.  Fixes bug #108173.

2003-03-12  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* embed/js-console.c: Pass correct parameters to
	js_console_append_msg, something I so obviously broke in January.
	Blame the eyeballs that were supposed to make all bugs shallow. ;)
	Fixes bug #108141.

2003-03-11  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/galeon-window.c: Don't write 'about:blank' in the location
	entry, keep it empty instead.  Fixes bug #97692.  Still need to figure
	out the focus issues.

2003-03-11  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* configure.in: Require libgnomeui >= 2.0.5, presumably it fixes
	crashing prefs dialog.

2003-03-10  Christopher James Lahey  <clahey@ximian.com>

	* mozilla/ProgressListener.cpp: Weak ref the downloader view.

2003-03-10  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* mozilla/mozilla-embed.cpp (impl_copy_page)
	* src/galeon-shell.cpp: The caller doesn't need know that some page
	must be loaded beforehand.  Silence useless warning.

2003-03-10  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/galeon-window.c: Update the sensitivity of View/Stop.

2003-03-10  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* ui/galeon.glade: Add mnemonics to crash recovery dialog.
	* ui/prefs-dialog.glade: Fix conflicting mnemonics.  'C' is reserved
	for the Close button, or something else when translated.

2003-03-09  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* NEWS
	* configure.in: Galeon 1.3.3 release.

2003-03-08  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* embed/galeon-embed-popup.c: If downloading is set to not ask for
	download directory make sure the download ends up in the specified
	directory instead of the directory where last image was saved.
	Fixes bug #98986.

2003-03-08  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* galeon.schemas.in: Use paste URL as default for middle mouse button,
	it should be the least surprising.

2003-03-08  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/galeon-tab.c: Check for is_active before updating window
	statusbar message to avoid useless warnings.
	
2003-03-08  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/galeon-spinner.c: Don't include GtkWidget allocation coordinates
	when calculating intersecting area on expose event.  Pretty much the
	opposite of the previous fix, both just used to work nicely when the
	allocation x,y is 0,0...  Check GTK_WIDGET_DRAWABLE instead of
	manually handling the map event.

2003-03-07  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* utils/gul-gui.c (gul_gui_menu_position_under_widget): Calculate the
	popup coordinates using both GdkWindow origin and GtkWidget allocation
	coordinates.  Fixes bookmarks toolbar folder popping up on the left
	edge of the window.  (For me at least, hope it doesn't break for
	others.)

2003-03-06  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* mozilla/mozilla-notifiers.cpp: Fix User-Agent to follow mozilla
	user-agent strings proposal.

2003-03-06  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* mozilla/mozilla-embed-shell.cpp
	* mozilla/mozilla-notifiers.cpp
	* mozilla/mozilla-notifiers.h: Set up notifiers after the profile has
	been initialized, and synthesize notifications so that we get mozilla
	synced with prefs that may have been changed while galeon wasn't
	running.  

2003-03-04  Christian Neumair  <chris@gnome-de.org>


	* src/galeon-go-button.c: Changed button tooltip, added mnemonics to
	context menu and replaced menu item labels' "Current" by "Specified".
	* src/galeon-stop-button.c: Changed button tooltip, made menu item
	labels more descriptive.

2003-03-04  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* utils/disclosure-widget.h: Add prototype for the custom glade widget
	function to avoid warnings.

2003-03-03  Ricardo FernÃ¡ndez Pascual  <ric@users.sourceforge.net>

	* src/galeon-reload-button.c: Act like mozilla on
	shift+click. Fixes bug #92033.

2003-03-02  Ricardo FernÃ¡ndez Pascual  <ric@users.sourceforge.net>

	* bookmarks/bookmarks-bonoboui-menu.c: Fixed a bug with menu
	creation/rebuild. Don't know if this could be the cause of the
	crash.
	
2003-03-02  Ricardo FernÃ¡ndez Pascual  <ric@users.sourceforge.net>

	* utils/gul-tbi-std-toolitem.c
	* utils/gul-tbi-std-toolitem.h: Removed ths obsolete files.
	* Makefile.am
	* utils/gul-toolbar-item-factory.c: Removed obsolete items.
	
2003-03-02  Ricardo FernÃ¡ndez Pascual  <ric@users.sourceforge.net>

	* utils/gul-tbi-std-toolitem.c
	* utils/gul-tbi-std-toolitem.h
	* utils/gul-toolbar.c
	* src/toolbar.c
	* src/window-commands.c
	* src/galeon-go-button.c
	* src/galeon-go-button.h: The go button. This was the last one
	missing ;)
	* src/galeon-home-button.c: This was using the wrong icon.

2003-03-02  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* utils/gul-gobject-misc.h: Added about the simplest possible version
	of *_get_type macro.
	* po/POTFILES.in
	A src/network-prefs.c
	A src/network-prefs.h
	* src/Makefile.am
	* src/prefs-dialog.c
	* ui/prefs-dialog.glade: Separated network prefs page and added a
	launcher button for proxy configuration.

2003-03-02  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/galeon-shell.c: Monitor /system/proxy gconf dir, we won't be
	getting any notifications for proxy prefs changes otherwise.. doh!

2003-03-02  Philip Langdale <philipl@mail.utexas.edu>

	* mozilla/ContentHandler.cpp: Fixed inability of helper apps
	to launch. Seems like some assumed mozilla behaviour changed.

2003-03-01  Ricardo FernÃ¡ndez Pascual  <ric@users.sourceforge.net>

	* src/Makefile.am
	* src/galeon-home-button.c
	* src/galeon-home-button.h
	* src/toolbar.c
	* src/window-commands.c
	* utils/gul-tbi-std-toolitem.c
	* utils/gul-tbi-std-toolitem.h
	* utils/gul-toolbar.c: Home button.
	
2003-03-01  Ricardo FernÃ¡ndez Pascual  <ric@users.sourceforge.net>

	* src/toolbar.c: Go to galeon's homepage when clicking in the
	spinner.
	* src/galeon-reload-button.c: Reload all tabs/windows.
	
2003-03-01  Ricardo FernÃ¡ndez Pascual  <ric@users.sourceforge.net>

	* utils/gul-tbi-std-toolitem.c
	* utils/gul-tbi-std-toolitem.h
	* utils/gul-toolbar.c
	* src/Makefile.am
	* src/toolbar.c
	* src/window-commands.c
	* src/galeon-stop-button.h
	* src/galeon-stop-button.c: Fancier stop button.

2003-02-28  Philip Langdale <philipl@mail.utexas.edu>

	* configure.in: Updated configure.in to handle new trunk builds
	which identify themselves as 1.4a

2003-02-28  Philip Langdale <philipl@mail.utexas.edu>

	R mozilla/gcc2abi.cpp
	A src/gcc2abi.cpp
        * src/Makfile.am
        * mozilla/Makefile.am: Shifted old plugin compatability symbols to
        link directly into galeon-bin rather than through libmozillaembed.a
        Some of the symbols were not properly accessible by the old method.
        Fixes #106692

2003-02-26  Philip Langdale <philipl@mail.utexas.edu>

	* ui/galeon-ui.xml.in: Added "Allow" to the menu items for cookie
	blocking. Makes for sense now. :-)

2003-02-25  Philip Langdale <philipl@mail.utexas.edu>

	* src/galeon-window.c
	* src/window-commands.c
	* src/window-commands.h
	* ui/galeon-ui.xml.in: Added radio menu group to easily set
	cookie policy from web menu. (mirrors image policy group that
	Tommi checked in earlier). Also added backend code to handle
	blocking or allowing cookies/images from the current site.
	Front end code will require more thought to do correctly.

2003-02-25  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* ui/Makefile.am: Install the new icons also..  I must've left my
	brain around here somewhere, always missing something...

2003-02-25  Tommi Komulainen  <tommi.komulainen@iki.fi>

	A ui/bug.png
	A ui/debian.png: added missing icons for default bookmarks

2003-02-25  Philip Langdale <philipl@mail.utexas.edu>

	* src/prefs-dialog.c: Removed unused precache
	function in prefs dialog code. Got accidentally
	put back when restoring icon code.

2003-02-25  Tommi Komulainen  <tommi.komulainen@iki.fi>
	
	* ui/galeon-ui.xml.in: Missed the mnemonic.

2003-02-25  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/galeon-window.c
	* ui/galeon-ui.xml.in: Restored View/Images items.  Image blocking
	should probably go there as well.

2003-02-25  Philip Langdale <philipl@mail.utexas.edu>

	* src/prefs-dialog.c
	* src/prefs-dialog.h
	* ui/Makefile.am
	A ui/fonts.png
	A ui/general.png
	A ui/network.png
	A ui/stop.png
	A ui/tabs.png: Restored pretty icon based prefs dialog.
	If it's good enough for evo2, it's good enough for us! :-)

2003-02-25  Ricardo FernÃ¡ndez Pascual  <ric@users.sourceforge.net>

	* mozilla/mozilla-embed.cpp: Added a silly debug message when
	reloading. Remove it if you want.
	* utils/gul-string.c
	* utils/gul-string.h
	* utils/gul-toolbar.c: Added a backward compatibility hack for the
	"new" and "reload" buttons.
	* src/galeon-new-button.c
	* src/galeon-reload-button.c: Fixed capitalization.
	
2003-02-25  Philip Langdale <philipl@mail.utexas.edu>
	    Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/galeon-window.c
	* src/window-commands.c
	* src/window-commands.h
	* ui/galeon-ui.xml.in: Added 'Web' menu as a home for things
	like the much-missed toggles for popups/java/javascript and
	the java/javascript consoles. In due course, the cookie/image/etc
	behaviour toggles will return and appear here. Yay!

2003-02-25  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/galeon-embed-favicon.c
	* src/galeon-tab.c: Move the ge_favicon signal handling in the tab.
	This makes favicons update properly when loading a page in an inactive
	tab.  Fixes bug #106884.

2003-02-24  Ricardo FernÃ¡ndez Pascual  <ric@users.sourceforge.net>

	* utils/gul-tbi-std-toolitem.c
	* utils/gul-tbi-std-toolitem.h: Removed the "New" button.
	* src/Makefile.am
	* src/toolbar.c
	* src/window-commands.c
	* src/galeon-new-button.c
	* src/galeon-new-button.h: Implemented a "New" button like the one
	in Galeon 1. Right click opens a popup menu and middle click opens
	the url in the PRIMARY selection in a new tab/window.
	* galeon.schemas.in: Fixed the default toolbar setup

2003-02-22  Philip Langdale <philipl@mail.utexas.edu>

	* configure.in
	* mozilla/GlobalHistory.cpp: Added new snapshot level for mozilla 1.3
	branch and cvs trunk as of today.

2003-02-21  Philip Langdale <philipl@mail.utexas.edu>

	* mozilla/mozilla-embed-shell.cpp: Fixed proxy pref loading so that
	it doesn't scream and panic and worry users if the proxy prefs are
	not set. This isn't a problem, so we shouldn't create the impression
	that it is.

2003-02-21  Christophe Fergeau <teuf@users.sourceforge.net>

	* galeon.desktop.in
	* galeon-main.c: readded StartupNotify, and properly tell gdk
	to stop displaying the busy cursor when using an existing process

2003-02-21  Yanko Kaneti <yaneti@declera.com>

	* galeon.desktop.in: Revert the StartupNotify=true part of the 
	previous commit.

2003-02-21  Yanko Kaneti <yaneti@declera.com>

	* galeon.desktop.in: Add StartupNotify=true, Encoding=UTF-8 and
	the various X-GNOME-Bugzilla-* stuff. #106674
	Thanks to louisg00@bellsouth.net.

2003-02-21  Ricardo FernÃ¡ndez Pascual  <ric@users.sourceforge.net>

	* utils/gul-tb-button.c: Another g_object_ref / gtk_object_sink.

2003-02-20  Ricardo FernÃ¡ndez Pascual  <ric@users.sourceforge.net>

	* utils/gul-toolbar.c: Ignore unknown items instead of reverting
	to default.
	* utils/gul-tb-button.c: Add a forgotten g_object_ref.
	* utils/gul-tbi-std-toolitem.c
	* utils/gul-tbi-std-toolitem.h
	* src/Makefile.am
	* src/toolbar.c
	* src/window-commands.c
	* po/POTFILES.in: Replaced the relad button with one with a
	context menu for bypassing proxy and/or cache, like galeon 1.

2003-02-20  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* utils/gul-bonobo-extensions.c
	* utils/gul-bonobo-extensions.h: Added gul_bonobo_set_look
	* galeon.schemas.in
	* src/toolbar.c
	* utils/prefs-strings.h: Restored galeon1 compatible
	/apps/galeon/UI/Toolbar/toolbar_style preference, if set it overrides
	the desktop default toolbar style.  Now all we need is lo.. err, UI :)
	Fixes bug #93496.

2003-02-20  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* utils/disclosure-widget.c: Draw prelighting like GtkCheckButton
	does for consistency, makes the widget bit more visible too.

2003-02-20  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/galeon-tbi.h: Remove extra underscore from GALEON_IS_TBI_
	* ui/galeon.glade: Crash recovery and find dialogs shouldn't be
	resizable.

2003-02-20  Christophe Fergeau  <teuf@users.sourceforge.net>

	* autogen.sh: Require at least automake-1.6 (will only work with
	a recent gnome-common, shouldn't change anything for people using
	older ones)

2003-02-19  Ricardo FernÃ¡ndez Pascual  <ric@users.sourceforge.net>

	* utils/gul-tb-button.c
	* utils/gul-tb-button.h: Allow disabling image hiding even in text
	mode. Useful when the image is not an image but a widget.
	* utils/gul-tbi-zoom.c: Obey toolbar style, using GulTbButton.
	
2003-02-19  Ricardo FernÃ¡ndez Pascual  <ric@users.sourceforge.net>

	* utils/location-entry.c: Really go to the selected site when
	clicking in the location history.
	
2003-02-19  Ricardo FernÃ¡ndez Pascual  <ric@users.sourceforge.net>

	* bookmarks/bookmarks-smart-site-tb-widget.c: Use the entered text
	when clicking in the button if it is not empty. Fixes bug #106482.

2003-02-17  Ricardo FernÃ¡ndez Pascual  <ric@users.sourceforge.net>

	* bookmarks/bookmarks-bonoboui-menu.c
	* bookmarks/bookmarks-bonoboui-menu.h
	* bookmarks/bookmarks.c
	* embed/galeon-embed-popup-bw.c
	* embed/galeon-embed-popup-control.c
	* embed/galeon-embed-popup.c
	* embed/galeon-embed-popup.h
	* src/galeon-window.c
	* ui/galeon-ui.xml.in: Reimplemented "Add bookmark to context
	menu". Fixes bug #100341.

2003-02-16 Tommi Komulainen  <tommi.komulainen@iki.fi>

	* utils/gul-notebook.c: Make the tab close button slightly larger than
	the icon it contains so the icon has better chance for not getting
	cropped, like what happens with the Gorilla theme.

2003-02-16 Tommi Komulainen  <tommi.komulainen@iki.fi>

	* embed/cookie-info.c
	* embed/cookie-info.h
	* embed/galeon-embed-shell.c
	* embed/galeon-embed-shell.h
	* mozilla/mozilla-cookie.cpp
	* mozilla/mozilla-embed-shell.cpp: Keep permission status as boolean,
	converting it to a string in the backend complicates making any
	frontend.
	* src/pdm-dialog.c
	* ui/galeon.glade: Added 'Cookie Sites'  Oh the wonders of copypasting
	code...

2003-02-16  Philip Langdale <philipl@mail.utexas.edu>

	Galeon 1.3.2 Release: If you're building from cvs, then you
	should be running the latest automake (1.7.x) and libtool (1.4.3)
	or things will fail.

2003-02-16  Yanko Kaneti <yaneti@declera.com>

	* Makefile.am: add dist-bzip2. Use GCONF_SCHEMAS_INSTALL.
	* galeon.spec.in: update.

2003-02-16 Tommi Komulainen  <tommi.komulainen@iki.fi>

	* doc/C/Makefile.am: make dist(check) tweak.  Remove galeon.xml from
	entites, it's the $(docname).xml and having it twice fails.

2003-02-15  Philip Langdale <philipl@mail.utexas.edu>

	* configure.in: Add version checking to package dependencies.
	Just 2.0.0 for the GNOME stuff for now. Shouldn't scare anyone.

2003-02-15  Philip Langdale <philipl@mail.utexas.edu>

	* NEWS: Wow, so much new stuff since last NEWS update :-)

2003-02-15  Philip Langdale <philipl@mail.utexas.edu>

	* embed/downloader-view.c: Set initial disclosure state of details
	to match remembered state.

2003-02-15  Ricardo FernÃ¡ndez Pascual  <ric@users.sourceforge.net>

	* ui/galeon-bookmarks-editor-ui.xml.in: Hide "Open" and "Save
	as". They are not useful for galeon.

2003-02-15  Ricardo FernÃ¡ndez Pascual  <ric@users.sourceforge.net>

	* bookmarks/bookmarks-util.h: Use macros instead of inline
	functions to avoid warnings.
	* bookmarks/bookmarks-editor.c
	* bookmarks/bookmarks-editor.h
	* ui/galeon-bookmarks-editor-ui.xml.in: Add a way to add smart
	bookmarks. Fixes #97745.
	* utils/gul-tb-button.c: Disable debug output.

2003-02-14 Tommi Komulainen  <tommi.komulainen@iki.fi>
	
	* embed/find-dialog.c: *sigh* Fix another GValue string leak.  This is
	not C++ and GValues don't have destructors...

2003-02-14 Tommi Komulainen  <tommi.komulainen@iki.fi>

	* embed/find-dialog.c
	* ui/galeon.glade: Disable next and previous buttons when there's
	nothing in the text entry, do this also when showing the dialog.
	Don't bother doing things manually that gtk can handle by itself just
	fine.  Avoids crashing when trying to search for empty string.

2003-02-14 Mark Finlay <sisob@eircom.net>

	* myportal.css: updates to the style sheet
	* mozilla/MyportalProtocolHandler.cpp: update to myportal code
	* galeon.schemas.in: set home page to myportal
	* ui/logo.png: remove slogan from below image

2003-02-14  Mark Finlay <sisob@eircom.net>
            Tommi Komulainen  <tommi.komulainen@iki.fi>

	R bookmarks/default-bookmarks.xbel
	A bookmarks/default-bookmarks.xbel.in
	* bookmarks/Makefile.am
	A ui/gnu.png: Updated default bookmarks.  Generating the bookmarks
	file from a template to get the pixmap paths right.  Makefile magic
	from autoconf info page.

2003-02-14  Philip Langdale <philipl@mail.utexas.edu>

	* NEWS: Made news slightly more accurate.

2003-02-14  Philip Langdale <philipl@mail.utexas.edu>

	* AUTHORS
	* NEWS: Updated NEWS for 1.3.2 and make AUTHORS reflect reality.

2003-02-14  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* mozilla/mozilla-cookie.cpp: don't set domain twice, leaking the
	first one...

2003-02-14  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* .cvsignore: add more files
	* Makefile.am: add .schemas.in in EXTRA_DIST
	* src/Makefile.am: always add nautilus-view source files in EXTRA_DIST

2003-02-14  Philip Langdale <philipl@mail.utexas.edu>

	* configure.in: Updated version to 1.3.2 and default to mozilla 1.3b
	if version cannot be detected.

2003-02-13  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* bookmarks/bookmarks.c: When using a smart bookmark nick without
	any keywords following, use the Location URL instead of leaving the %s
	in the Smart URL unsubstituted.  Fixes bug #105952.

2003-02-12  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* INSTALL.in: Recommend mozilla 1.3b, remove --with-mozilla-snapshot
	from example.  And Gnome 2.2 is also out btw. :)

2003-02-12  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* ui/nautilus-galeon-view-ui.xml.in: Fix capitalization. (forgot all
	about nautilus view...)

2003-02-11  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* embed/galeon-embed-popup.c
	* mozilla/EventContext.cpp
	* ui/galeon-ui-xml.in: Show 'Copy' in context menu when there's
	text selected on the page.  Fixes bugs #93205 and #102167.

2003-02-11  Christophe Fergeau  <teuf@users.sourceforge.net>

	* embed/downloader-view.c: Fixed gcc 2.95 compilation (variable 
	declarations must be at the beginning of a block before any 
	instruction)

2003-02-11  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* ui/galeon-ui.xml.in: Fix capitalization.

2003-02-10  Philip Langdale <philipl@mail.utexas.edu>

	* embed/downloader-view.c
	* ui/galeon.glade: Updated downloader dialog to use the disclosure
	widget and to resize itself when the details are opened and closed.

2003-02-10  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* utils/gul-notebook.c: Make sure the menu labels always exist, fixes
	gtk_widget_modify_fg warnings.

2003-02-10  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* configure.in: Make mozilla version detection automatic.  Hopefully
	you'll never need to use --with-mozilla-snapshot ever again.

2003-02-10  Abel Cheung  <maddog@linux.org.hk>

	* congfiure.in: Revert my previous change on dependency.

2003-02-09  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* embed/galeon-embed.c
	* embed/galeon-embed.h
	* mozilla/GaleonWrapper.cpp
	* mozilla/GaleonWrapper.h
	* mozilla/mozilla-embed.cpp
	* src/galeon-embed-favicon.c: Hook up a DOM event listener so that
	we get called automatically when a page has a favicon, instead of
	digging through the DOM looking for one after the page has been
	loaded.  Should be much more reliable.  From epiphany, but not using
	as many extra functions.

2003-02-08  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* utils/gul-notebook.c: Modify the fg color of active state, not
	insensitive.. what was I thinking.  Makes the colors on inactive
	tabs work again.  (The state is named active but it really means
	inactive tabs.. go figure.)

2003-02-07  Abel Cheung  <maddog@linux.org.hk>

	* configure.in: Removed superfluous building dependencies.

2003-02-06  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* mozilla/Makefile.am
	* src/Makefile.am: don't pollute src-directory with mozilla
	dependencies

2003-02-06  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/galeon-window.c
	* utils/gul-notebook.c
	* utils/gul-notebook.h (gul_notebook_set_page_color): Removed one
	extra level of indirection, made the GulNotebook API more generic and
	removed the remaining dependency to galeon.  Probably fixed a memory
	leak in the process.  All this basically by removing stuff.  Weird.

2003-02-06  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/galeon-window.c
	* utils/gul-notebook.c
	* utils/gul-notebook.h (gul_notebook_set_policy): Don't use galeon
	gconf keys within the notebook, provide an independent API instead.
	(should do the same for the colors too)

2003-02-06  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/galeon-window.c
	* src/galeon-window.h: forgot to move #include "gul-notebook.h"

2003-02-05  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* Makefile.am: mozilla_12b_patch is long gone

2003-02-03  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/galeon-tab.c
	* src/galeon-window.c
	* src/galeon-window.h
	* src/window-commands.c: Avoid exposing GaleonWindow internal details
	to outside, manage GulNotebook internally.

2003-02-03  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* embed/galeon-embed-event.h
	* mozilla/EventContext.cpp: Removed unused timestamp field, it was
	dubiously truncated from 64-bit int to 32-bits anyway.  Similarly,
	don't cast a 32-bit pointer to a 16-bit pointer, it breaks on
	big-endian architectures.  Fixes bug #97665.
	
2003-02-03  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* utils/disclosure-widget.c
	* utils/disclosure-widget.h: Added support functions for using the
	disclosure widget as a custom widget in glade.

	* mozilla/ContentHandler.cpp
	* ui/galeon.glade: Replace the stock toggle button in the helper
	dialog with the disclosure widget.  Fixes bug #100568.

2003-02-02  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* mozilla/CookiePromptService.cpp
	* mozilla/MozRegisterComponents.cpp: The cookie prompt service is
	mozilla 1.3b only, maintain compatibility with mozilla 1.3a (for now)

2003-01-30  Christophe Fergeau  <teuf@users.sourceforge.net>

	* utils/gul-tbi-test.c: removed one string (Test) which was 
	marked for translation (Ric, please forgive me if it should be 
	translatable :)

2003-01-29  Abel Cheung  <maddog@linux.org.hk>

	* galeon.schemas.in: Removed duplicate schema entry.

2003-01-26  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* embed/galeon-embed.c(galeon_embed_base_init): Don't leak signals by
	initializing them multiple times.

2003-01-26  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* utils/Makefile.am
	A utils/disclosure-widget.c
	A utils/disclosure-widget.h: New widget from gnome-panel.

	A mozilla/CookiePromptService.cpp
	A mozilla/CookiePromptService.h
	* mozilla/Makefile.am
	* mozilla/MozRegisterComponents.cpp
	* ui/prompts.glade: Implement new cookie prompt service, fixes bugs 
	#94944 and #96381.

2003-01-26  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* mozilla/Makefile.am
	A mozilla/mozilla-cookie.cpp
	A mozilla/mozilla-cookie.h
	* mozilla/mozilla-embed-shell.cpp: Refactored nsICookie to CookieInfo
	conversion out for sharing.  Made the cookie expiration time format
	localizable, using a format string from nautilus.

2003-01-25  Philip Langdale <philipl@mail.utexas.edu>

        * mozilla/BaseHelpProtocolHandler.cpp: Added logic to strip shell 
	control chars out of help urls. The converter utils are funny in a bad way...

2003-01-25  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* embed/Makefile.am
	A embed/cookie-info.c
	A embed/cookie-info.h
	* embed/galeon-embed-shell.c
	* embed/galeon-embed-shell.h: 
	* src/pdm-dialog.c: Refactored CookieInfo and Cookie Properties table 
	out so that they can be shared more easily.  Removed markup from
	labels while at it, fixes bug #102383.

2003-01-21  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* embed/downloader-view.c: Grab a reference to galeon_shell while
	we're downloading stuff so that galeon doesn't quit when closing
	the last window.  If you know how to do this nicely, please do.
	Fixes bug #98971.

2003-01-18  Philip Langdale <philipl@mail.utexas.edu>

	* mozilla/BaseHelpProtocolHandler.cpp
	* mozilla/BaseProtocolContentHandler.cpp
	* mozilla/MyportalProtocolHandler.cpp
	* mozilla/TOCProtocolHandler.cpp: Latest set of mozilla cvs resyncs.

2003-01-19  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* mozilla/FilePicker.cpp(SanityCheck): Properly handle Exists and
	IsFile calls when saving a file.  Fixes bug #102564.

2003-01-19  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* ui/galeon.png: Jimmac's new GNOME2-ish icon.

2003-01-19  Tommi Komulainen  <tommi.komulainen@iki.fi>

	*  src/session.c
	*  src/session.h(session_get_windows): Add const to the return value
	since the caller must not free the list.
	*  mozilla/SideBar.cpp
	*  src/galeon-shell.c: Fix callers accordingly.

2003-01-19  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/pdm-dialog.c(pdm_dialog_remove_button_clicked_cb): Avoid silly
	warnings when removing multiple cookies or passwords.

2003-01-19  Tommi Komulainen  <tommi.komulainen@iki.fi>

	*  embed/galeon-embed-event.h(galeon_embed_event_get_property): Add
	const to the GValue since the caller shouldn't be changing the value.
	*  embed/galeon-embed-popup.c
	*  mozilla/SideBar.cpp
	*  src/galeon-nautilus-view.c
	*  src/galeon-tab.c
	*  src/popup-commands.c: Fix callers accordingly.

2003-01-19  Tommi Komulainen  <tommi.komulainen@iki.fi>

	*  embed/js-console.c
	*  embed/galeon-embed-event.c: Don't leak the contents of the GValues.

2003-01-19  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* embed/downloader-view.c
	* src/language-editor.c: Don't leak GtkTreePath's returned from
	gtk_tree_row_reference_get_path ().

2003-01-19  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* embed/downloader-view.c
	* embed/galeon-embed-utils.c
	* mozilla/mozilla-embed-shell.cpp
	* src/galeon-window.c
	* src/general-prefs.c
	* src/history-dialog.c
	* src/language-editor.c
	* src/pdm-dialog.c
	* src/session.c: Fixed a bunch of memory leaks following the format

		GList *list = get_glist ();
		for (; list != NULL; list = list->next) { ... }
		g_list_free (list);

	* bookmarks/bookmarks-bonoboui-menu.c
	* embed/js-console.c
	* mozilla/ContentHandler.cpp
	* src/galeon-spinner.c
	* src/ui-prefs.c: While at it, use g_list_foreach where possible, and
	just use list->next instead of g_list_next (list).

2003-01-18  Philip Langdale <philipl@mail.utexas.edu>

	* configure.in
	* mozilla/GlobalHistory.cpp
	* mozilla/mozilla-embed-persist.cpp: Updated configure.in so that
	1.3a is the expected version and moved the last set of resyncs to
	their own snapshot level so that 1.3a compiles again. whoops. :-)

2003-01-14  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* configure.in
	* ui/Makefile.am: Removed @INTLTOOL_XML_RULE@ as it doesn't expand
	@VARIABLES@ nor does it seem to have any effect on the bonoboui xml
	files.  Generate the files the old way, from the configure script.
	The icons in the bookmarks editor should work better again.

2003-01-13  Philip Langdale <philipl@mail.utexas.edu>

	* mozilla/GlobalHistory.cpp
	* mozilla/mozilla-embed-persist.cpp: Mozilla cvs resyncs.

2003-01-13  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* mozilla/FilePicker.cpp: Fixed some memory leaks with error dialogs.

2003-01-11  Marco Pesenti Gritti <marco@it.gnome.org>

	* mozilla/FilePicker.cpp: typo fix

2003-01-06  Tommi Komulainen  <tommi.komulainen@iki.fi>
	
	* configure.in
	* Makefile.am: Build the galeon.schemas and ui/*.xml files using
	@INTLTOOL_*_RULE@ so that we get the translations properly merged in.

2003-01-05  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* configure.in: Added Vietnamese (vi) to ALL_LINGUAS

2003-01-04  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* utils/galeon-dialog.c: Destroy transient dialogs along with their
	parents.  Avoids crashing when the find dialog is used after its
	parent window is closed.

2003-01-04  Yanko Kaneti <yaneti@declera.com>

	* configure.in: (PKG_CHECK_MODULES) Add the other direct dependancies.

2003-01-04  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* mozilla/JSConsoleService.cpp
	* mozilla/mozilla-embed-persist.cpp
	* mozilla/mozilla-embed.cpp: Test 'wrapper != NULL' consistently so
	that it provides more useful information where the test fails.

2003-01-04  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* configure.in: Specify dependency on libbonoboui-2.0 >= 2.1.1 
	(bug #101721)

2003-01-03  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/galeon-tab.c: Reworked statusbar message handling a bit.  Allow
	statusbar messages, but still always show the real URL when hovering
	mouse over a link.  Almost fixes bug #93276.

2003-01-02  Ricardo FernÃ¡ndez Pascual  <ric@users.sourceforge.net>

	* bookmarks/bookmarks-folder-tb-widget.c: The same here.

2003-01-01  Ricardo FernÃ¡ndez Pascual  <ric@users.sourceforge.net>

	* bookmarks/bookmarks-bonoboui-menu.c
	* bookmarks/bookmarks-gtk-menu-item.c
	* bookmarks/bookmarks-gtk-menu-item.h
	* bookmarks/bookmarks-gtk-menu.c
	* bookmarks/bookmarks-gtk-menu.h: Fill the menus before the parent
	is activated. May hide a weird bug (in gtk+, I think) that I can't
	track down.

2002-12-31  Philip Langdale <philipl@mail.utexas.edu>

	* mozilla/mozilla-embed-shell.cpp
	* mozilla/FilePicker.cpp
	* mozilla/FilePicker.h: Added conversions as with gul-download
	between on-disk locale and utf8. The filepicker internally stores
	path state as on-disk locale and converts to/from utf8 at the get/set
	stage. I'd like to think it will work properly under all locale
	conditions now.

2002-12-30  Ricardo FernÃ¡ndez Pascual  <ric@users.sourceforge.net>

	* src/Makefile.am
	* src/galeon-navigation-button.c
	* src/galeon-navigation-button.h: Custom toolbar buttons for
	navigtion ("Back", "Forward" and "Up").
	* src/galeon-tbi.c
	* src/galeon-tbi.h: Abstract class for Galeon toolbar items.
	* src/toolbar.c
	* src/window-commands.c: Cleaned some things and moved some code
	to other files. 	
	* utils/Makefile.am
	* utils/gul-tb-button.c
	* utils/gul-tb-button.h: A button that can be placed in bonobo
	toolbars or gtk toolbars and should do the right thing most of the
	time (maybe always...). Supports context menus and can display an
	arrow. Used for implementing "Back", "Up" and "Forward" buttons,
	but can be used for other things too.
	* utils/gul-tbi-std-toolitem.c
	* utils/gul-tbi-std-toolitem.h: Removed the Back, Up and Forward
	buttons. They are now custom widgets.
	* utils/gul-tbi-test.c
	* utils/gul-tbi-test.h: Test item for GulTbButton.
	* utils/gul-toolbar-item-factory.c
	* utils/gul-toolbar-item-factory.h: Updated. Allow registration of
	new toolbar item types.
	* utils/location-entry.c: Don't show the autocompletion window
	inmediately. Wait 0.5s.
	* galeon.schemas.in: Updated the default toolbar setup. Also,
	enabled the autocompletion window again by default. I hope that
	now with the timeout it is not annoying for anyone.

2002-12-24  Philip Langdale <philipl@mail.utexas.edu>

	* mozilla/ContentHandler.cpp: Minor variable name abuse correction.

	* mozilla/FilePicker.cpp
	* mozilla/FilePicker.h: Reworked filepicker to take advantage of
	the fact that the Gtk+ 2.x filepicker is a GTK_DIALOG and can be
	run modal as such. This gets rid of our hand coded modal loop
	and callbacks. Also did some variable naming corrections.

2002-12-21  Christian Neumair  <chris@gnome-de.org>

	* src/window-commands.c: Fixed #101734 + few more i18n fixes.

2002-12-20  Christophe Fergeau  <teuf@users.sourceforge.net>

	* src/session.c: reimplemented "Create bookmarks from previous
	session"

2002-12-19  Ricardo FernÃ¡ndez Pascual  <ric@users.sourceforge.net>

	* bookmarks/bookmarks-bonoboui-menu.c
	* bookmarks/bookmarks-gtk-menu.c: More simplification by sharing
	code.

2002-12-19  Ricardo FernÃ¡ndez Pascual  <ric@users.sourceforge.net>

	* bookmarks/bookmarks-gtk-menu-item.c: Full support for context
	menus in bookmarks menus, even with bonobo.

2002-12-18  Ricardo FernÃ¡ndez Pascual  <ric@users.sourceforge.net>

	* bookmarks/bookmarks-bonoboui-menu.c
	* bookmarks/bookmarks-gtk-menu-item.c: Cleanups. Removed debug
	code.

2002-12-17  Ricardo FernÃ¡ndez Pascual  <ric@users.sourceforge.net>

	* bookmarks/bookmarks-gtk-menu-item.c
	* bookmarks/bookmarks-bonoboui-menu.c: Made this a thousand times
	simpler using the new bonoboui api.

2002-12-15  Ricardo FernÃ¡ndez Pascual  <ric@users.sourceforge.net>

	* bookmarks/bookmarks-export-druid-konqueror.c: Fix bug #101297:
	Add the default bookmark set as a suggestion to be imported.
	
2002-12-15  Ricardo FernÃ¡ndez Pascual  <ric@users.sourceforge.net>

	* bookmarks/Makefile.am
	* bookmarks/bookmarks-gtk-menu-item.c
	* bookmarks/bookmarks-gtk-menu-item.h: A new widget for menuitems
	that will make things easier and cleaner. It is not finished yet.
	* bookmarks/bookmarks-gtk-menu.h
	* bookmarks/bookmarks-gtk-menu.c: Respect the menus has_tearoff
	gnome ui pref.
	* bookmarks/bookmarks-bonoboui-menu.c: Use the new widget if you
	define the BREAK_MY_MENUS macro. Menuitems will be set with
	bonobo_ui_component_widget_set. This will allow us to have context
	menus in the bookmark menu again.
	
2002-12-15  Ricardo FernÃ¡ndez Pascual  <ric@users.sourceforge.net>

	* utils/gul-bonobo-extensions.h
	* utils/gul-bonobo-extensions.c
	* bookmarks/bookmarks-bonoboui-tb.c
	* utils/gul-tbi-favicon.c
	* utils/gul-tbi-spinner.c
	* utils/gul-tbi-zoom.c: Use bonobo_ui_component_widget_set when
	possible. This was the easy part. Not i comes the hard one:
	reimplement bookmark menus, history buttons, etc. I guess you'll
	need a quite recent libbonoboui with the new api. Sorry if I break
	something for you.

2002-12-15  Ricardo FernÃ¡ndez Pascual  <ric@users.sourceforge.net>

	* ui/galeon-bookmarks-editor-ui.xml.in
	* bookmarks/bookmarks-import-druid-konqueror.c: Allow importing
	Galeon bookmarks using this too and make it clear in the UI. We
	use the same format after all.

	* bookmarks/bookmarks-context-menu.c
	* bookmarks/bookmarks-editor.c
	* src/window-commands.c: Patch for bug #94263: Context menu and
	toolbar/menubar buttons act different, from tko.

2002-12-14  Philip Langdale <philipl@mail.utexas.edu>

	* utils/gul-download.c: Added logic to handle non-utf8 on disk filename
	encodings. It's a little elaborate so I deliberately didn't put it in
	1.3.1 even though we're not officially supporting the external downloader
	code yet.

2002-12-14  Philip Langdale <philipl@mail.utexas.edu>

	* galeon.schemas.in: Fixed typo in schema ( "network" != "netword" )...

2002-12-12  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* embed/galeon-embed-popup-bw.c: Call gtk_menu_popup with proper
	arguments.  Fixes bug #95715.

2002-12-12  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/gul-gestures.c: Grab the pointer and button_release event as
	soon as possible.  Use gtk_get_current_event_time instead of
	GDK_CURRENT_TIME to get more accurate time.  This should make the
	context menu show up more reliably on right-clicks.

2002-12-11  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* src/galeon-window.c: Handle double-clicks on bookmarks folders in
	side pane gracefully.  Fixes bug #100919.
	
2002-12-11  Yanko Kaneti <yaneti@declera.com>

	* configure.in: don't enable -Werror if --disable-error was given.

2002-12-10  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* embed/find-dialog.c: Focus the text entry when showing the dialog.
	This will automatically select the existing text if user's gtkrc
	setting gtk-entry-select-on-focus = 1 (default)  Fixes bug #100461.

2002-12-10  Tommi Komulainen  <tommi.komulainen@iki.fi>

	* utils/gul-gui.c
	* utils/gul-gui.h (gul_gui_treeview_free_selection_refs): New function
	for freeing allocated memory.
	* src/pdm-dialog.c: Fixed a few memory leaks.  Disable Properties
